commit 1ba4f6e602b56a0f0b1c397eb76e80baac1a1b92 (origin/master)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 15 18:06:40 2012 +0100

    no need to copy README_linuxbin again

 Makefile.am |    1 -
 1 file changed, 1 deletion(-)

commit 898f85de8ad0a75eefd020b20c347fc8b97d65fe
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 15 14:30:26 2012 +0100

    dist-nixbin-libcopyright is .PHONY as well

 Makefile.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bfe2fd607270309c9ec3313c3112f1b06bfd99fc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 15 14:16:18 2012 +0100

    windows distdir: do space renaming here as well

 Makefile.am |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit d8637fded328d1e7d291e0f9e77cc9d01d0f92bb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 15 11:34:40 2012 +0100

    manpages: fix small typo

 man/lierolibre.6.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e17e87a6443b5f9429bd47eedd3859c7bfc791c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Nov 12 22:02:31 2012 +0100

    mktemp has different syntax...

 src/filesystem.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ceee53293230ab7ec0ffc61663414a72ef10a06
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Nov 12 21:56:39 2012 +0100

    _mktemp_s() is not in mingw (yet), use _mktemp()

 src/filesystem.cpp |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 1ccdf977346a879ef29e486939b979c7b91e5c87
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Nov 12 13:54:08 2012 +0100

    windows submodule: boost and folder filters for VSC

 windows |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4be38ae08258f82a2b79952934b0ae6bbcdffa2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Nov 11 17:03:27 2012 +0100

    custom jam file for mingw, windows submodule

 Makefile.am |    2 +-
 windows     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cec89caf5749a8432130a3180b5e77a41f80d72a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Nov 11 13:06:43 2012 +0100

    windows submodule: working visualC

 windows |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eaa5268734fb53533a2c4a7464b9dd4bb9fb1686
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Nov 10 11:03:43 2012 +0100

    windows submodule: fix some visualC paths

 windows |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be6f9e61172b2da628b0b54f95598a83e1ddbde4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Nov 9 00:05:34 2012 +0100

    Makefile.am: nodist_pkgdata_DATA no longer exist

 Makefile.am |    1 -
 1 file changed, 1 deletion(-)

commit b9d3a6fa50dee4a978a58cce1b56956105c0f566
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 8 23:56:35 2012 +0100

    nixbin: don't copy CHR/SND blobs, libcap location

 Makefile.am |    9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit e1415d732b91275f4ce4e48a06b1418555b633b6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 8 23:14:41 2012 +0100

    License for bits from boost filesystem and lfs

 COPYING            |   24 ++++++++++++++++++++----
 src/filesystem.cpp |   38 +++++++++++++++++++++++++++++++++++---
 src/filesystem.hpp |   40 +++++++++++++++++++++++++++++++++++++---
 src/lfs.hpp        |   33 +++++++++++++++++++++++++++++++--
 4 files changed, 123 insertions(+), 12 deletions(-)

commit f47a7c09a76d059ed4aede2b8c34b8d3bb685d9a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 8 22:17:38 2012 +0100

    add boostTesting.cpp to tarball

 Makefile.am |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 269f2d95ac48d05a274673b5a1d6df7748c21932
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 8 22:02:49 2012 +0100

    define LIBCONFIGXX_STATIC for cross-compile

 Makefile.am  |    2 +-
 configure.ac |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 68c18525cfe13024de4526cf2dffffaf1fefc1bd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 8 17:21:24 2012 +0100

    include sounds.txt in tarball

 Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit 3470157b8f1c509ecdac12b0775e2bfcd973fff1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 8 13:57:40 2012 +0100

    describe --enable-windows-libraries more

 configure.ac |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit dcade6c235a72ee29ccdab2e46c60b4c340e8de9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Nov 8 12:47:13 2012 +0100

    set relevant doc files as no-install

 Makefile.am |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit bcfdc76861fb6d9c6a91e91bc8deacf4a0d91885
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 16:46:26 2012 +0100

    Revert "Special case key remap only on *nix"
    
    This reverts commit 2e54d8665e632d4a9d7c5626ddc6e5ed45643f92.
    
    Turns out it's windows emitting LCTRL + RALT on AltGr press,
    needs solving elsewise.

 src/keys.cpp |   12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 375fffc7c512150173df588eee5dfbb1242eb146
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:58:49 2012 +0100

    Update NEWS

 NEWS |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit d5b8c7d7443f81553ccc0ed065f2f6e00ca72012
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:56:44 2012 +0100

    run distdir in cross-compile script

 scripts/cross-compile |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 0c018105205bfe75d40c83bd2a016cfa676a5a52
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:41:55 2012 +0100

    fix MetsänEläimet chars :)

 COPYING_winbin |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0abf193784a17c46d3dfd238266f4af73957e4b4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:36:25 2012 +0100

    remove COPYING.txt in Makefile

 Makefile.am |    1 -
 1 file changed, 1 deletion(-)

commit b9e265fdb8f08c5b8fb7acaee880ad8ee7951525
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:35:14 2012 +0100

    add msvc*100.dll files to archive

 Makefile.am |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit abd27e4010fd5de5f208f6ad616ed3b562071b6a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:33:25 2012 +0100

    tweak COPYING: sound blob, disregard LICENSE.TXT

 COPYING |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit a613a5d9ccc7766df1da1170cd6eeb38e18e3c09
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:29:46 2012 +0100

    Don't store COPYING.txt

 COPYING.txt |  198 -----------------------------------------------------------
 1 file changed, 198 deletions(-)

commit dce7c026eb96d8eab2ef8f526fc82c2f53af2dd6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 14:26:47 2012 +0100

    Create winbin COPYING.txt by insertion

 COPYING_winbin |   71 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am    |   18 +++++++++++---
 2 files changed, 86 insertions(+), 3 deletions(-)

commit be8e548ccc0af9ba51630b4a68bf4b1001fc107a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 13:43:41 2012 +0100

    ship LIERO.CHR and LIERO.SND packed

 Makefile.am |   10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit dc7fc7a3a908e8d65deb4e0e1a6fa76cc6782ee7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 00:39:15 2012 +0100

    update COPYING.txt a bit, needs much more

 COPYING.txt |   14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit caabc075fd647fa19c35981e2e91c4867af76c5a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 00:25:43 2012 +0100

    fix miss in makefile sed command

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 870ed4ba13d5dedff2b7256d6751d97b758ddd2b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Nov 7 00:21:51 2012 +0100

    don't use tagged names for boost lib

 Makefile.am  |    6 +++---
 configure.ac |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 9f0e478bf415f349046734ecdd1f6f1a768254c5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 6 23:47:37 2012 +0100

    store and ship windows text files as CRLF

 COPYING.txt  |  400 +++++++++++------------
 Makefile.am  |    6 +-
 README.txt   |  116 +++----
 data         |    2 +-
 lgpl-2.1.txt | 1004 +++++++++++++++++++++++++++++-----------------------------
 5 files changed, 764 insertions(+), 764 deletions(-)

commit 2e54d8665e632d4a9d7c5626ddc6e5ed45643f92
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 6 23:30:31 2012 +0100

    Special case key remap only on *nix
    
    It appears RALT is really inconsistent between *nix and win, make it
    only apply for linux then, I guess.

 src/keys.cpp |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit e5559be791aad2dbb0d1827ca158d2b987afdd4b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 6 23:29:53 2012 +0100

    work around boost inability to do simple clean

 Makefile.am |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit b71a19b8b59f6fd677810f9eefa3ed53fa62064a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 6 20:35:59 2012 +0100

    data submodule: revert RALT rebind

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 802d007cfe47513d85a3a2346af0c80748c03ce3
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 6 20:27:57 2012 +0100

    Fix windows archive, ship full source

 Makefile.am |   23 +++++------------------
 1 file changed, 5 insertions(+), 18 deletions(-)

commit 3d167bbce23f6b1d16f485d597545ec62d6f9791
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 6 18:58:36 2012 +0100

    Avoid stdc++ and gcc by linking libconfig++ statically
    
    Since we don't want to ship DLL files for libgcc and libstdc++ and
    libconfig seems unable to produce a DLL file where these two are
    statically linked, the only way around seems to be to link
    libconfig++ statically.
    
    This means we need to ship the full lierolibre source to enable
    relinking, even in the binary package.

 Makefile.am  |   15 +++++++++------
 configure.ac |   10 ++++------
 2 files changed, 13 insertions(+), 12 deletions(-)

commit c9c4fe009e23dd7a8be249f0d55323230d6ae6aa
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Nov 5 15:03:50 2012 +0100

    Special case for RALT on *nix in SDLToDOSKey()
    
    On *nix, RALT seems to produce a different scancode than on windows,
    in order to use one keybind for both, translate the *nix code to the
    windows equivalent (default for liero), in an ugly special case.

 src/keys.cpp |    2 ++
 1 file changed, 2 insertions(+)

commit 896728996366ff40d18e8b6de94752d106b72123
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Nov 2 14:46:01 2012 +0100

    include libgcc_s and libstdc++ dlls

 Makefile.am  |    5 ++++-
 configure.ac |    3 +++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit df1bd1cb3959e0e59bd4c17e87347b089a0569b4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Nov 2 12:36:40 2012 +0100

    strip and static-link dll files

 Makefile.am |   11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit a358115e62d2ac7e2483f8f47e4499b0221b7bed
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Oct 31 21:43:32 2012 +0100

    create empty user dir in win dist

 Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit f1f7728d6cb4036385dee79b4551c1daec14b52d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Oct 31 21:42:33 2012 +0100

    changelog: settings->user on windows

 NEWS |    1 +
 1 file changed, 1 insertion(+)

commit 0538e8d6f58e425089a45d5c904aea70ce6ad85b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Oct 31 21:24:05 2012 +0100

    fix boost dll lib name

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b21eca3c7b9894350d0bf5cee745cae7621330b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Oct 31 21:20:01 2012 +0100

    add missing make in cross-compile

 scripts/cross-compile |    1 +
 1 file changed, 1 insertion(+)

commit 395d7176e1f0c04e40afbbda972e9ae68a98e7db
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Oct 31 21:12:12 2012 +0100

    Implement winbin distdir
    
    * Checks HAS_WINDOWS_LDFLAGS and if true adds to dist-hook target
      + Copies (strips) and/or renames win-specific files
      + Adds libsrc with SDL and libconfig

 Makefile.am |   36 ++++++++++++++++++++++++++++++++++--
 1 file changed, 34 insertions(+), 2 deletions(-)

commit c80da179507684ba251c49f4f13f7999e7a47c33
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Oct 31 21:11:37 2012 +0100

    windows submodule: set dll files executable

 windows |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42153a4ee9854fbfd11e519ace5072b707dda83d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Oct 31 18:16:57 2012 +0100

    use "user" instead of "settings" as homedir on windows

 README.txt       |    4 ++--
 src/dataPath.cpp |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit d40e0764d0a0f86230df1cc926aaef50f8cba459
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Oct 30 23:29:45 2012 +0100

    reduce cross-compiling script to invoking autotools correctly

 scripts/cross-compile |   29 +----------------------------
 1 file changed, 1 insertion(+), 28 deletions(-)

commit 861ab160fa970ed98b2a427564a0f49892ecee02
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Oct 30 22:29:35 2012 +0100

    move cross-compile script contents to autotools
    
    * Add configure options
      + --enable-windows-includes sets CPPFLAGS
      + --enable-windows-libraries sets LDFLAGS
    * Add (hardcoded path) dependencies on dll files
    * lierolibre now depends on dll files if --enable-windows-libraries
      is used
    * Add make targets for all dll files
    * Tweak some x"$var" = xyes tests

 Makefile.am  |   33 +++++++++++++++++++++++++++++++--
 configure.ac |   17 +++++++++++++++--
 2 files changed, 46 insertions(+), 4 deletions(-)

commit 3aaf7680f66cdbcf5afdf82f0267ad4d340c3360
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Oct 28 18:49:22 2012 +0100

    single line in cross-compile, easier to test

 scripts/cross-compile |    9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit c347c4c61bd9159c5dc5f0cbf7a498d308d671ef
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 16:22:27 2012 +0200

    fix path and revert to blob SDL_mixer in cross-compile

 scripts/cross-compile |   17 ++++++-----------
 windows               |    2 +-
 2 files changed, 7 insertions(+), 12 deletions(-)

commit 7c81be9af0e6e38a0053d354cdf5fbfc9fd36be6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 15:40:52 2012 +0200

    autogen in cross-compile scripts

 scripts/cross-compile |    1 +
 1 file changed, 1 insertion(+)

commit 4703795449b7af9cd86cede04b8c4d5aa34cc50b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 14:40:21 2012 +0200

    lib->windows in cross-compile script

 scripts/cross-compile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73272575434b8de3c5f6f78f3a9019664e1ac898
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 13:30:17 2012 +0200

    work around spaces in gvl files

 Makefile.am |   13 +++++++++++--
 src/gvl     |    2 +-
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 1a2cba3b5bbeaea29a585a9da32a949d62a1e7c9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 02:32:15 2012 +0200

    add windows vcproj files to source tarball

 Makefile.am |   29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit 61d6b2abc6a4ce554ab776ca43ef7460edf156f2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 01:53:59 2012 +0200

    move windows build files to windows submodule

 scripts/assemble-release.bat |   26 --
 src/_build/liero.vcproj      |  841 ------------------------------------------
 src/_build/liero.vcxproj     |  271 --------------
 src/_build/lierolibre.sln    |  109 ------
 windows                      |    2 +-
 5 files changed, 1 insertion(+), 1248 deletions(-)

commit 7deb488b6a3dc49ad5fdca7d23cf364d1d88fd93
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 01:39:51 2012 +0200

    rename lib submodule to windows

 .gitmodules |    4 ++--
 lib         |    1 -
 windows     |    1 +
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6a4b4a10425cb987fa53854e90c19903e0e55805
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 01:07:14 2012 +0200

    data submodule: add windows lierocfg file

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e4e2c02b78bf124a7dc16871dbb939f29410830
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 27 00:54:49 2012 +0200

    documentation and script fixes
    
    * Remove windows ChangeLog (since windows branch is merged)
    * Include more windows files in source tarball
    * Move scripts to scripts/

 ChangeLog.txt                | 6760 ------------------------------------------
 Makefile.am                  |   15 +-
 assemble-release.bat         |   25 -
 cross-compile                |   44 -
 scripts/assemble-release.bat |   26 +
 scripts/cross-compile        |   44 +
 6 files changed, 81 insertions(+), 6833 deletions(-)

commit abc4d73e29a07b4042d902e0f9d8d71ace678244 (windows)
Merge: c4c4b43 18d529b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Oct 26 22:25:07 2012 +0200

    Merge branch 'master' into windows

commit c4c4b433854da07d8918e0150f584561b4688ca5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Oct 26 22:23:55 2012 +0200

    lib submodule: update, cross-compile fixes

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18d529bc6c57e7e0d1dd4db2583df95f9117fc53
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Oct 26 21:37:17 2012 +0200

    update and change cross-compile readme into a script

 README_cross-compile |   26 --------------------------
 cross-compile        |   44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 26 deletions(-)

commit 9738b94536262fedaae6f3c2e5208542fb99d994
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Oct 25 19:51:45 2012 +0200

    data submodule: use windows branch

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5cf259c123cf0ba63a9367043f8784f7ee17d992
Merge: 280fa2f f1f9649
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Oct 25 19:47:44 2012 +0200

    Merge branch 'master' into windows

commit f1f964984bb61479e93461099f1a0ea957699b76
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Oct 25 19:36:03 2012 +0200

    update NEWS

 NEWS |    2 ++
 1 file changed, 2 insertions(+)

commit 154fab94394c1893ee3d76414bc0625deb7a2c6b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Oct 25 12:07:33 2012 +0200

    Set controls after archive load if null
    
    Do a check if liero_archive loaded empty data into controlsEx[] and
    use values from controls[] and/or a default set if that is the case.

 src/settings.cpp |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit ac2a00222066ffa1d0ecd0c333906181b8afbd90
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 13 17:36:07 2012 +0200

    set new default RALT in defControls

 src/settings.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5915af42e3df4d5e8b351c9c0603dd8b4cee6b5c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 13 16:05:47 2012 +0200

    data submodule: fix Right Alt

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 924fcec8012168621fa5a156aede0bed77a26596
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 13 16:04:50 2012 +0200

    update NEWS

 NEWS |    2 ++
 1 file changed, 2 insertions(+)

commit f5eea2738ad815e8b1029346a0059c9a13955525
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Oct 13 14:45:04 2012 +0200

    remove fullscreen resolution option
    
    This option currently does nothing anyways, probably nice to
    implement as an alternative to the F# keys though, later on.

 src/gfx.cpp             |    6 +-----
 src/menu/hiddenMenu.cpp |    4 ----
 src/menu/hiddenMenu.hpp |    2 --
 src/settings.cpp        |    2 --
 src/settings.hpp        |    9 +--------
 5 files changed, 2 insertions(+), 21 deletions(-)

commit 68e2cfb9cbe4fdf16218fdc56d9b5331909ea33d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Oct 11 23:52:32 2012 +0200

    manpage: dir->write correction

 man/lierolibre.6.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9defa5e45c219dec361436731a458f7cc5d9c9a4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Oct 9 14:34:33 2012 +0200

    More cross-compile readme, figured dynamic linking

 README_cross-compile |   13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 280fa2f6fbecce126f630320a517d90c35b1a4e5
Merge: 652dc5f 2f204a0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Oct 9 12:18:20 2012 +0200

    Merge branch 'master' into windows

commit 2f204a01baac7b92b6b9fda8cd55a80eb54bd46a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Oct 9 12:13:40 2012 +0200

    more comments for cross-compile

 README_cross-compile |   13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 652dc5ffeac90cff3cee5042dc0b945014407009
Merge: 978a124 01a7cf0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Oct 7 23:54:47 2012 +0200

    Merge branch 'master' into windows

commit 01a7cf0ea7d4d73a22dd367c7019035826a68da1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Oct 7 23:46:01 2012 +0200

    Make "Randomize" colour proper beige-ish
    
    c.f. http://code.google.com/p/liero/issues/detail?id=2

 src/weapsel.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6675d913dff2a8d311d87cf008604425bfe1d3a9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Sep 29 18:51:58 2012 +0200

    Add cross-compile bits and bobs

 README_cross-compile |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 978a1244d0365262dd09d9169a031e4bf08320d8
Merge: d2c2d4c 06afb45
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Sep 29 11:35:33 2012 +0200

    Merge branch 'master' into windows

commit 06afb45602b7bd1180ec39cc22b9944129cc4e7f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Sep 29 10:56:04 2012 +0200

    Update NEWS

 NEWS |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 272c3f471b992815c9e6805193b979a2238928d8
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Sep 29 10:49:27 2012 +0200

    -set colorspace to fix XPM, submodule back to XPM

 data                       |    2 +-
 scripts/lierolibre-packgfx |    6 +++---
 scripts/lierolibre-packlev |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 177c60f96076133e18ae993cd2688d4d8f57e112
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Sep 29 10:43:55 2012 +0200

    Revert back to XPM icons
    
    Revert "Better PNM format"
    This reverts commit 9ccdefd690b93bab6cd496126419f8607d8d151f.
    
    Revert "Change to using PNM files instead of XPM"
    This reverts commit d4d25e164f8bb90c15e1499233e410ca932f9582.

 Makefile.am                    |    8 ++++----
 data                           |    2 +-
 man/lierolibre-extractgfx.6.am |    4 ++--
 man/lierolibre-extractlev.6.am |    6 +++---
 man/lierolibre-packgfx.6.am    |   12 ++++++------
 man/lierolibre-packlev.6.am    |    6 +++---
 scripts/lierolibre-extractgfx  |   38 ++++++++++----------------------------
 scripts/lierolibre-extractlev  |   17 +++++------------
 scripts/lierolibre-packgfx     |    4 ++--
 scripts/lierolibre-packlev     |    4 ++--
 10 files changed, 38 insertions(+), 63 deletions(-)

commit c651cade423a3fdabc16a554e61f867978c90811 (tag: lierolibre-0.4.1)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Sep 28 03:17:53 2012 +0200

    Update changelog, now --decorate:d

 ChangeLog |  116 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 111 insertions(+), 5 deletions(-)

commit 90deea427df9772453ebd5260a7a105aaf4844ce
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Sep 28 03:17:31 2012 +0200

    automake: change libogg path

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96ba2e736e38d8a8fe96e1713dfc2d1fb3247e5c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Sep 28 02:32:27 2012 +0200

    automake: more efficient download of libsrc

 Makefile.am |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 1107d90b237945a37ff21bddc276b679779ef60e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Sep 28 01:29:43 2012 +0200

    Bump to version 0.4.1 in configure.ac

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ccdefd690b93bab6cd496126419f8607d8d151f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Sep 28 00:51:23 2012 +0200

    Better PNM format

 data                          |    2 +-
 scripts/lierolibre-extractgfx |   15 ++++++---------
 2 files changed, 7 insertions(+), 10 deletions(-)

commit 8ccba2974286ca29daae7beb64085564cadc78fc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Sep 28 00:24:26 2012 +0200

    fix erroneous xpm->pnm replace for icon

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21532da8786c3e01d72ce415989a3ce6e8f99f44
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Sep 27 15:04:55 2012 +0200

    Update NEWS for 0.4.1

 NEWS |    5 +++++
 1 file changed, 5 insertions(+)

commit d4d25e164f8bb90c15e1499233e410ca932f9582
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Sep 27 04:16:22 2012 +0200

    Change to using PNM files instead of XPM
    
    It appears PNM files, due to their raw values, are easier to
    convert reliably.

 Makefile.am                    |   10 +++++-----
 data                           |    2 +-
 man/lierolibre-extractgfx.6.am |    4 ++--
 man/lierolibre-extractlev.6.am |    6 +++---
 man/lierolibre-packgfx.6.am    |   12 ++++++------
 man/lierolibre-packlev.6.am    |    6 +++---
 scripts/lierolibre-extractgfx  |   41 ++++++++++++++++++++++++++++++----------
 scripts/lierolibre-extractlev  |   17 ++++++++++++-----
 scripts/lierolibre-packgfx     |    4 ++--
 scripts/lierolibre-packlev     |    4 ++--
 10 files changed, 67 insertions(+), 39 deletions(-)

commit 3f3862d765a1450319de6f641dec7194ee46db9c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Sep 27 03:16:10 2012 +0200

    Set LANG=C in packsounds script to make sure we can grep "bytes"

 scripts/lierolibre-packsounds |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7e9180a936d497e5bd2f8b5d11bebd90f33f793d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Jun 23 14:15:41 2012 +0200

    Fix configure creating files from messages
    
    Add [] quoting to all messages in order to avoid "," being
    interpreted as a separator and causing creation of files

 configure.ac |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7a6fb27cf3a75830ed540a8b22f62b8f1e9aee76
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 14:01:10 2012 +0200

    Add some files to COPYING

 COPYING |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d2c2d4cb0bc6cf128e70b80643e6fb0061c84306 (tag: lierolibre-0.4_win32)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 12:05:50 2012 +0200

    Update win ChangeLog

 ChangeLog.txt |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 8a7d5f6ebbe6a6d6cf88c6e5ff2efedc443ac390
Merge: 8e3404d 3768ded
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 12:05:36 2012 +0200

    Merge branch 'master' into windows

commit 8e3404d2d9cdabbf7d2de37f42fdbedb518e3334
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 12:04:30 2012 +0200

    Update win ChangeLog

 ChangeLog.txt |    9 +++++++++
 1 file changed, 9 insertions(+)

commit 3768ded7a88a7d273a5be2f6fe36b77edcb9f246 (tag: lierolibre-0.4)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 12:04:12 2012 +0200

    Update ChangeLog

 ChangeLog |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 280931213e3f2142cb32db3418cd98db03c5d4ae
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 12:03:54 2012 +0200

    Set June as release for 0.4

 NEWS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b50f206c338c366cbce16c891a0113669db2a91b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 11:58:14 2012 +0200

    Update win ChangeLog

 ChangeLog.txt |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 56803e212d690496018f3030d2862df3df7398a0
Merge: c2714e8 3d31aaa
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 11:57:58 2012 +0200

    Merge branch 'master' into windows

commit 3d31aaaaac132e9a2d031c81679e34109e3b8fa4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 11:57:49 2012 +0200

    Update ChangeLog

 ChangeLog |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 6f48a9776d3151c163a0bbef3eb8c52b0e75bd18
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 11:56:49 2012 +0200

    data submodule, CFG version 1

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2714e8dbd1ddab51cdad53dad982e73442eb633
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 11:44:05 2012 +0200

    Update win ChangeLog

 ChangeLog.txt |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit f7921d48bc27099eea883e4ba3e96a31904b9de7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 11:43:31 2012 +0200

    Crrect name for lierocfg.txt

 assemble-release.bat |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ddcef02dd358d0c7964526031254ab1db4efa541
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:59:22 2012 +0200

    Update win ChangeLog

 ChangeLog.txt |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit 303654042e5f683074a7489ed6769fa9b2d20c61
Merge: accd144 104b3fe
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:58:56 2012 +0200

    Merge branch 'master' into windows

commit 104b3fe7c1b93e122489e1d8b046329bdbc28bef
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:58:47 2012 +0200

    Update ChangeLog

 ChangeLog |   29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 6ce2817750ab081f420dd7e47a831367f249d52c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:41:08 2012 +0200

    Update nixbin readme regarding source and copyright

 README_linuxbin |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 10d0a17e2a75529b3ca12b2681b8a35336faadca
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:54:45 2012 +0200

    Revert "move README_linuxbin to nixbin branch"
    
    This reverts commit 47894a5a9d207db95b94db5a1def58555f668ec8.

 README_linuxbin |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit accd14473857192250f336380b1019cafbbad7e5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:48:59 2012 +0200

    Update win ChangeLog

 ChangeLog.txt |  729 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 729 insertions(+)

commit 0d134f1fda2f107b4f1f280d57181106b1a4573a
Merge: c726392 17ca2ff
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:48:36 2012 +0200

    Merge branch 'master' into windows

commit 17ca2ff50810ff24ff1de24b626d547e2f505211
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:48:22 2012 +0200

    Update ChangeLog

 ChangeLog |  421 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 421 insertions(+)

commit f44117205edf44533d6ef11d0ee136348663d15e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:38:29 2012 +0200

    Bump to version 0.4

 NEWS         |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f7d707747e2991c00b5b61941809bc0f01755b1e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:36:21 2012 +0200

    Better help string for --enable-relpath

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6354e241879cb15cb4fe0cba892cf4743cfbc8c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 12 00:05:50 2012 +0200

    Add configCompat.cpp to Jamfile

 src/Jamfile |    1 +
 1 file changed, 1 insertion(+)

commit c726392511f8b7a1711628a420890e0812c9fe80
Merge: 6a3cd15 f6a7e0c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 23:40:47 2012 +0200

    Merge branch 'master' into windows

commit f6a7e0c4e8f53a3e7e28eac01a07a4b03bbacfbe
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 22:28:37 2012 +0200

    create missing-files, take current deb sources

 Makefile.am |   22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 314faf9877e04504dd44beba158cd36594d6db05
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 21:13:13 2012 +0200

    Assign source & no-source libs

 Makefile.am |   36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 6ef6bf2e5236033f5a5d33172ef319be8951a586
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 16:04:00 2012 +0200

    Revamp nixbin targets
    
    * Move libjson to usr/lib/$arch
    * Use Variables for deb package names
    * Add copyright downloading via cupt
    * Use whole debian packaging for source

 Makefile.am |   82 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 43 insertions(+), 39 deletions(-)

commit 6a3cd15bd6b659723b620c3a4fd051637e37c65f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 15:26:06 2012 +0200

    Note libsrc in win COPYING

 COPYING.txt |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 5680c14ac19c30751b0b4bb890cec97e3408e2b7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 13:48:58 2012 +0200

    Rename liero.cfg->lierocfg.txt in release script

 assemble-release.bat |    1 +
 1 file changed, 1 insertion(+)

commit a8e47c0d32cb5eee336d1570f2d5641e07344e85
Merge: 522b737 578fdf8
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 13:47:41 2012 +0200

    Merge branch 'master' into windows
    
    Don't use win-specific data submodule

commit 578fdf84102efe35eae3344260a98d9e6c5fc188
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 13:45:29 2012 +0200

    data submodule store precompiled

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 522b73766ad2c17ada26071f289fad17064042ca
Merge: 005035c 4138c50
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 13:36:18 2012 +0200

    Merge branch 'master' into windows

commit 005035cdd7b3d48a9cc2f369bb9637a908c7e380
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 13:29:22 2012 +0200

    Don't mention man pages in windows release

 README.txt |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4138c502cfeb9cbed6fbae2e060780419cad9590
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 11 13:28:22 2012 +0200

    Update NEWS with nixbin and win libsrc

 NEWS |    5 +++++
 1 file changed, 5 insertions(+)

commit 7e3663c0ed4151eb6fc1f9f002daf2c53621f697
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 23:44:23 2012 +0200

    rename to txt, add SDL_mixer.dll

 assemble-release.bat |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 41af8e3372d99cccdcd018a0fa9df58b926d4bae
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 23:28:08 2012 +0200

    Workaround lack of sane cli

 assemble-release.bat |   22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 252924d29a32b33dfc9fece36989744d3e370e2e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 23:27:54 2012 +0200

    submodule hardcode D and set SDL for nomasm zlib

 lib                       |    2 +-
 src/_build/lierolibre.sln |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit a9e6cf0525593689190f031f48d449a43938807c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 23:14:22 2012 +0200

    winadapt data submodule

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 35202747aec2ddef8bfd555b95bd0dbd5d7829c9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 21:27:36 2012 +0200

    winrelease script for SDL source

 assemble-release.bat |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 6d7afffa1b5aae04eb26f6140ec49b444a0a94fa
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 21:24:42 2012 +0200

    Update projs with SDL source

 lib                       |    2 +-
 src/_build/liero.vcxproj  |    7 ++++---
 src/_build/lierolibre.sln |   17 +++++++++++++++++
 3 files changed, 22 insertions(+), 4 deletions(-)

commit 9d7bf2d8c7e1ac657a29227608530df8cf2dca56
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 18:37:24 2012 +0200

    submodule lib SDL include dir

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c51063a6dd7fbf069ca85cae07f208a3611bdd96
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 18:21:55 2012 +0200

    lib submodule SDL dir fixes

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be4abce226d915cc07449ae39c0769d317b4bcdc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 17:13:13 2012 +0200

    lib submodule SDL dir move

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03bfb7913c69b075f3ea8adab64f944396063d36
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 14:31:16 2012 +0200

    Extend windows release script

 assemble-release.bat |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 52d411e0bedffb10572f2007ef8b5b951579f842
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 14:30:51 2012 +0200

    Missing period

 COPYING.txt |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df5dc6ab306228a7453dd9fc71aaba5f6bb12264
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 14:23:06 2012 +0200

    lib submodule SDL source

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7cd653651114abeeea0ebb875b3c013129e9cb5
Merge: 3bfe159 58f5b2e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 12:25:22 2012 +0200

    Merge branch 'windows' of gitorious.org:lierolibre/lierolibre into windows

commit 3bfe159768a635dc283205759892e21ac7778ccd
Merge: b2a0625 547d93f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 12:22:48 2012 +0200

    Merge branch 'master' into windows

commit 547d93f0903a7e002d3960073625788e7ef1a663
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 12:20:47 2012 +0200

    Fix formulation error in COPYING

 COPYING |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d860b117fde04e18aae23afe43c53558dbffb5c7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 12:17:23 2012 +0200

    Add plaintext LGPL

 COPYING      |    2 +
 lgpl-2.1.txt |  502 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 504 insertions(+)

commit b2a06253045c4f99837b28c42e55e13e2883a179
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 12:10:29 2012 +0200

    Add lgpl plaintext

 COPYING.txt          |    2 +
 assemble-release.bat |    2 +-
 lgpl-2.1.txt         |  502 ++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 505 insertions(+), 1 deletion(-)

commit 6a797a21ab3fd5882bbf43faab5295051cc04fd0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Jun 10 00:27:48 2012 +0200

    start writing realease-assembly script for win

 assemble-release.bat |   13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 58f5b2e3b4d1cf886e0b9fbd6f9c64d913ec196b
Merge: 658c1cd cd4c08f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Jun 9 22:45:28 2012 +0200

    Merge branch 'windows' of gitorious.org:lierolibre/lierolibre into windows

commit 658c1cdf38abc723a143d06ded1f82f2e328f472
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Jun 9 22:43:47 2012 +0200

    Added msvc dlls to lib

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47894a5a9d207db95b94db5a1def58555f668ec8
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Jun 9 21:38:19 2012 +0200

    move README_linuxbin to nixbin branch

 README_linuxbin |   10 ----------
 1 file changed, 10 deletions(-)

commit cd4c08fb8f82a915f65a6f0199eced97ce266083
Merge: 1ec6876 a657855
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 23:25:01 2012 +0200

    Merge branch 'master' into windows

commit a657855ded908074c17c0cc37e5e919f93576cef
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 20:01:41 2012 +0200

    libsrc make rules cleanup

 Makefile.am |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit d33d371e3bad8dac53a3178942b8d57d75a3744e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 19:52:36 2012 +0200

    README for binary linux package

 README_linuxbin |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 71592ee7426e6b6de36756199618513c2d8fc602
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 19:51:54 2012 +0200

    Make target for pulling in lib source tarballs

 Makefile.am |   44 ++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 40 insertions(+), 4 deletions(-)

commit 52a90814e23f4b9fd438368883e2051c8168a978
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 19:17:44 2012 +0200

    Fix libtinfo5 path

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d46dca7676b6b8982e0b30ece4d68f185c07298
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 18:14:12 2012 +0200

    Add libxcb.so.1 & libX11-xcb.so.1

 Makefile.am |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ba6da1ad9ce3b616202822ed6fda9df6ba1d34a9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 17:53:00 2012 +0200

    Add libtinfo.so.5

 Makefile.am |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2636fe2c2df7af6c4744a39bc427624e380be21c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 12:01:29 2012 +0200

    Prettier nixbin tarname

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e53b900650a33aeefabc14f2db2c1d5e405962e8
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Jun 6 11:03:39 2012 +0200

    Rename nix->nixbin, fix pulse libs, add MANS_TXT var

 Makefile.am |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 1dd7f0e522377a382e4a7115252722d516b86766
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 5 15:00:29 2012 +0200

    Remove libXext lib, variabelise a bit more
    
    LibXext appears to be closely tied to X, which I've heard is not
    good to include-port.

 Makefile.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a77f81812e79032050c222bc5a260106256dfc5f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 5 14:50:07 2012 +0200

    Add txt mans and lib dir to clean-local

 Makefile.am |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d6d780c15cccf8eed1663d4cbd72ff3122a96747
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 5 14:45:28 2012 +0200

    Decapitalise mid-sentance break in manpage history

 man/lierolibre.6.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 19736fc016f1d8a015dc185c40eeb1ba2d2cb484
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 5 14:43:19 2012 +0200

    Refactor dist-nixbin and add MANS_TXT

 Makefile.am |   24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

commit d0177e6db4ab656b9f06a0553c9c8759ef16a0ea
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Jun 5 12:06:54 2012 +0200

    Clunky make rules for nix binary package
    
    This should allow making a fairly portable nix package which
    includes a cruftton of libs, unfortunately the rules are extremely
    unportable in themselves.

 Makefile.am  |  103 +++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 configure.ac |   11 +++++++
 2 files changed, 109 insertions(+), 5 deletions(-)

commit 1ec687600688287207a7d63b7adfb93533b9ec7e
Merge: e85b0d5 4e27e1f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 23:03:48 2012 +0200

    Merge branch 'windows' of gitorious.org:lierolibre/lierolibre into windows

commit 4e27e1f9b6d8ce2e40cbc72f493b806a12c35471
Merge: 9327c2a d050c99
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 23:03:52 2012 +0200

    Merge branch 'master' into windows

commit d050c99278c3c45bb12c94ca66cce9622debafa9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 23:02:48 2012 +0200

    Add nullbyte to strlen for w32 mktemp_s()

 src/filesystem.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e85b0d55086529ffbdf24e1123650762551413a6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 22:42:13 2012 +0200

    include configCompat.cpp in vcproj

 src/_build/liero.vcxproj |    1 +
 1 file changed, 1 insertion(+)

commit 9327c2a446ad385ae487120b2f8495c65b8a4f1a
Merge: a22bd39 3c51509
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 22:41:08 2012 +0200

    Merge branch 'master' into windows

commit 3c51509cce2f73418743a7520a96b430dde85198
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 22:40:53 2012 +0200

    Note loadConstantsFromCFGVer0() in configCompat.cpp

 src/common.hpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a22bd3974b598fa3446de6fafca9dd370b9e9555
Merge: 12f00a1 d2b59b5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 22:19:37 2012 +0200

    Merge branch 'master' into windows

commit d2b59b515e89a56622d9af24f2c3076b8a6548bd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 22:18:07 2012 +0200

    Avoid double-loading CFG in first constructor as well

 src/configInit.cpp |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 0e1dcb575fe9b656957c7e22708f56d45da43f4f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 22:07:37 2012 +0200

    Make backupFile() w32-friendly

 src/filesystem.cpp |   13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 12f00a16f461671839afe35e352a96dff84fed71
Merge: 9546fe7 525b851
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 20:09:14 2012 +0200

    Merge branch 'master' into windows

commit 525b851f614eb9fd51434355391738cc4cbdaaca
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 20:08:22 2012 +0200

    Add libboost-program-options-dev depend in README

 README |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9546fe767c896c2ba5bf70e0fa534e05d29fc361
Merge: e645f31 5ca6a5c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Jun 4 19:34:17 2012 +0200

    Merge branch 'master' into windows

commit 5ca6a5cf30153d32e6b776a05a57a1369b70cc6e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri May 18 13:27:51 2012 +0200

    Added auto-upgrade note to NEWS

 NEWS |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e645f3139dd8af49dc8c5319b88e61c7acda4bff
Merge: d577bfc f54a15e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri May 18 13:13:48 2012 +0200

    Merge branch 'master' into windows

commit f54a15ed6f79d11028b9b9de19aec24bc6efcdcc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri May 18 13:12:09 2012 +0200

    Use upgradeCFG() when the $HOME / settings CFG file is used

 src/configInit.cpp |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 3feeecc1e0954a800d8d85d957e42aa02057cbc4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri May 18 13:04:54 2012 +0200

    Implement upgradeCFG()
    
    Function which takes a given CFG and a compating version,
    if it is outdated:
    * Loads the variables from it (using the existing compatible load)
    * Makes a backup copy of the file
    * Recreates the file in the new format from the loaded vars

 src/configInit.cpp |   30 ++++++++++++++++++++++++++----
 src/configInit.hpp |    1 +
 2 files changed, 27 insertions(+), 4 deletions(-)

commit b50a629a8f1276e1b33b4b6d4823371b0c8d7410
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri May 18 13:02:59 2012 +0200

    Implement rmFile() and backupFile() in filesystem

 src/filesystem.cpp |   28 ++++++++++++++++++++++++++++
 src/filesystem.hpp |    4 ++++
 2 files changed, 32 insertions(+)

commit f53f12128b9f4f0cf9fb09eeeac502dd912ae16d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 17 12:41:28 2012 +0200

    src/filesystem.cpp:fix whitespace

 src/filesystem.cpp |   44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit 9a315fdfd16af439b54963089ac042ca3fecea15
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 17 11:56:05 2012 +0200

    Bump to 0.3.1, update NEWS

 NEWS         |    7 +++++++
 configure.ac |    2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit d577bfc48e3f14b28cb386efdccc6ddcd37c5d4a
Merge: a819614 36a08d6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 17 11:50:37 2012 +0200

    Merge branch 'master' into windows

commit 36a08d6ac07fd80ddd4d0adb3788c1df11c3341f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon May 14 20:49:47 2012 +0200

    Make sure to write the version to file

 src/common.cpp |    3 +++
 1 file changed, 3 insertions(+)

commit 2126369ffd8ed49ed6003ae296cbc58a058ffb25
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon May 14 20:32:00 2012 +0200

    Fix constants names, needs CFG file v.1)

 src/constants.cpp |   72 ++++++++++++++++++++++++-----------------------------
 1 file changed, 33 insertions(+), 39 deletions(-)

commit f615fb356e792782c72ee9c4b758833a504ed27b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon May 14 20:29:34 2012 +0200

    Do CFG version check in init, and load accordingly

 src/configInit.cpp |   12 +++++++++++-
 src/configInit.hpp |    2 ++
 2 files changed, 13 insertions(+), 1 deletion(-)

commit e64953abcb63687d87d25f11ba5ccc568790304c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon May 14 20:26:52 2012 +0200

    Add functions for reading/writing CFG file version

 src/common.cpp       |   21 +++++++++++++++++++++
 src/common.hpp       |    3 +++
 src/configHelper.cpp |    5 +++++
 src/configHelper.hpp |    2 ++
 4 files changed, 31 insertions(+)

commit dad3aa78b43608d5610ef8abee533820e8df28c1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon May 14 20:24:49 2012 +0200

    Add compatible loading of constants from ver0 CFG

 Makefile.am          |    1 +
 src/common.hpp       |    1 +
 src/configCompat.cpp |  178 ++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 180 insertions(+)

commit ede3a2df920450d09d0b0e2c3e1a472b7e6e6627
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun May 13 17:56:51 2012 +0200

    Fix loading EXE file by path
    
    Previously used an empty path :(

 src/configInit.cpp |    3 +--
 src/reader.cpp     |    5 +++++
 src/reader.hpp     |    1 +
 3 files changed, 7 insertions(+), 2 deletions(-)

commit 8c80937128137f857fccb6396241ccffc17e137f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 9 01:28:30 2012 +0200

    Note where lev files go in README

 README |    2 ++
 1 file changed, 2 insertions(+)

commit a819614fa6e3a19a9d93e74dcf097125390c13ca
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 9 01:26:16 2012 +0200

    Note where to place lev files in README

 README.txt |    2 ++
 1 file changed, 2 insertions(+)

commit cf1728bb2e7efb36dad629d87c428f2b86b8d174 (tag: lierolibre-0.3_win32)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 3 12:22:39 2012 +0200

    Update windows changelog

 ChangeLog.txt |  131 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 131 insertions(+)

commit c56e0f370704e60455c69e78de666ca4c3ffa6a3
Merge: 3039d30 16df031
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 3 12:21:26 2012 +0200

    Merge branch 'master' into windows

commit 16df031dfe180dad3318b78abaa99347284651ee (tag: lierolibre-0.3)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 3 12:21:14 2012 +0200

    Update changelog

 ChangeLog |  395 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 395 insertions(+)

commit c04b38225dfb4e77de3f58c0856d498aa82c1e08
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 3 04:36:58 2012 +0200

    Account for dir + dir in inputfile behaviour
    
    dir + dir also makes it prioritize $HOME, however if given
    foo.unknown and dir it won't, hence the unweildy if-or-if-then
    to make sure it is by-letter correct.

 man/lierolibre.6.am |   14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit d666620b4e964b963589ebda3b88bb0e90180094
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 3 03:13:38 2012 +0200

    Reword and update manpage
    
    * dir + dir can be given
    * CFG file only copied if inputfile is a dir
    * inputdir does not default, rather then game uses inpufile

 man/lierolibre.6.am |   21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit 90b46db9587cce7fc252ec802c08bed61e1bba3b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu May 3 02:38:08 2012 +0200

    Reword wrapper script, for loop & don't shift
    
    This seems to work infinitely much better than the previous
    monster, and it should be future-proof as well!

 scripts/lierolibre.am |   61 ++++++++-----------------------------------------
 1 file changed, 9 insertions(+), 52 deletions(-)

commit 2d02dd391f93d28bc4c4b68b60cca1913d48f200
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 22:00:45 2012 +0200

    Remove unused zlib license text from *nix version

 COPYING |   20 --------------------
 1 file changed, 20 deletions(-)

commit 90bb6b035bfe13790cd89d26bc6e92b7906431ac
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 21:28:17 2012 +0200

    add a dot in COPYING

 COPYING |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6593a22856f1cc9de484317f2ccfb2ce04870755
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 21:24:12 2012 +0200

    Use return value from fread for error check instead of ferror

 src/gfx.cpp |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9325e3c29fcc57e0f18171f5779280460494ab09
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 21:03:24 2012 +0200

    Fix a wrap and formulation error in COPYING

 COPYING |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 3039d30c9c3e28f9dc7238fb2e1be7a19648678b
Merge: 2d13bc3 9046aab
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 17:31:08 2012 +0200

    Merge branch 'master' into windows

commit 9046aab7731f6fb9fd5043b2396b65bbcd82c399
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 17:17:08 2012 +0200

    Fixes for the no-masm building (boost path & arch)
    
    Conflicts:
    
    	lib

 src/_build/liero.vcxproj  |    4 ++--
 src/_build/lierolibre.sln |    6 ++++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 2d13bc3a050f13a2464f4846da2347fd315ca825
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 17:17:08 2012 +0200

    Fixes for the no-masm building (boost path & arch)

 lib                       |    2 +-
 src/_build/liero.vcxproj  |    4 ++--
 src/_build/lierolibre.sln |    6 ++++--
 3 files changed, 7 insertions(+), 5 deletions(-)

commit 087eb6b8b4eef89573a0638f082b9899786a22dc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 16:52:14 2012 +0200

    Update windows changelog

 ChangeLog.txt |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit e1bf459bb4d9bdde7413e58c48c2c16a911050a1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 16:38:22 2012 +0200

    update lib module with zlib no-masm /MD

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a564e1e9c466e9ea2c256abed861df8ae6eee22d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 16:17:04 2012 +0200

    fix lierocfg.txt path and name in windows README

 README.txt |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c63640b224b910be2d7ccd78f29b3793cb9f8c5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 16:02:08 2012 +0200

    Update windows changelog

 ChangeLog.txt |   78 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

commit 42cfcb06652aa2a63acc827caa2885aea9cadd1f
Merge: 50eee55 6e78a5f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 15:38:50 2012 +0200

    Merge branch 'master' into windows

commit 50eee556c5f07de7421336bd747bc315d63ae705
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 14:42:51 2012 +0200

    Update COPYING with static zlib and licenses for NEWS

 COPYING.txt |   26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

commit 6e78a5fab6d6a96fe290a20a1cc898177e70f86d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 15:28:50 2012 +0200

    Large update of copyright info, autotools & NEWS pedantry

 COPYING |  106 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 90 insertions(+), 16 deletions(-)

commit 0e4dd8cec4fcee432c2d24fc675d4101e576c0fc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 05:11:03 2012 +0200

    undefining ZLIB_WINAPI and tweaking zlib in lib submodule

 lib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dd0a46c8577c58369bae1523591fc22187df1fe
Merge: 80a9a0e 66618db
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 05:10:02 2012 +0200

    Merge branch 'master' into windows

commit 66618db7fe11c66e4eb3ad349c559c6c89f9a461
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 05:06:19 2012 +0200

    msvcpp: changes for static zlib, use non-VCS boost debug

 src/_build/liero.vcxproj  |    8 +++-----
 src/_build/lierolibre.sln |   39 +++++++++++++++++++--------------------
 2 files changed, 22 insertions(+), 25 deletions(-)

commit 2fe70f3d591b8375d480bebcd37f10205ab05608
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 04:57:55 2012 +0200

    static zlib linking in gvl vcxproj

 src/gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80a9a0eb76ff8e7fb9293fdf5ea504db90379e4c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 04:57:55 2012 +0200

    static zlib linking in gvl

 src/gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7d78f58b2ac1b749a8ccf3cc9ac361a35428991
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 00:23:13 2012 +0200

    Update windows changelog

 ChangeLog.txt |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit b47b99a71b87ac49525ef9dd840b72ea2744d8f0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 00:19:13 2012 +0200

    Remove leftover check-marker

 COPYING.txt |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d29f2436db04e8c53e48fdbf55583a2be2a9c818
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 00:06:58 2012 +0200

    Update windows changelog

 ChangeLog.txt |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit df1708ee4a4755cfc5603d0ec5aab48a73ef6dba
Merge: 0b717aa e99af1e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 00:05:50 2012 +0200

    Merge branch 'master' into windows

commit e99af1ea5c41a1c1107b3764ceb423de3585abf6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed May 2 00:05:35 2012 +0200

    add include for GVL_WINDOWS

 src/reader.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0b717aa4e2209b9a2b516535c95f1e1746ae64c9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:47:18 2012 +0200

    Separate ChangeLog for the windows branch, though

 ChangeLog.txt | 5612 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 5612 insertions(+)

commit 37b2e921522275d2dfb690c785e6a0a28f18fd92
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:46:18 2012 +0200

    On second though since they won't diverge lets not clone

 AUTHORS.txt |   11 --
 NEWS.txt    |  376 -----------------------------------------------------------
 2 files changed, 387 deletions(-)

commit 75c3bd3eb538cc17fb93e03f061c8cf07090b41b
Merge: 591c2d0 b6508be
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:44:14 2012 +0200

    Merge branch 'master' into windows

commit b6508be52524223ea2944a458ad67183d60860e6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:43:18 2012 +0200

    Bump version to 0.3

 NEWS         |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 591c2d08f2052c1d87c816a91115b157db46e8b2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:38:51 2012 +0200

    Added windowsy NEWS and AUTHORS (.txt)

 AUTHORS.txt |   11 ++
 NEWS.txt    |  376 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 387 insertions(+)

commit 865b1b18e458d9852968ac04dae9efd6eb6d4188
Merge: c0df4a3 4c31e6d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:30:08 2012 +0200

    Merge branch 'master' into windows

commit 4c31e6d621d2958fe5ec803e9b6be5b85288cc09
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:29:21 2012 +0200

    Renamed liero.txt->lierocfg.txt to avoid conflict with LIERO.TXT

 NEWS                 |    2 +-
 src/boostTesting.cpp |    4 ++--
 src/dataPath.cpp     |    2 +-
 src/reader.cpp       |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit c0df4a347c59c8f40e982601fe412fd866413b39
Merge: e7ec3ad 60481dd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 23:01:07 2012 +0200

    Merge branch 'master' into windows

commit e7ec3ad41bc935561b5353c22cff52e22dae16ea
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 22:13:22 2012 +0200

    batch script for cmd in workdir

 scripts/lierolibre-cmd.bat |    5 +++++
 1 file changed, 5 insertions(+)

commit 858b4dca27ab1d445df9db3a50acb9e110e5aee6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 22:00:35 2012 +0200

    windows-specific README

 README.txt |   57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 60481dd99ffa30ff36ede2b58bf933ebe03d3193
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 15:44:27 2012 +0200

    Updated NEWS with new CFG file fixes

 NEWS |    5 +++++
 1 file changed, 5 insertions(+)

commit 19ffdae3883a46d1d9d246853410729a222967c7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 15:31:48 2012 +0200

    Add liero.txt as equally valid for dataPath
    
    Implementation of setLieroCFG() does not auto-load the CFG from the
    alternative platform though, e.g. *nix will not load liero.txt
    if given a directory as inputfile, or from the home dir.

 src/dataPath.cpp |    1 +
 1 file changed, 1 insertion(+)

commit efe09296f81b565e9c3fadf3ab05ba84adec6323
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 15:30:01 2012 +0200

    Implement the setLieroCFG() function.
    
    Used to set the CFG file separately, does not leave a DataPath
    object, chooses cfg/txt depending on platform.

 src/reader.cpp |   12 +++++++++++-
 src/reader.hpp |    1 +
 2 files changed, 12 insertions(+), 1 deletion(-)

commit dff191998885ee3b3f9f462c707f3c9a4feef91b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 15:25:18 2012 +0200

    Use specific function to copy/set home CFG, handle two dirs
    
    * Use a dedicated function to set the CFG file, thus allowing
      setLieroPath() wihout requiring CFG files to be present.
    * Handle the case of two directories, as is the case if the user
      only gives a -d option, since we default to inputfile being a dir

 src/configInit.cpp |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit e7efaa89a9ce6879f9c08135e40f468448ea633e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 15:21:34 2012 +0200

    inputfile defaults to data/ dir instead of cfg file on start
    
    Easier since we use cfg on *nix, txt on woe

 src/main.cpp |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 062cc6896f53317084bef318c92bacb3f519c072
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 15:19:05 2012 +0200

    Updated dataPath test with liero.txt

 src/boostTesting.cpp |   29 +++--------------------------
 1 file changed, 3 insertions(+), 26 deletions(-)

commit 5fda8aeddd92b175c7b9698db09f0030d781a386
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 14:00:30 2012 +0200

    Remove all CFG() functions hardcoding 'liero.cfg'

 src/common.cpp      |   69 ---------------------------------------------------
 src/common.hpp      |   16 ------------
 src/constants.cpp   |   10 --------
 src/gfx.cpp         |   10 --------
 src/gfx.hpp         |    2 --
 src/gfx/font.cpp    |   10 --------
 src/gfx/font.hpp    |    2 --
 src/gfx/palette.cpp |   10 --------
 src/gfx/palette.hpp |    2 --
 src/math.cpp        |    8 ------
 src/math.hpp        |    2 --
 11 files changed, 141 deletions(-)

commit bc6d5de62f36400ba41db4b9a86aff8a419d53dc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 13:02:38 2012 +0200

    copyright info for windows binary distribution

 COPYING.txt |  188 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 188 insertions(+)

commit 137aaa180ce23869718bec306e055a10218e4176
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 04:01:07 2012 +0200

    Large update of NEWS

 NEWS |   14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 21a057ba6466d0e7c6dbcae4fd64b7cd2aadeb35
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 03:01:19 2012 +0200

    Added w32 lib depends as submodule

 .gitmodules |    3 +++
 lib         |    1 +
 2 files changed, 4 insertions(+)

commit d5421dee7c8497b68751ef67ab1215a11261d35c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 02:58:51 2012 +0200

    gvl: some msvcpp changes

 src/gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f96ca2d68834e2dad3bc7f5497719971212dedf1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue May 1 02:40:01 2012 +0200

    Manually pick all VSC++ pjoject changes from windows branch

 src/_build/liero.sln      |   47 --------
 src/_build/liero.vcxproj  |  271 +++++++++++++++++++++++++++++++++++++++++++++
 src/_build/lierolibre.sln |   90 +++++++++++++++
 3 files changed, 361 insertions(+), 47 deletions(-)

commit fec92cf12d51eafda1dad6bd92cabc9c576e6a5f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 30 17:50:19 2012 +0200

    Enable all sizes for scale2X, black intersections currently

 src/gfx.cpp |  127 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 66 insertions(+), 61 deletions(-)

commit 87bc3c70847647b445fda72eaf8d329fdc0f0196
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 30 17:17:44 2012 +0200

    Use stored host desktop resolution for fullscreen

 src/gfx.cpp |   16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)

commit 9aa7d2f052088edb25e01f0617a429476d53ef89
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 30 17:16:56 2012 +0200

    Use setMaxVideoMode() at game start

 src/main.cpp |    5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 7a2e59409ee7bbfc14f957084ac1f6415f86139c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 30 17:10:28 2012 +0200

    Add setMaxVideoMode()
    
    setMaxVideoMode() uses the gfx.desktop{W,H} as upper limits and
    sets the highest possible window size (320x200 multiple),
    if-fullscreen behaviour is same as setVideoMode, might be useful if
    game is set to start fullscreen? (Horrible prospect...)

 src/gfx.cpp |   36 ++++++++++++++++++++++++++++++++++++
 src/gfx.hpp |    1 +
 2 files changed, 37 insertions(+)

commit 0e85718bd0d385f4d3d9cb781e0702169debf752
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 30 16:22:44 2012 +0200

    Store resolution on init, and store/restore with fullscreen
    
    * Desktop size from host stored in gfx.desktop{W,H}
    * Window size stored in storedWindow{W,H} before entering
      fullscreen, resored on leaving fullscreen

 src/gfx.cpp |   15 ++++++++++++---
 src/gfx.hpp |    2 +-
 2 files changed, 13 insertions(+), 4 deletions(-)

commit 387b46856b5530f08e750b4c2a6f47a39bb6a543
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 30 00:02:17 2012 +0200

    change defaultpath to dir instead of file
    
    Fixes lierolibre not loading the $HOME liero.cfg file

 scripts/lierolibre.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd71781f118cd430bdf29ed012e00fbbfe349c29
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 29 04:04:54 2012 +0200

    stdint.h woe fix

 src/gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f08615d8c28b1d1344c996f01654390ae2fc21a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 29 03:08:34 2012 +0200

    mkdir() -> _mkdir() for woe

 src/dataPath.cpp |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d0a5b914c421e772381fd280d7e8a790c8773076
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 29 02:49:37 2012 +0200

    Include gvl/support/platform.hpp for GVL_WINDOWS def

 src/dataPath.cpp |    1 +
 1 file changed, 1 insertion(+)

commit e07092c926b3ce190202ab818c4021d81abe55ef
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 28 23:16:52 2012 +0200

    preprocess choice between $HOME and CurDir, and mkdir

 src/dataPath.cpp |    9 +++++++++
 1 file changed, 9 insertions(+)

commit dcc91b48b01a62fe9004151a875d891a9dd00376
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 28 02:25:02 2012 +0200

    Bump version to 0.2.1, note Alt-F4 fullscreen quit in NEWS

 NEWS         |    4 ++++
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 9a752f005f421ad3eeeaca8d825d14257992751a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 28 02:22:28 2012 +0200

    Made is possible to exit from fullscreen via alt+f4

 src/gfx.cpp |    3 +++
 1 file changed, 3 insertions(+)

commit bd6d35fe46b3c719798d49e26908c045ec0361d3 (tag: lierolibre-0.2)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 18:36:35 2012 +0200

    Update ChangeLog

 ChangeLog |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit c4b0e2d09e1347e5baede192139180f5bb5b36f6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 18:29:36 2012 +0200

    note ./liero.cfg -> data/liero.cfg default change in NEWS

 NEWS |    1 +
 1 file changed, 1 insertion(+)

commit 522200c4b5b5ee2a0149f44106e7329cb924ab3c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 18:27:33 2012 +0200

    Default to using the data/liero.cfg instead of ./liero.cfg

 src/main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58af8f5d9647a8284c3e41920737d2404764cba7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 18:21:20 2012 +0200

    Refresh ChangeLog

 ChangeLog |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit e7b9d977494556be9278dfb2dcf8540dac926610
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 18:18:27 2012 +0200

    Add a lot of info to the README
    
    * Window size keys
    * Config file info
    * Compile and install instructions
    * Bug reporting link
    * More info link to LP

 README |   52 +++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 41 insertions(+), 11 deletions(-)

commit 91d3580b9938a09ec16159563e5cc628d6103510
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 16:47:47 2012 +0200

    Update ChangeLog with git-log --stat >

 ChangeLog | 1145 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1145 insertions(+)

commit b0d707833ddff662fe426d827d4fcd9758325c8a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 16:44:50 2012 +0200

    Bump date in all manpages

 man/lierolibre-extractgfx.6.am    |    2 +-
 man/lierolibre-extractlev.6.am    |    2 +-
 man/lierolibre-extractsounds.6.am |    2 +-
 man/lierolibre-packgfx.6.am       |    2 +-
 man/lierolibre-packlev.6.am       |    2 +-
 man/lierolibre-packsounds.6.am    |    2 +-
 man/lierolibre.6.am               |    2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit bf707c541c9149df11a35400110c94ac4517604d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 14:38:09 2012 +0200

    Use seddable #PACKAGE_VERSION# in manpages and add build command

 Makefile.am                       |    1 +
 man/lierolibre-extractgfx.6.am    |    2 +-
 man/lierolibre-extractlev.6.am    |    2 +-
 man/lierolibre-extractsounds.6.am |    2 +-
 man/lierolibre-packgfx.6.am       |    2 +-
 man/lierolibre-packlev.6.am       |    2 +-
 man/lierolibre-packsounds.6.am    |    2 +-
 man/lierolibre.6.am               |    2 +-
 8 files changed, 8 insertions(+), 7 deletions(-)

commit 0a64f22bae5a3252ce8666755c221c318f233655
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 14:28:58 2012 +0200

    Change inputfile to refer to the directory of itself instead of inputdir
    
    I think this is slightly less confusing.

 man/lierolibre.6.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 37ffe7627b89e17cbf04f9fcd6bfac3eb27a59a3
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 13:12:01 2012 +0200

    Refactor: Add gfx.{load,save}OPT() instead of doing it all in main

 src/gfx.cpp  |   37 +++++++++++++++++++++++++++++++++++++
 src/gfx.hpp  |    3 +++
 src/main.cpp |   19 ++-----------------
 3 files changed, 42 insertions(+), 17 deletions(-)

commit 996127347661893a805a140da8797b1c4a0c6d51
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 13:10:12 2012 +0200

    do closeAllCachedFiles() in main exception cleanup

 src/main.cpp |    2 ++
 1 file changed, 2 insertions(+)

commit 3d080a9e15f70d47b0a727a5e4d16e1c32169589
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 03:01:11 2012 +0200

    check return value on fread, and throw

 src/main.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 017058b54073baecc6a9ecf6c4e1302ba630cc6b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 01:05:04 2012 +0200

    Add libconfig version check for write as well

 src/configInit.cpp |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 1dc3d7bedf159e0314e07ea3c020d3bee27c1f15
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 00:51:47 2012 +0200

    noted required version of libconfig++ for verbose errors in NEWS

 NEWS |    2 ++
 1 file changed, 2 insertions(+)

commit 3f304931965517b26cb3f3f77a79064fb2776a48
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 00:37:16 2012 +0200

    Use pp logic to check libconfig version & disable the exception info
    
    Get-info methods on the exceptions don't work in libconfig <= 1.4,
    this is unfortunately the prevalent version in Ubuntu, for example.

 src/configInit.cpp |    8 ++++++++
 1 file changed, 8 insertions(+)

commit eb363f16cc5ba949d5eb0208fbb6eb2b6aa21f18
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 27 00:36:58 2012 +0200

    cleanup leftover path assignments

 src/dataPath.cpp |    2 --
 1 file changed, 2 deletions(-)

commit 942330d8ee77f335ba18b6961f6c5b2c05e5d918
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 23:09:31 2012 +0200

    Note no-longer-need ending "/" in NEWS, reword Better -> Reworked

 NEWS |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5999b4e77383ccfabb614a3537a49041db619c24
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 23:06:12 2012 +0200

    Remove ending "/" hints in manpage now that it's not needed

 man/lierolibre.6.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ff47311920201d42bb71efaf1cfdb62f1e590aae
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 22:59:38 2012 +0200

    Avoid setting root path to parent of directory if given without ending "/"
    
    Previously if DataPath was was constructed with a directory path
    which did not end with "/" it instead set its path to the parent
    directory. Now it uses isDir() to check for this and set it
    correctly.

 src/dataPath.cpp |    7 +++++++
 1 file changed, 7 insertions(+)

commit 2a1a386a1d3164fb090ef28e670e6a36478ae768
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 22:58:51 2012 +0200

    Implement isDir() to check if path is a directory

 src/filesystem.cpp |   11 +++++++++++
 src/filesystem.hpp |    2 ++
 2 files changed, 13 insertions(+)

commit 257bfcfd0ccacb661be1895a3e98b7a04b202e96
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 22:30:11 2012 +0200

    Use disable getRoot() in setLieroPath and delete setLiero{EXE,CFG}()

 src/reader.cpp |   30 ++----------------------------
 src/reader.hpp |    2 --
 2 files changed, 2 insertions(+), 30 deletions(-)

commit 19d54cb2b30ce654a0b951c7f90c49498ecb7cb4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 22:17:37 2012 +0200

    Update news file with verbose cfg error messages

 NEWS |    2 ++
 1 file changed, 2 insertions(+)

commit 2b825851d61e27689d5517f79a9aa92251b40037
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 22:06:27 2012 +0200

    catch exceptions by libconfig, output info, rethrow
    
    Wrap loadFromCFG() and writeToCFG() in try blocks,
    catch ParseException and SettingException and print all provided
    info before rethrowing.
    
    This should possibly be done via a custom exception class, with a
    single assembled string message, but that seems like a lot of pain
    for little gain.

 src/configInit.cpp |   94 ++++++++++++++++++++++++++++++----------------------
 1 file changed, 55 insertions(+), 39 deletions(-)

commit 00903c61ee52a1d6b9b2a165f9d98faeac3a1c5f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 18:58:33 2012 +0200

    Rework manpage to fit new cli parameters and options

 man/lierolibre.6.am |   91 +++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 67 insertions(+), 24 deletions(-)

commit 790e611d2335c220cfed3dbe53c3f128b68383ef
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 18:57:49 2012 +0200

    reword help message, spelling, ordering..

 src/argParse.cpp |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e0e9defc861e5d2b2f416cd7743b556005fb1c42
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 14:14:13 2012 +0200

    Update wrapper script with new binary

 scripts/lierolibre.am |   64 +++++++++++++++++++++++++++++++++----------------
 1 file changed, 44 insertions(+), 20 deletions(-)

commit 7056597388fe2d032c4d873b4a6d7d8f22279100
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 14:13:06 2012 +0200

    Specify source files for script, gfx and sounds in Makefile

 Makefile.am |   45 +++++++++++++++++++++++++++------------------
 1 file changed, 27 insertions(+), 18 deletions(-)

commit ed0935e0c179c1ee8d4ee52cb37b92de6e68d012
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 03:26:59 2012 +0200

    add changelog to distributed and installed

 Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit 7d39ebdbf54f1f0ffbda27198053bb152a358620
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 03:21:09 2012 +0200

    Fix syntax error with extra ","

 configure.ac |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 45da140e91f12c4c435c48917e98550c89d78816
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 03:06:52 2012 +0200

    Follow change in configure.ac GVL_DEPS -> ZLIB

 Makefile.am |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 69dbe6db61aa602d3a60b63586f30440dfabd669
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 01:12:33 2012 +0200

    Added some more git ignores

 .gitignore |   14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 846f12990203eaf659d9a75baa9333572f3cf8b7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 01:06:36 2012 +0200

    no-need-pkg-config for SDL_mixer in NEWS

 NEWS |    1 +
 1 file changed, 1 insertion(+)

commit 54ee9320584a19eaa73171384051502ef16a6d75
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 01:03:51 2012 +0200

    set Jamfile path and add dummy_config.h to dist

 Makefile.am |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 20d8f6dd217d6a1ed9fd01b4c86b5c221bea5e35
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 01:02:28 2012 +0200

    Update makefile with splitting of SDL_mixer and libconfig++

 Makefile.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f504cdf4cb50124dd68cdac771d4e8ba73d22afa
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 26 01:01:53 2012 +0200

    work around missing pkg-config for SDL_mixer

 configure.ac |   22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit ee5008051064f0fcc116ecfebe00b78a89645abf
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 23:37:09 2012 +0200

    Delete top Jamfile, can't get it to work properly

 0 files changed

commit 120e88629e2573011af3d23090686f8e29110905
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 23:31:31 2012 +0200

    Work around Jam not having config.h
    
    We include config.h in autotools, but the #include won't work with
    jam, hence create a dummy file which is renamed by Jam (to avoid
    having a file in VCS that is modified by build), and included, empty.
    
    Also ifdef the use of PACKAGE_CAPTION since that's what we get from
    config.h normally...
    
    I'm guessing it might be time to drop Jam one of these days....

 src/Jamfile        |    3 +++
 src/dummy_config.h |    1 +
 src/gfx.cpp        |    4 ++++
 3 files changed, 8 insertions(+)

commit 60727e001bd77913ea662510db0843d51f97fc67
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 23:02:57 2012 +0200

    Fix no return value in inputString when we SDL_QUIT

 src/gfx.cpp |    1 +
 1 file changed, 1 insertion(+)

commit 4bc3b963da333d82fbb7f4b4be7714ea59415e8f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 22:47:19 2012 +0200

    Add dummy config.h for Jam

 0 files changed

commit e37667b66306840dd4c969eef9e0c9595c99ade5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 22:22:01 2012 +0200

    Update copyright file paths with src migrations

 COPYING |   33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 5ffe122ab57ffc8f5bc8b34965eedd6cc5429ada
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 22:08:29 2012 +0200

    Move gvl submodule to src/gvl
    
    That took way more effort that it should
    see my (arand's) comment on http://stackoverflow.com/questions/4604486

 .gitmodules |    2 +-
 gvl         |    1 -
 src/gvl     |    1 +
 3 files changed, 2 insertions(+), 2 deletions(-)

commit 1cc09f6a8e1b9cbb8f9cb70fade75518a296d1e4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 20:13:19 2012 +0200

    Modify build scripts for src move

 Makefile.am  |  793 +++++++++++++++++++++++++++++-----------------------------
 autogen.sh   |    4 +-
 configure.ac |   16 +-
 3 files changed, 402 insertions(+), 411 deletions(-)

commit a6ad9f6ad736a44715ccaf3f121a38f0277b1603
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 20:10:35 2012 +0200

    First step in movinf to src/subdir

 Jamfile                             |   47 -
 _build/liero.sln                    |   47 -
 _build/liero.vcproj                 |  841 -------------
 argParse.cpp                        |   52 -
 argParse.hpp                        |   40 -
 binReader.cpp                       |  133 --
 binReader.hpp                       |   51 -
 bobject.cpp                         |   90 --
 bobject.hpp                         |   48 -
 bonus.cpp                           |   63 -
 bonus.hpp                           |   53 -
 boostTesting.cpp                    |  428 -------
 common.cpp                          | 1154 ------------------
 common.hpp                          |  232 ----
 configHelper.cpp                    |  135 ---
 configHelper.hpp                    |   52 -
 configInit.cpp                      |  151 ---
 configInit.hpp                      |   52 -
 console.cpp                         |  248 ----
 console.hpp                         |   63 -
 constants.cpp                       |  586 ---------
 constants.hpp                       |  183 ---
 controller/commonController.cpp     |   72 --
 controller/commonController.hpp     |   42 -
 controller/controller.hpp           |   64 -
 controller/localController.cpp      |  309 -----
 controller/localController.hpp      |   81 --
 controller/replayController.cpp     |  196 ---
 controller/replayController.hpp     |   79 --
 dataPath.cpp                        |  132 --
 dataPath.hpp                        |   69 --
 exactObjectList.hpp                 |  205 ----
 fastObjectList.hpp                  |  151 ---
 filesystem.cpp                      |  384 ------
 filesystem.hpp                      |  104 --
 game.cpp                            |  550 ---------
 game.hpp                            |  115 --
 gfx.cpp                             | 2262 -----------------------------------
 gfx.hpp                             |  271 -----
 gfx/blit.cpp                        |  515 --------
 gfx/blit.hpp                        |   64 -
 gfx/color.hpp                       |   32 -
 gfx/font.cpp                        |  212 ----
 gfx/font.hpp                        |   71 --
 gfx/macros.hpp                      |  201 ----
 gfx/palette.cpp                     |  187 ---
 gfx/palette.hpp                     |   86 --
 gfx/sprite.cpp                      |   78 --
 gfx/sprite.hpp                      |   52 -
 keys.cpp                            |  152 ---
 keys.hpp                            |   58 -
 level.cpp                           |  311 -----
 level.hpp                           |  103 --
 lfs.hpp                             |  103 --
 main.cpp                            |  228 ----
 math.cpp                            |  102 --
 math.hpp                            |   60 -
 menu/arrayEnumBehavior.hpp          |   56 -
 menu/booleanSwitchBehavior.cpp      |   60 -
 menu/booleanSwitchBehavior.hpp      |   50 -
 menu/enumBehavior.cpp               |   75 --
 menu/enumBehavior.hpp               |   58 -
 menu/hiddenMenu.cpp                 |  112 --
 menu/hiddenMenu.hpp                 |   57 -
 menu/integerBehavior.cpp            |   83 --
 menu/integerBehavior.hpp            |   58 -
 menu/itemBehavior.cpp               |   29 -
 menu/itemBehavior.hpp               |   49 -
 menu/menu.cpp                       |  318 -----
 menu/menu.hpp                       |  182 ---
 menu/menuItem.cpp                   |   65 -
 menu/menuItem.hpp                   |   61 -
 menu/timeBehavior.cpp               |   40 -
 menu/timeBehavior.hpp               |   46 -
 ninjarope.cpp                       |  149 ---
 nobject.cpp                         |  399 ------
 nobject.hpp                         |   86 --
 objectList.hpp                      |  193 ---
 rand.cpp                            |   25 -
 rand.hpp                            |   35 -
 reader.cpp                          |  157 ---
 reader.hpp                          |   59 -
 rect.hpp                            |  233 ----
 replay.cpp                          |  692 -----------
 replay.hpp                          |  137 ---
 sdlmain.cpp                         |   52 -
 settings.cpp                        |  219 ----
 settings.hpp                        |  340 ------
 sfx.cpp                             |  220 ----
 sfx.hpp                             |  121 --
 sobject.cpp                         |  298 -----
 sobject.hpp                         |   66 -
 src/Jamfile                         |   47 +
 src/_build/liero.sln                |   47 +
 src/_build/liero.vcproj             |  841 +++++++++++++
 src/argParse.cpp                    |   52 +
 src/argParse.hpp                    |   40 +
 src/binReader.cpp                   |  133 ++
 src/binReader.hpp                   |   51 +
 src/bobject.cpp                     |   90 ++
 src/bobject.hpp                     |   48 +
 src/bonus.cpp                       |   63 +
 src/bonus.hpp                       |   53 +
 src/boostTesting.cpp                |  428 +++++++
 src/common.cpp                      | 1154 ++++++++++++++++++
 src/common.hpp                      |  232 ++++
 src/configHelper.cpp                |  135 +++
 src/configHelper.hpp                |   52 +
 src/configInit.cpp                  |  151 +++
 src/configInit.hpp                  |   52 +
 src/console.cpp                     |  248 ++++
 src/console.hpp                     |   63 +
 src/constants.cpp                   |  586 +++++++++
 src/constants.hpp                   |  183 +++
 src/controller/commonController.cpp |   72 ++
 src/controller/commonController.hpp |   42 +
 src/controller/controller.hpp       |   64 +
 src/controller/localController.cpp  |  309 +++++
 src/controller/localController.hpp  |   81 ++
 src/controller/replayController.cpp |  196 +++
 src/controller/replayController.hpp |   79 ++
 src/dataPath.cpp                    |  132 ++
 src/dataPath.hpp                    |   69 ++
 src/exactObjectList.hpp             |  205 ++++
 src/fastObjectList.hpp              |  151 +++
 src/filesystem.cpp                  |  384 ++++++
 src/filesystem.hpp                  |  104 ++
 src/game.cpp                        |  550 +++++++++
 src/game.hpp                        |  115 ++
 src/gfx.cpp                         | 2262 +++++++++++++++++++++++++++++++++++
 src/gfx.hpp                         |  271 +++++
 src/gfx/blit.cpp                    |  515 ++++++++
 src/gfx/blit.hpp                    |   64 +
 src/gfx/color.hpp                   |   32 +
 src/gfx/font.cpp                    |  212 ++++
 src/gfx/font.hpp                    |   71 ++
 src/gfx/macros.hpp                  |  201 ++++
 src/gfx/palette.cpp                 |  187 +++
 src/gfx/palette.hpp                 |   86 ++
 src/gfx/sprite.cpp                  |   78 ++
 src/gfx/sprite.hpp                  |   52 +
 src/keys.cpp                        |  152 +++
 src/keys.hpp                        |   58 +
 src/level.cpp                       |  311 +++++
 src/level.hpp                       |  103 ++
 src/lfs.hpp                         |  103 ++
 src/main.cpp                        |  228 ++++
 src/math.cpp                        |  102 ++
 src/math.hpp                        |   60 +
 src/menu/arrayEnumBehavior.hpp      |   56 +
 src/menu/booleanSwitchBehavior.cpp  |   60 +
 src/menu/booleanSwitchBehavior.hpp  |   50 +
 src/menu/enumBehavior.cpp           |   75 ++
 src/menu/enumBehavior.hpp           |   58 +
 src/menu/hiddenMenu.cpp             |  112 ++
 src/menu/hiddenMenu.hpp             |   57 +
 src/menu/integerBehavior.cpp        |   83 ++
 src/menu/integerBehavior.hpp        |   58 +
 src/menu/itemBehavior.cpp           |   29 +
 src/menu/itemBehavior.hpp           |   49 +
 src/menu/menu.cpp                   |  318 +++++
 src/menu/menu.hpp                   |  182 +++
 src/menu/menuItem.cpp               |   65 +
 src/menu/menuItem.hpp               |   61 +
 src/menu/timeBehavior.cpp           |   40 +
 src/menu/timeBehavior.hpp           |   46 +
 src/ninjarope.cpp                   |  149 +++
 src/nobject.cpp                     |  399 ++++++
 src/nobject.hpp                     |   86 ++
 src/objectList.hpp                  |  193 +++
 src/rand.cpp                        |   25 +
 src/rand.hpp                        |   35 +
 src/reader.cpp                      |  157 +++
 src/reader.hpp                      |   59 +
 src/rect.hpp                        |  233 ++++
 src/replay.cpp                      |  692 +++++++++++
 src/replay.hpp                      |  137 +++
 src/sdlmain.cpp                     |   52 +
 src/settings.cpp                    |  219 ++++
 src/settings.hpp                    |  340 ++++++
 src/sfx.cpp                         |  220 ++++
 src/sfx.hpp                         |  121 ++
 src/sobject.cpp                     |  298 +++++
 src/sobject.hpp                     |   66 +
 src/sys.cpp                         |   44 +
 src/sys.hpp                         |   40 +
 src/text.cpp                        |  115 ++
 src/text.hpp                        |   62 +
 src/to_string.cpp                   |   39 +
 src/to_string.hpp                   |   45 +
 src/version.hpp                     |   32 +
 src/viewport.cpp                    |  675 +++++++++++
 src/viewport.hpp                    |  108 ++
 src/weapon.cpp                      |  468 ++++++++
 src/weapon.hpp                      |  122 ++
 src/weapsel.cpp                     |  574 +++++++++
 src/weapsel.hpp                     |   57 +
 src/worm.cpp                        | 1593 ++++++++++++++++++++++++
 src/worm.hpp                        |  452 +++++++
 sys.cpp                             |   44 -
 sys.hpp                             |   40 -
 text.cpp                            |  115 --
 text.hpp                            |   62 -
 to_string.cpp                       |   39 -
 to_string.hpp                       |   45 -
 version.hpp                         |   32 -
 viewport.cpp                        |  675 -----------
 viewport.hpp                        |  108 --
 weapon.cpp                          |  468 --------
 weapon.hpp                          |  122 --
 weapsel.cpp                         |  574 ---------
 weapsel.hpp                         |   57 -
 worm.cpp                            | 1593 ------------------------
 worm.hpp                            |  452 -------
 214 files changed, 21756 insertions(+), 21756 deletions(-)

commit 8feb9da498aa6bd5fec5f31404a0dd412ac8c53b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 18:57:18 2012 +0200

    Add the quitting news to NEWS

 NEWS |    1 +
 1 file changed, 1 insertion(+)

commit e840a00c4ac4de8dacff458e9e454f23d7ce3462
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 18:28:24 2012 +0200

    Fix game exit when catching SDL_QUIT, without ugly throw
    
    Bascially a metter of adding checks for !running which is set when
    SDL_QUIT is processed, had to add some return and process()
    to catch and unwind all subcases, hopefully there shouldn't be any
    left now.

 gfx.cpp  |   24 +++++++++++++++---------
 main.cpp |    5 +----
 2 files changed, 16 insertions(+), 13 deletions(-)

commit 1ec8a5a5051f44b89720567b2dce0c64a09feabf
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 17:02:05 2012 +0200

    Add dummy file to not end up with empty dir

 0 files changed

commit 7509d7cda9571678581a913a54740980159fcc5a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:58:37 2012 +0200

    Change Erik Lindroos' (c) years 2010 -> 2007-2010
    
    Some of those are too early, but it's better to claim copyright on
    nonexistent stuff and catch the important than to miss out, I guess.

 binReader.cpp                   |    2 +-
 binReader.hpp                   |    2 +-
 bobject.cpp                     |    2 +-
 bobject.hpp                     |    2 +-
 bonus.cpp                       |    2 +-
 bonus.hpp                       |    2 +-
 common.cpp                      |    2 +-
 common.hpp                      |    2 +-
 console.cpp                     |    2 +-
 console.hpp                     |    2 +-
 constants.cpp                   |    2 +-
 constants.hpp                   |    2 +-
 controller/commonController.cpp |    2 +-
 controller/commonController.hpp |    2 +-
 controller/controller.hpp       |    2 +-
 controller/localController.cpp  |    2 +-
 controller/localController.hpp  |    2 +-
 controller/replayController.cpp |    2 +-
 controller/replayController.hpp |    2 +-
 exactObjectList.hpp             |    2 +-
 fastObjectList.hpp              |    2 +-
 filesystem.cpp                  |    2 +-
 filesystem.hpp                  |    2 +-
 game.cpp                        |    2 +-
 game.hpp                        |    2 +-
 gfx.cpp                         |    2 +-
 gfx.hpp                         |    2 +-
 gfx/blit.cpp                    |    2 +-
 gfx/blit.hpp                    |    2 +-
 gfx/color.hpp                   |    2 +-
 gfx/font.cpp                    |    2 +-
 gfx/font.hpp                    |    2 +-
 gfx/macros.hpp                  |    2 +-
 gfx/palette.cpp                 |    2 +-
 gfx/sprite.cpp                  |    2 +-
 gfx/sprite.hpp                  |    2 +-
 keys.cpp                        |    2 +-
 keys.hpp                        |    2 +-
 level.cpp                       |    2 +-
 level.hpp                       |    2 +-
 lfs.hpp                         |    2 +-
 main.cpp                        |    2 +-
 math.cpp                        |    2 +-
 math.hpp                        |    2 +-
 menu/arrayEnumBehavior.hpp      |    2 +-
 menu/booleanSwitchBehavior.cpp  |    2 +-
 menu/booleanSwitchBehavior.hpp  |    2 +-
 menu/enumBehavior.cpp           |    2 +-
 menu/enumBehavior.hpp           |    2 +-
 menu/hiddenMenu.cpp             |    2 +-
 menu/hiddenMenu.hpp             |    2 +-
 menu/integerBehavior.cpp        |    2 +-
 menu/integerBehavior.hpp        |    2 +-
 menu/itemBehavior.cpp           |    2 +-
 menu/itemBehavior.hpp           |    2 +-
 menu/menu.cpp                   |    2 +-
 menu/menu.hpp                   |    2 +-
 menu/menuItem.cpp               |    2 +-
 menu/menuItem.hpp               |    2 +-
 menu/timeBehavior.cpp           |    2 +-
 menu/timeBehavior.hpp           |    2 +-
 ninjarope.cpp                   |    2 +-
 nobject.cpp                     |    2 +-
 nobject.hpp                     |    2 +-
 objectList.hpp                  |    2 +-
 rand.cpp                        |    2 +-
 rand.hpp                        |    2 +-
 reader.cpp                      |    2 +-
 reader.hpp                      |    2 +-
 rect.hpp                        |    2 +-
 replay.cpp                      |    2 +-
 replay.hpp                      |    2 +-
 sdlmain.cpp                     |    2 +-
 settings.cpp                    |    4 ++--
 settings.hpp                    |    2 +-
 sfx.cpp                         |    2 +-
 sfx.hpp                         |    2 +-
 sobject.cpp                     |    2 +-
 sobject.hpp                     |    2 +-
 sys.cpp                         |    2 +-
 sys.hpp                         |    2 +-
 text.cpp                        |    2 +-
 text.hpp                        |    2 +-
 version.hpp                     |    2 +-
 viewport.cpp                    |    2 +-
 viewport.hpp                    |    2 +-
 weapon.cpp                      |    2 +-
 weapon.hpp                      |    2 +-
 weapsel.cpp                     |    2 +-
 weapsel.hpp                     |    2 +-
 worm.cpp                        |    2 +-
 worm.hpp                        |    2 +-
 92 files changed, 93 insertions(+), 93 deletions(-)

commit 35adfaa7c766c1f6498b1125946ebea49545c25b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:58:18 2012 +0200

    gvl copyright tweak

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dbbb4587c97eab4e9c78a9b90354b3242fe37f73
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:53:45 2012 +0200

    GLobal add of copyright to remaining Gliptic+basro

 bobject.cpp                     |   26 ++++++++++++++++++++++++++
 bobject.hpp                     |   26 ++++++++++++++++++++++++++
 bonus.cpp                       |   26 ++++++++++++++++++++++++++
 bonus.hpp                       |   26 ++++++++++++++++++++++++++
 controller/commonController.cpp |   26 ++++++++++++++++++++++++++
 controller/commonController.hpp |   26 ++++++++++++++++++++++++++
 controller/controller.hpp       |   26 ++++++++++++++++++++++++++
 controller/localController.hpp  |   26 ++++++++++++++++++++++++++
 controller/replayController.cpp |   26 ++++++++++++++++++++++++++
 controller/replayController.hpp |   26 ++++++++++++++++++++++++++
 filesystem.cpp                  |   26 ++++++++++++++++++++++++++
 filesystem.hpp                  |   26 ++++++++++++++++++++++++++
 game.cpp                        |   26 ++++++++++++++++++++++++++
 gfx/blit.cpp                    |   26 ++++++++++++++++++++++++++
 gfx/blit.hpp                    |   26 ++++++++++++++++++++++++++
 gfx/color.hpp                   |   26 ++++++++++++++++++++++++++
 gfx/macros.hpp                  |   26 ++++++++++++++++++++++++++
 gfx/palette.cpp                 |   26 ++++++++++++++++++++++++++
 gfx/sprite.cpp                  |   26 ++++++++++++++++++++++++++
 gfx/sprite.hpp                  |   26 ++++++++++++++++++++++++++
 keys.cpp                        |   26 ++++++++++++++++++++++++++
 keys.hpp                        |   26 ++++++++++++++++++++++++++
 level.hpp                       |   26 ++++++++++++++++++++++++++
 menu/arrayEnumBehavior.hpp      |   26 ++++++++++++++++++++++++++
 menu/booleanSwitchBehavior.cpp  |   26 ++++++++++++++++++++++++++
 menu/booleanSwitchBehavior.hpp  |   26 ++++++++++++++++++++++++++
 menu/enumBehavior.cpp           |   26 ++++++++++++++++++++++++++
 menu/enumBehavior.hpp           |   26 ++++++++++++++++++++++++++
 menu/hiddenMenu.cpp             |   26 ++++++++++++++++++++++++++
 menu/hiddenMenu.hpp             |   26 ++++++++++++++++++++++++++
 menu/integerBehavior.cpp        |   26 ++++++++++++++++++++++++++
 menu/integerBehavior.hpp        |   26 ++++++++++++++++++++++++++
 menu/itemBehavior.cpp           |   26 ++++++++++++++++++++++++++
 menu/itemBehavior.hpp           |   26 ++++++++++++++++++++++++++
 menu/menuItem.cpp               |   26 ++++++++++++++++++++++++++
 menu/menuItem.hpp               |   26 ++++++++++++++++++++++++++
 menu/timeBehavior.cpp           |   26 ++++++++++++++++++++++++++
 menu/timeBehavior.hpp           |   26 ++++++++++++++++++++++++++
 ninjarope.cpp                   |   26 ++++++++++++++++++++++++++
 nobject.cpp                     |   26 ++++++++++++++++++++++++++
 nobject.hpp                     |   26 ++++++++++++++++++++++++++
 objectList.hpp                  |   26 ++++++++++++++++++++++++++
 replay.cpp                      |   26 ++++++++++++++++++++++++++
 replay.hpp                      |   26 ++++++++++++++++++++++++++
 version.hpp                     |   26 ++++++++++++++++++++++++++
 viewport.cpp                    |   26 ++++++++++++++++++++++++++
 viewport.hpp                    |   26 ++++++++++++++++++++++++++
 weapon.cpp                      |   26 ++++++++++++++++++++++++++
 weapon.hpp                      |   26 ++++++++++++++++++++++++++
 weapsel.cpp                     |   26 ++++++++++++++++++++++++++
 weapsel.hpp                     |   26 ++++++++++++++++++++++++++
 51 files changed, 1326 insertions(+)

commit df2066fe2992aa51441aef52ca2f0c61ae9ba916
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:47:38 2012 +0200

    add missing copyright header

 math.hpp |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit ecd5808c85909b3072a1b3de935224abe7e3b345
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:41:59 2012 +0200

    globally add copyright for Gliptic+basro+martin

 common.cpp                     |   27 +++++++++++++++++++++++++++
 controller/localController.cpp |   27 +++++++++++++++++++++++++++
 gfx.cpp                        |   27 +++++++++++++++++++++++++++
 gfx/font.cpp                   |   27 +++++++++++++++++++++++++++
 level.cpp                      |   27 +++++++++++++++++++++++++++
 menu/menu.cpp                  |   27 +++++++++++++++++++++++++++
 settings.cpp                   |   27 +++++++++++++++++++++++++++
 worm.cpp                       |   27 +++++++++++++++++++++++++++
 8 files changed, 216 insertions(+)

commit 22dfe997aae0ab541d577c1ee15139e804486fe4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:39:09 2012 +0200

    Add copyright headers for martin-only

 argParse.cpp     |   25 +++++++++++++++++++++++++
 argParse.hpp     |   25 +++++++++++++++++++++++++
 boostTesting.cpp |   25 +++++++++++++++++++++++++
 configHelper.cpp |   25 +++++++++++++++++++++++++
 configInit.cpp   |   25 +++++++++++++++++++++++++
 dataPath.cpp     |   25 +++++++++++++++++++++++++
 to_string.cpp    |   25 +++++++++++++++++++++++++
 7 files changed, 175 insertions(+)

commit b01c38846b54a4eacb0ef9ed782b7a97eceddf96
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:36:56 2012 +0200

    Add copyright headers for martin + gliptic

 binReader.cpp |   26 ++++++++++++++++++++++++++
 constants.cpp |   26 ++++++++++++++++++++++++++
 main.cpp      |   26 ++++++++++++++++++++++++++
 math.cpp      |   26 ++++++++++++++++++++++++++
 reader.cpp    |   26 ++++++++++++++++++++++++++
 5 files changed, 130 insertions(+)

commit bb387b9eca789f348b302e7e53afe4a2bd37ad22
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:32:32 2012 +0200

    Add copyright headers globally for Gliptic 2010

 console.cpp         |   25 +++++++++++++++++++++++++
 console.hpp         |   25 +++++++++++++++++++++++++
 exactObjectList.hpp |   25 +++++++++++++++++++++++++
 fastObjectList.hpp  |   25 +++++++++++++++++++++++++
 lfs.hpp             |   25 +++++++++++++++++++++++++
 rand.cpp            |   25 +++++++++++++++++++++++++
 rand.hpp            |   25 +++++++++++++++++++++++++
 rect.hpp            |   25 +++++++++++++++++++++++++
 sdlmain.cpp         |   25 +++++++++++++++++++++++++
 sfx.cpp             |   25 +++++++++++++++++++++++++
 sfx.hpp             |   25 +++++++++++++++++++++++++
 sobject.cpp         |   25 +++++++++++++++++++++++++
 sobject.hpp         |   25 +++++++++++++++++++++++++
 sys.cpp             |   25 +++++++++++++++++++++++++
 sys.hpp             |   25 +++++++++++++++++++++++++
 text.cpp            |   25 +++++++++++++++++++++++++
 text.hpp            |   25 +++++++++++++++++++++++++
 17 files changed, 425 insertions(+)

commit 05c1cd8766895dfdf3e2a5ed7ab4fb7af30306a0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 16:31:38 2012 +0200

    gvl: copyright headers

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d76a6256417dd08b513613835cdac11b10dbb9c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 15:08:40 2012 +0200

    purge crlf and whitespace lierolibre-globally

 .hgignore                       |    8 +-
 bobject.cpp                     |  128 +-
 bobject.hpp                     |   44 +-
 bonus.cpp                       |   74 +-
 bonus.hpp                       |   54 +-
 console.cpp                     |  446 +++---
 console.hpp                     |   76 +-
 controller/commonController.cpp |   92 +-
 controller/commonController.hpp |   32 +-
 controller/controller.hpp       |   76 +-
 controller/localController.cpp  |  564 +++----
 controller/localController.hpp  |  110 +-
 controller/replayController.cpp |  340 ++---
 controller/replayController.hpp |  106 +-
 exactObjectList.hpp             |  360 ++---
 fastObjectList.hpp              |  252 ++--
 filesystem.cpp                  |  716 ++++-----
 filesystem.hpp                  |  156 +-
 gfx/blit.cpp                    |  978 ++++++------
 gfx/blit.hpp                    |   76 +-
 gfx/color.hpp                   |   12 +-
 gfx/macros.hpp                  |  350 ++---
 gfx/sprite.cpp                  |  104 +-
 gfx/sprite.hpp                  |   52 +-
 keys.cpp                        |  252 ++--
 keys.hpp                        |   64 +-
 level.cpp                       |  568 +++----
 level.hpp                       |  154 +-
 lfs.hpp                         |  156 +-
 menu/arrayEnumBehavior.hpp      |   60 +-
 menu/booleanSwitchBehavior.cpp  |   68 +-
 menu/booleanSwitchBehavior.hpp  |   48 +-
 menu/enumBehavior.cpp           |   98 +-
 menu/enumBehavior.hpp           |   64 +-
 menu/hiddenMenu.cpp             |  172 +--
 menu/hiddenMenu.hpp             |   62 +-
 menu/integerBehavior.cpp        |  114 +-
 menu/integerBehavior.hpp        |   64 +-
 menu/itemBehavior.cpp           |    6 +-
 menu/itemBehavior.hpp           |   46 +-
 menu/menuItem.cpp               |   78 +-
 menu/menuItem.hpp               |   68 +-
 menu/timeBehavior.cpp           |   28 +-
 menu/timeBehavior.hpp           |   40 +-
 ninjarope.cpp                   |  246 +--
 nobject.cpp                     |  746 +++++-----
 nobject.hpp                     |  120 +-
 objectList.hpp                  |  334 ++---
 rand.hpp                        |   20 +-
 rect.hpp                        |   42 +-
 replay.cpp                      | 1330 ++++++++---------
 replay.hpp                      |  222 +--
 sdlmain.cpp                     |    2 +-
 sfx.cpp                         |  304 ++--
 sfx.hpp                         |  176 +--
 sobject.cpp                     |  546 +++----
 sobject.hpp                     |   82 +-
 sys.cpp                         |   38 +-
 sys.hpp                         |   30 +-
 text.cpp                        |  164 +-
 text.hpp                        |   70 +-
 version.hpp                     |   12 +-
 viewport.hpp                    |  164 +-
 weapon.cpp                      |  884 +++++------
 weapon.hpp                      |  192 +--
 weapsel.cpp                     | 1096 +++++++-------
 weapsel.hpp                     |   62 +-
 worm.cpp                        | 3132 +++++++++++++++++++--------------------
 68 files changed, 8715 insertions(+), 8715 deletions(-)

commit d63cb4750fca7c9475254227de61423013e6dd53
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 15:07:36 2012 +0200

    gvl: update module with whitespace purge

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 97ad2ee5556845de8b34d296033861366788d583
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 14:53:55 2012 +0200

    omit a probably redundant null check

 viewport.cpp |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit ea92788ab94ed74cdb7bc2797c031d5d871523f1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 14:23:27 2012 +0200

    viewport.cpp whitespace

 viewport.cpp |  184 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 92 insertions(+), 92 deletions(-)

commit f52b8dc2802b1e5e58d96109e24ec5fef2ed98f3
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 13:41:18 2012 +0200

    Check for tut headers and just do a notice if the don't exist
    
    Embedded libtut was removed from gvl, however it is only required
    for gvltest

 configure.ac |    6 ++++++
 1 file changed, 6 insertions(+)

commit 8a0c3320caee21b5751b2154da823d06e755e700
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 13:41:02 2012 +0200

    update gvl with removal of zlib & libpcl

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e10d484e8a9d233df349849ed6179c720fdb020
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 13:40:12 2012 +0200

    Update copyright infor with removal of zlib & libpcl

 COPYING |   15 ---------------
 1 file changed, 15 deletions(-)

commit a409cc9a8d0acd715498f1f3eb0645ba4e1aaf94
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 13:19:12 2012 +0200

    Copy in sdl.m4 during autoreconf step instead of keeping it in VCS

 autogen.sh |    4 ++
 m4/sdl.m4  |  208 ------------------------------------------------------------
 2 files changed, 4 insertions(+), 208 deletions(-)

commit 16a0afd65d9ba251617e126ea6a9f4ab135d0ab9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 12:10:11 2012 +0200

    Info about new resolution features in NEWS

 NEWS |    5 +++++
 1 file changed, 5 insertions(+)

commit e8255a00b0765847eb702cd8d15ea7252a3093ae
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 12:01:25 2012 +0200

    Add F7 for x3, F8 for x4 scaling

 gfx.cpp |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit f1defa0f3dea0fc6b6e33f7793b00193190db5c3
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 12:00:14 2012 +0200

    change default screen height 480 -> 400, (200*n)

 gfx.cpp |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d3f134e730d20673a4956e34bfd595f639dfc058
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 11:55:57 2012 +0200

    Reset resolution if not fullscreen, instead of if

 gfx.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f40401a1d3af3ba8d6fde27be26e94fd3028a2af
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 11:51:36 2012 +0200

    Try max resolution given by SDL for fullscreen first

 gfx.cpp |   10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 06c3757214e4f08614a6413ad3e14472a5918a7f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 11:46:44 2012 +0200

    main: lower default screen resolution to 640x400
    
    Since the Nearest scaling filter in the game only supports exact
    multiples of 320x200 (everything else just becomes a black border)
    640x400 seems to be the safest and nicest default resolution.

 main.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 18d4e2c2fa76f7616ac98a267010cf054a881fe9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 10:51:08 2012 +0200

    settings: crlf, whitespace, license headers

 settings.cpp |  353 ++++++++++++++++---------------
 settings.hpp |  651 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 529 insertions(+), 475 deletions(-)

commit 3788a8b80ac17e80fe0da60c8d5daae33248c949
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 02:33:49 2012 +0200

    Ugly try-catch to make SDL_QUIT do something

 gfx.cpp  |    1 +
 main.cpp |    6 +++++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 27edf4c37e1a05cdf2262cc4b153d7848411e001
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 25 00:21:39 2012 +0200

    Ugly hack in main to initialize game at 800x500

 main.cpp |    2 ++
 1 file changed, 2 insertions(+)

commit f2ce5fc4522f0c98798e9ea10a73a66e09e19f75
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 23:27:00 2012 +0200

    Added history from Liero OpenLiero and LIERO to NEWS

 NEWS |  300 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 300 insertions(+)

commit e0c08681fb9f26aa551f8e111fa96965ab76f0d6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 22:58:36 2012 +0200

    Add a configure var for window caption and use in gfx.cpp

 configure.ac |    4 ++++
 gfx.cpp      |    3 ++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 78d478795d2622895393991107d2cda491c65495
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 22:27:28 2012 +0200

    Dump "git log --stat" to changelog

 ChangeLog | 4069 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 4068 insertions(+), 1 deletion(-)

commit cc01f9d8c11f8d13a3023550db250dd5f4581ced
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 22:13:15 2012 +0200

    NEWS: Update and simplify

 NEWS |    9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit b7567dd16d0bdc7a636df4341598fa531020ef52
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 21:13:37 2012 +0200

    main: fixup configInit initialisation

 main.cpp |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 50baa1ff635a583a594a11e120ee9c5531217c3f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 21:11:16 2012 +0200

    main: typo wm->vm

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a017f91baeb38c952bbcaeffc132f097fe4805c6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 20:54:43 2012 +0200

    main: unneded type spec

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54615743af60dcc33026d2ff2c22f69ad7c09fdd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 20:46:12 2012 +0200

    configInit: use setLieroPath() only
    
    setLieroPath gives us a cfg, but we can ignore it when
    appropriate, hence there is no need to call anything else.
    
    (EXE is never gathered by dataPath since it must be specified
    manually).
    
    Turns out we don't need to modify reader after all

 configInit.cpp |   11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 31104bdabca5e12fd5ebd612a3ec8d70e15d9b46
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 20:34:14 2012 +0200

    configInit: Add possible separation of path and inputfile
    
    ConfigInit can now be constructed with dirPath argument, allowing
    separation of where to find game data and game vars.
    
    Needs work in reader for support.

 configInit.cpp |   20 ++++++++++++++++++--
 configInit.hpp |    1 +
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 567d29ee4f400444fd0e43290c73158fb54f5b96
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 19:44:40 2012 +0200

    main: call ConfigInit with inputDir as well

 main.cpp |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 215500cac6084f3e34f7528b2491c57258124adc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 19:27:11 2012 +0200

    NEWS: reword and update

 NEWS |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 86019e13240b757cb08b121f4108417fe977658d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 19:24:54 2012 +0200

    main: don't set default outfile, and drop cfgWriteSet flag

 main.cpp |    8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 6a7db1cd5161e4b4b947eeb3cd0eddaa7f988be5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 19:17:07 2012 +0200

    main: Add and assign inputdir var

 main.cpp |   13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 08244478c5b554841636e06fbc20e13ffe104a35
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 19:13:25 2012 +0200

    argParse.cpp: add --dir option
    
    * Add command line --dir option for specific loading of sound/graphics/names
    * Change so that positional parameters assign 1:inputfile 2:inputdir 3:outputfile

 argParse.cpp |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7d97fa02f7d8a413044b5b54b42e26425dda6988
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 18:56:18 2012 +0200

    Update gvl submodule with removal of dtoa

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7fdaec72baac525280e1ad86c87c3e244c3b0a2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 18:54:42 2012 +0200

    Makefile.am: deinclude dtoa.* and gvl/zlib

 Makefile.am |   31 ++-----------------------------
 1 file changed, 2 insertions(+), 29 deletions(-)

commit df3119003a9303fb7a43b77e5e7a4995194979d9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 18:54:34 2012 +0200

    Makefile.am: add argParse to sources

 Makefile.am |    2 ++
 1 file changed, 2 insertions(+)

commit 3c5bddba7d13bc5525059de39c8160e214d4b177
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 18:53:58 2012 +0200

    Makefile.am:link with boost_program_options

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e14ae30a2064f6dc3f6feb50cdb879bdaedb91c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 18:52:04 2012 +0200

    configure.ac: add simple header check for boost_program_options

 configure.ac |   12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 8b836086d3be42bdbcb6a1342ffb1d050979004f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 18:51:04 2012 +0200

    argParse: no need to define dynamic boost linking, drop config.h

 argParse.hpp |    1 +
 1 file changed, 1 insertion(+)

commit 0030c9f6a8c98bcb7fcc2b92c24098184e51efbb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 17:26:00 2012 +0200

    NEWS: 0.2 with argument parsing

 NEWS |   13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 7dc0cc1b674124b08421f67a3ddcd131cc6c3999
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 16:23:46 2012 +0200

    set version 0.2

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 738fbd2774728ca91b7c367f85a7b6a5b840b99c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 16:17:15 2012 +0200

    main.cpp: add help option; coding style fixes

 main.cpp |   19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit ba287347a6ec2f33a5bea0a8ec31a2adabf9809d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 16:15:57 2012 +0200

    configInit: 3 cases, EXE, CFG or path

 configInit.cpp |   10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 9ac58a67caccf0a96794792308b5c8affc2cbcd2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 16:14:38 2012 +0200

    reader: Add setLieroCFG() method, forcing to read from given CFG

 reader.cpp |   14 ++++++++++++++
 reader.hpp |    1 +
 2 files changed, 15 insertions(+)

commit b9ad08fbcc191b4052c11cc9026060c486995205
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 16:13:57 2012 +0200

    argParse: use wm store compatibel with positional parameters

 argParse.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d5038cbae1b609f2bde216d60a5a1581f7cf4ebe
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 16:13:26 2012 +0200

    argParse: make desc outside-accessible

 argParse.cpp |    1 -
 argParse.hpp |    1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 741718c6625f8104c45ac152dea5e023aeda6aa0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 16:12:57 2012 +0200

    argParse: add help

 argParse.cpp |    1 +
 1 file changed, 1 insertion(+)

commit a1762ec0872a104026f9932a3ddcc3a2661e859b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 24 14:12:29 2012 +0200

    Inplements argParse via boost

 Jamfile      |    3 ++-
 argParse.cpp |   24 ++++++++++++++++++++++++
 argParse.hpp |   13 +++++++++++++
 main.cpp     |   54 +++++++++++++++++-------------------------------------
 4 files changed, 56 insertions(+), 38 deletions(-)

commit 917fe385ac41af2f08080706a3b54206a6afb573 (tag: lierolibre-0.1)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 16:44:51 2012 +0200

    update data submodule, tweak desktop file

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1679e60c223b10f3b87f965e19581fa35e337fa0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 16:42:37 2012 +0200

    configure.ac: Add more checks based on autoscan and restructure

 configure.ac |   68 +++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 51 insertions(+), 17 deletions(-)

commit 83041784d506c39a319772f4521ec79944478cf5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 15:31:52 2012 +0200

    Set April as release month

 NEWS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0163227ff830422daa1a58951f382f89c582e0a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 15:08:12 2012 +0200

    dataPath: change ~/.liero -> ~/.lierolibre

 boostTesting.cpp |    2 +-
 dataPath.cpp     |    2 +-
 dataPath.hpp     |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 55f744fe45e5374a9c2e2e778f1e644ab716dc45
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 14:45:03 2012 +0200

    safeguard icon and desktop dir from datadir change

 Makefile.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9d0e07b6c87321f3331f43e3c36a02e5540ea1dc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 14:07:49 2012 +0200

    some libreliero misses

 README              |    2 +-
 man/lierolibre.6.am |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 706f07ee2194f80e14d6e0fea936c53dea406135
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 13:54:27 2012 +0200

    Makefile.am: extra \

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2da5c879128a0912c003fee1734886e6a7665f5a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 13:52:53 2012 +0200

    update data module, removal of exe files

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e618a347559189ec8d7d0ba51d67f2ed445ca898
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 13:45:31 2012 +0200

    Makefile.am: include original text files

 Makefile.am |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 9d8d47c7265788c6b7bef75187db4a619d883f18
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 13:44:26 2012 +0200

    COPYING: note that freeware license doesn't apply

 COPYING |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 73f9cffbe9c5fcf1fbbec507790f37f61f071793
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 13:15:22 2012 +0200

    README: slight rewording

 README |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c1d70f8d5f4b45ed1250eaab0b299715fe746c8c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 12:16:03 2012 +0200

    COPYING: add text for LGPL

 COPYING |   45 ++++++++++++++++++++++++++++++---------------
 1 file changed, 30 insertions(+), 15 deletions(-)

commit edd13f2a86e3e23a080f145fd61a0dad58746f9d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 01:37:13 2012 +0200

    configure.ac: Add checks for SoX & ImageMagick

 configure.ac |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 91d607a3c83fce2e5ce4bcbd0813a3d7d6127586
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 01:36:38 2012 +0200

    autogen.sh add action

 autogen.sh |    3 +++
 1 file changed, 3 insertions(+)

commit 1e2175d1259b26847bdd3ed07ba41417b9f7ac3f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 00:47:07 2012 +0200

    INSTALL: remove since generated

 INSTALL |  370 ---------------------------------------------------------------
 1 file changed, 370 deletions(-)

commit a1d8d571125735fac5583e39849fea6131f1255c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 00:45:22 2012 +0200

    Makefile.am: fix missing \ in list

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d906113f2d35d65233c9dc02af4b38dc9159a15
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 00:44:58 2012 +0200

    Makefile.am: fix gvl/libgvl.la unsubstitution

 Makefile.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7bfe1568878aee50c6144d1d06669c365f31516d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 00:40:52 2012 +0200

    Update data submodule with icons & desktop entry

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7763925e1598fae1d2bbac22d9b7f7babe9567c1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 23 00:38:40 2012 +0200

    Makefile.am: reorganise, add icons

 Makefile.am |   79 ++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 45 insertions(+), 34 deletions(-)

commit 25e6d04ba96edfcdf1550cb863fd908def977b4f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 23:04:16 2012 +0200

    Makefile.am: cleanups, use variables for targets

 Makefile.am |   44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit 9252a4433211234ec5545af923d0b138a6836943
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 22:33:42 2012 +0200

    man/lierolibre-packsounds.6.am: tweak file list formatting

 man/lierolibre-packsounds.6.am |    1 +
 1 file changed, 1 insertion(+)

commit 816bb0a23ec311b064db26efd4cef3e38403232e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 22:30:58 2012 +0200

    Makefile.am: make target and install macros for manpages

 Makefile.am |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 5f94f5502d6dd89c749577683036025184ee5cdc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 22:23:01 2012 +0200

    cripts/lierolibre-extractsounds: tweak description

 scripts/lierolibre-extractsounds |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 858098a344e34bd6c2b1d4f0dee27e472c4adadd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 22:20:40 2012 +0200

    Makefile.am & lierolibre.am: unify sedding

 Makefile.am           |    9 +++++----
 scripts/lierolibre.am |    8 ++++----
 2 files changed, 9 insertions(+), 8 deletions(-)

commit 64c6cb7a20f20b5998cfd039b895514729f92ca6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 22:19:35 2012 +0200

    Add manpages for all scripts, tweak ll page to conform

 man/lierolibre-extractgfx.6.am    |   57 ++++++++++++++++++++++++++++++++++++
 man/lierolibre-extractlev.6.am    |   52 +++++++++++++++++++++++++++++++++
 man/lierolibre-extractsounds.6.am |   58 +++++++++++++++++++++++++++++++++++++
 man/lierolibre-packgfx.6.am       |   54 ++++++++++++++++++++++++++++++++++
 man/lierolibre-packlev.6.am       |   52 +++++++++++++++++++++++++++++++++
 man/lierolibre-packsounds.6.am    |   53 +++++++++++++++++++++++++++++++++
 man/lierolibre.6.am               |    4 +--
 7 files changed, 328 insertions(+), 2 deletions(-)

commit 1f48db430c6b50317dd480121ff2b472d5420136
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 21:01:31 2012 +0200

    rename doc/ -> man/

 Makefile.am         |   40 +++++++++--------
 doc/lierolibre.6.am |  120 ---------------------------------------------------
 man/lierolibre.6.am |  120 +++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 141 insertions(+), 139 deletions(-)

commit d64d4cdcea2a478079e940016814c56091b7406e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 19:03:31 2012 +0200

    README: Add some content

 README |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 511f23ca5d2a35c10f272b11b45bc06fb4f54dc9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 19:02:23 2012 +0200

    Makefile.am: add manpages, including prospective

 Makefile.am |   36 +++++++++++++++++++++++++++++++-----
 1 file changed, 31 insertions(+), 5 deletions(-)

commit ee07cadcf49e1caf2fa842279ffcb954dad674ee
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 19:01:50 2012 +0200

    doc/lierolibre.6.am: add template manpage

 doc/lierolibre.6.am |  120 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 120 insertions(+)

commit a5b365711817179e00a69f166c924aa05c41e749
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 17:14:25 2012 +0200

    Makefile.am: fix subdir rules to not make twice

 Makefile.am |   13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 2c1e264fc8e69e4aec8ec25fc202d3218735ac4d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 16:22:24 2012 +0200

    Makefile.am: include NAMES.DAT & install docs

 Makefile.am |    7 +++++++
 1 file changed, 7 insertions(+)

commit e9eb10be0a55c92e5cbbac51f33e3701e0b28114
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 16:19:54 2012 +0200

    COPYING: clarify GPL or BSD for autotools

 COPYING |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8a7e59fcd6670020935541e8d35504fa1b2d5c1a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 16:00:18 2012 +0200

    AUTHORS: undummyfy

 AUTHORS |   12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 65977c2873c79316c35165f3e463a638087410a1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 15:46:09 2012 +0200

    COPYING: Add basro's real name and Joosa's alias

 COPYING |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2b3270e02d6f28358420d57665f573a6f341f503
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 15:38:04 2012 +0200

    COPYING: fix cfg and scripts path, set (C) years for FSF

 COPYING |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 927e102bbdd337f46d2019e6a7d7f904ed95ec52
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 15:21:11 2012 +0200

    Update with autotools copyrights

 COPYING |   17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 06e44cd3486345f352c4b093ca41eac82c124d88
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 12:00:50 2012 +0200

    scripts/lierolibre.am: Finalize

 scripts/lierolibre.am |   19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit d3c83de4c494b8fc24d7389d91ecc81deee115f2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 12:00:08 2012 +0200

    m4/sdl.m4: Update copyright notice somewhat

 m4/sdl.m4 |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aba41676516e3a65523be644c765931e84367b45
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 03:32:14 2012 +0200

    Makefile.am: fixup subdirs in data & libexec

 Makefile.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1cc23a186dc371814b9dee38eb40a980cd372268 (autotools)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 03:18:28 2012 +0200

    Update data module: script update and move

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28d24cb3c3b69a636053bfc0b03e3a20bd641549
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 03:14:08 2012 +0200

    Makefile.am: Add data and scripts

 Makefile.am |  105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 100 insertions(+), 5 deletions(-)

commit 4e60875058e42f3ab318dd8c7cfc7c21d07e2975
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 03:11:46 2012 +0200

    configure.ac: drop no-define in automake init

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 862766df52b0f0158333a0780e50759b14e7732d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 03:10:38 2012 +0200

    scripts/lierolibre.am: Don't use @, collides with automake

 scripts/lierolibre.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e149b82ceaad1fce64677c410d83718c9685d7de
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 03:07:58 2012 +0200

    Dummy AUTHORS & ChangeLog, set version in NEWS

 AUTHORS   |    1 +
 ChangeLog |    1 +
 NEWS      |    2 +-
 3 files changed, 3 insertions(+), 1 deletion(-)

commit 9f5dbd00a19cf37ab004078383e9fcc577e74dfe
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 02:16:31 2012 +0200

    New wrappers script template, hopefully working

 scripts/lierolibre.am |   40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

commit 385bc03609548828a5446906f8c6b4dc0fe403a2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 22 01:31:25 2012 +0200

    move scripts to this repo from data

 scripts/lierolibre-extractgfx    |   89 ++++++++++++++++++++
 scripts/lierolibre-extractlev    |   62 ++++++++++++++
 scripts/lierolibre-extractsounds |  102 +++++++++++++++++++++++
 scripts/lierolibre-packgfx       |  149 +++++++++++++++++++++++++++++++++
 scripts/lierolibre-packlev       |   59 +++++++++++++
 scripts/lierolibre-packsounds    |  169 ++++++++++++++++++++++++++++++++++++++
 6 files changed, 630 insertions(+)

commit e230efbfbba36f54c2ff797347f9cfd481b330b4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 21 21:34:13 2012 +0200

    autotools: more file inclusions, likely excessive

 Makefile.am |  262 +++++++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 236 insertions(+), 26 deletions(-)

commit bf9b6520470b6fc6ef7fa8707cb439347cab2eb1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 21 20:54:41 2012 +0200

    Further autotools tweaking, add libtool again
    
    Should only be file listings and install spec left now

 Makefile.am  |  417 ++++++++++++++++++++++++++++++++++++----------------------
 configure.ac |    8 +-
 2 files changed, 264 insertions(+), 161 deletions(-)

commit 2c9c8fb7a105b7f5455493ac45a73e2563d7284c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 21 13:27:54 2012 +0200

    autotools: remove boost and libtool

 configure.ac |    7 -
 m4/boost.m4  | 1186 ----------------------------------------------------------
 2 files changed, 1193 deletions(-)

commit a26db6a1a6bf359997e3f3aa5b3f9e02f56bc44e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 20:19:42 2012 +0200

    gvl in a subdir for autotools

 Makefile.am  |  148 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 configure.ac |   19 +++++---
 2 files changed, 151 insertions(+), 16 deletions(-)

commit b38cf128082f06e0d82bfdf65c9424a849500071
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 19:40:55 2012 +0200

    Add some more auto-hell

 INSTALL      |  370 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am  |    9 +-
 configure.ac |   11 +-
 3 files changed, 382 insertions(+), 8 deletions(-)

commit 477949048f0e5468a9462309d90b968b617795a4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 16:58:17 2012 +0200

    Add autoconf/automake stuff

 Makefile.am  |   46 +++
 configure.ac |   35 ++
 m4/boost.m4  | 1186 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 m4/sdl.m4    |  208 ++++++++++
 4 files changed, 1475 insertions(+)

commit 2af4b8ff6642ddc9775550dc322c435774af4041
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 21 10:58:05 2012 +0200

    Update data submodule: icon, move cfg file to data

 data      |    2 +-
 liero.cfg | 6040 -------------------------------------------------------------
 2 files changed, 1 insertion(+), 6041 deletions(-)

commit 1ef4a917817870d7132239fcdd5dcd32e67d870a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 20 20:06:34 2012 +0200

    more updates and lowercasing to lierolibre

 COPYING |    4 ++--
 NEWS    |    8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit b44566325127ee6d2824bd84c558469bb269c280
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 20 20:00:44 2012 +0200

    Updated gitmodules with lierolibre urls

 .gitmodules |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 92636a844ebbc1f7709332950fd843b330de0d29
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 20 18:28:46 2012 +0200

    Rename to LieroLibre

 COPYING |    2 +-
 Jamfile |    8 ++++----
 NEWS    |    6 +++---
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 9c4bd49636d340c0282f8c19980855f9702349b2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 20 18:27:27 2012 +0200

    delete before creating data_path as a sanity precaution

 reader.cpp |    2 ++
 1 file changed, 2 insertions(+)

commit 3e10b2b920531a1c636f054bdc1bbc7a20d1a357
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 20 16:05:16 2012 +0200

    move cfg to $HOME similar to DAT

 configInit.cpp |    4 ++--
 reader.cpp     |    2 ++
 reader.hpp     |    1 +
 3 files changed, 5 insertions(+), 2 deletions(-)

commit f4e0ddcb5d011f0d9272a76454eee7d2b2e0022e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 20 15:22:18 2012 +0200

    Update the boost test case to handle both DAT and liero.cfg

 boostTesting.cpp |  223 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 116 insertions(+), 107 deletions(-)

commit 12074163883189b5783c8bebc84ce3c4bd7fb95e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 20 15:22:00 2012 +0200

    dataPath: change config.ini to liero.cfg in acces map

 dataPath.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a0b1f42284bf139ad3a1c82d6eb0756525e8ddb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 19:39:42 2012 +0200

    make submodule adresses public git://

 .gitmodules |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit afd87c1fd6a8022d96f7d01123c2b0fd128635f5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 19:04:00 2012 +0200

    enable starting without even empty EXE file

 configInit.cpp |    8 ++++++--
 reader.cpp     |    9 +++++++--
 reader.hpp     |    1 +
 3 files changed, 14 insertions(+), 4 deletions(-)

commit 3b24e74bff263147df4e8e47aa55279e9775bbaa
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 19:02:40 2012 +0200

    Improve file finding from arguments
    
    * arg1 is input file
    * output set via "-w file"
    * input defaults to "./liero.cfg"
    * output defaults to "new_liero.cfg"
    * exe/cfg determined from input file
    * readonly dir is set based on input file

 main.cpp |   40 +++++++++++++++++++---------------------
 1 file changed, 19 insertions(+), 21 deletions(-)

commit 9ff6eab5966f1a34e14df187c54ee8c9ac2e3379
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 19:11:11 2012 +0200

    Revert "Improve file finding from arguments"
    
    This reverts commit e3d7cc84908f335496b0d8a7a07cdc2655d10200.
    Re-do commits in a cleaner way

 configInit.cpp |    8 ++------
 main.cpp       |   31 +++++++++++++++++++------------
 2 files changed, 21 insertions(+), 18 deletions(-)

commit e3d7cc84908f335496b0d8a7a07cdc2655d10200
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 15:13:41 2012 +0200

    Improve file finding from arguments
    
    * arg1 is input file, arg2 is output
    * input defaults to "./liero.cfg"
    * output defaults to "new_liero.cfg"
    * exe/cfg determined from input file
    * readonly dir is set based on input file

 configInit.cpp |    8 ++++++--
 main.cpp       |   31 ++++++++++++-------------------
 2 files changed, 18 insertions(+), 21 deletions(-)

commit a7298f0e6409eb2f1e36b97628d359a3ae4f71cc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 15:13:33 2012 +0200

    main.cpp: ifdef some more "press any key"

 main.cpp |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 420e1e790fd73da2cf8d9d6f46c71eaa87d6c87c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 14:29:54 2012 +0200

    game.hpp: add copyright header

 game.hpp |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit e6a30d851b45fb75744de3406cbf9bc9ce6e1187
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 14:26:47 2012 +0200

    game: purge crlf & witespace

 game.cpp |  126 +++++++++++++++++++++++------------------------
 game.hpp |  166 +++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 146 insertions(+), 146 deletions(-)

commit 28c67b9cba969c4875a7f2e2c25779a3f1d90d6b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 14:25:12 2012 +0200

    game.cpp: remove some superfluous includes

 game.cpp |    9 ---------
 1 file changed, 9 deletions(-)

commit 478e47f61533c8a8a73103f8b8cd476f97f52c99
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 19 13:58:38 2012 +0200

    remove boost filesystem lib and use existing liero version

 Jamfile        |    4 ++--
 configInit.cpp |   17 ++++++-----------
 configInit.hpp |    2 +-
 3 files changed, 9 insertions(+), 14 deletions(-)

commit aa87ec9717df94d667d1f095b4c11117bc022ca5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 18 22:44:59 2012 +0200

    Prettify copyright headers

 binReader.hpp    |   48 ++++++++++++++--------------
 boostTesting.cpp |   51 +++++++++++++++---------------
 common.hpp       |   50 +++++++++++++++---------------
 configHelper.hpp |   44 +++++++++++++-------------
 configInit.hpp   |   46 +++++++++++++--------------
 constants.hpp    |   48 ++++++++++++++--------------
 dataPath.hpp     |   91 ++++++++++++++++++++++++++----------------------------
 gfx.hpp          |   50 +++++++++++++++---------------
 gfx/font.hpp     |   50 +++++++++++++++---------------
 gfx/palette.hpp  |   50 +++++++++++++++---------------
 menu/menu.hpp    |   50 +++++++++++++++---------------
 reader.hpp       |   48 ++++++++++++++--------------
 worm.hpp         |   50 +++++++++++++++---------------
 13 files changed, 337 insertions(+), 339 deletions(-)

commit 960cee54b48398f88f7759f496b0a465b0e2e1d0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 18 22:24:28 2012 +0200

    to_string: add exception throwing

 to_string.cpp |   10 ++++++----
 to_string.hpp |   12 +++++++++---
 2 files changed, 15 insertions(+), 7 deletions(-)

commit 7ad5438020dadd2772ee4614d5e395d342f8c205
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 18 18:34:07 2012 +0200

    to_string.hpp: add copyright header and comment

 to_string.hpp |   35 +++++++++++++++++++++++++++++++++--
 1 file changed, 33 insertions(+), 2 deletions(-)

commit 687654a9c3fa8922db0e8c74c40d8ef7c91ee42c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 18 18:08:18 2012 +0200

    worm.hpp: add copyright header

 worm.hpp |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 83f630ff27b80b41be836a318479d725f911801e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 18 18:06:32 2012 +0200

    worm.hpp: purge crlf & witespace

 worm.hpp |  844 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 422 insertions(+), 422 deletions(-)

commit 2868b590c6590d46e7cfe8551c4802fcf5fb58de
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 18 02:47:57 2012 +0200

    Fixed compiler warning by casting a 1 to unsigned

 gfx.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0555e6c8bd4e35865ba37c9cd5e588b305703f35
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 18 00:42:36 2012 +0200

    Added NEWS file

 NEWS |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 1045cb5558902353984ee92573ab6b46daf8d01e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 17 22:43:34 2012 +0200

    COPYING: added _build dir

 COPYING |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e5d4985967d8b3ddd3515c684332842c015701e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 17 22:35:16 2012 +0200

    Update gvl submodule: dump fdlibm

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa5d6f80470c05fba32f7225968136feac4ba955
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 17 22:33:54 2012 +0200

    COPYING: Add more details for gvl submodule

 COPYING |   81 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 77 insertions(+), 4 deletions(-)

commit 068a8fd01d9f57bc54a06872f8eebe8a63830bff
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 17 22:12:22 2012 +0200

    Add COPYING file with exhaustive copyright information

 COPYING |  113 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit cb7c6924ce21af628836b63c55bc6dc5d3dc4e74
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 17 17:07:23 2012 +0200

    Update gvl submodule, no-change

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a09c193629504cb9e99539522bc180ee02f2444
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 17 17:00:19 2012 +0200

    Revert autotools completely
    
    Let's stuff this in a branch for now, might not use it at all
    
    Revert "gvl in a subdir for autotools"
    This reverts commit 93e97f449361d26e09a64c8d01da4e5950d6c48b.
    
    Revert "Add some more auto-hell"
    This reverts commit f11fe1657a14469fd3d59b55c9033088233215fb.
    
    Revert "Add autoconf/automake stuff"
    This reverts commit d35ced0df270debf099f6f4971b761b613d70fce.

 INSTALL      |  370 ------------------
 Makefile.am  |  177 ---------
 configure.ac |   43 ---
 m4/boost.m4  | 1186 ----------------------------------------------------------
 m4/sdl.m4    |  208 ----------
 5 files changed, 1984 deletions(-)

commit 93e97f449361d26e09a64c8d01da4e5950d6c48b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 20:19:42 2012 +0200

    gvl in a subdir for autotools

 Makefile.am  |  148 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 configure.ac |   19 +++++---
 2 files changed, 151 insertions(+), 16 deletions(-)

commit f11fe1657a14469fd3d59b55c9033088233215fb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 19:40:55 2012 +0200

    Add some more auto-hell

 INSTALL      |  370 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am  |    9 +-
 configure.ac |   11 +-
 3 files changed, 382 insertions(+), 8 deletions(-)

commit d35ced0df270debf099f6f4971b761b613d70fce
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 16:58:17 2012 +0200

    Add autoconf/automake stuff

 Makefile.am  |   46 +++
 configure.ac |   35 ++
 m4/boost.m4  | 1186 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 m4/sdl.m4    |  208 ++++++++++
 4 files changed, 1475 insertions(+)

commit 182c687851fd97e65ccaa16a36c99460174414e9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 12:41:55 2012 +0200

    rm plainreader, old poking module for boost ptree config

 plainreader.cpp |  106 -------------------------------------------------------
 plainreader.hpp |   30 ----------------
 2 files changed, 136 deletions(-)

commit 174096f61e26471b56a1ba33222757fe53ceb93c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 12:39:59 2012 +0200

    rm config, boost ptree helper no longer needed

 config.cpp |   86 ------------------------------------------------------------
 config.hpp |   61 ------------------------------------------
 2 files changed, 147 deletions(-)

commit 8ef95bf1d7e90a61ad178773bcb2f22764f12392
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 16 12:36:45 2012 +0200

    configInit.hpp: cosmetic changes

 configInit.hpp |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit b24a726e547a67a0e8912ab3ae34a89a7e03d4ba
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 19:52:34 2012 +0200

    main.cpp: rename triggerCFG->cfgSet, writeTriggerCFG->cfgWriteSet

 main.cpp |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 3b1685eecaaf5eea7b37eaa3248dff6c818a1205
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 19:16:55 2012 +0200

    configInit.cpp: cleanup the includes 'a bit'

 configInit.cpp |   43 ++++++++-----------------------------------
 1 file changed, 8 insertions(+), 35 deletions(-)

commit 136ee5ee611d8d872315d5ed0b654c5e631cbbd4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 19:03:19 2012 +0200

    main.cpp: make the non-relevant path more obvious

 main.cpp |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 6cf716be6a853fc610691d5d8b49126f18f4edcb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 19:00:17 2012 +0200

    main.cpp: use GVL_WINDOWS instead of GVL_WIN32

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c03db9db2d538d0bde3a6ad6deabcc0fa7e92d9f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 18:54:13 2012 +0200

    new ConfigInit module, add boostFS
    
    * All loading and writing to exe/cfg factored out of main into
    ConfigInit module
    * Add boost filesystem library for exists() and extension()

 Jamfile        |    3 +-
 configInit.cpp |  137 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configInit.hpp |   51 +++++++++++++++++++++
 main.cpp       |   66 ++++-----------------------
 4 files changed, 198 insertions(+), 59 deletions(-)

commit 473aaf0b6605fdd9c960d30bdb09f4536fdacf16
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 15:20:26 2012 +0200

    common: add text loading from specified path

 common.cpp |    9 +++++++--
 common.hpp |    1 +
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 1f93ca19e074a7152b9fda8a7009b45c306c77cd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 11:27:42 2012 +0200

    binReader.hpp:add copyright header

 binReader.hpp |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit a2e1d4912f7b369f3d99bc16426cf16524367edc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 11:23:09 2012 +0200

    main.cpp: add writeTriggerCFG

 main.cpp |   36 +++++++++++++++++++++++++-----------
 1 file changed, 25 insertions(+), 11 deletions(-)

commit 8663ede12976e3863a5a44148b67d66e3d821c43
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 04:41:14 2012 +0200

    liero.cfg: add Others

 liero.cfg |    6 ++++++
 1 file changed, 6 insertions(+)

commit 7501863bbbefc3f9825c41d7eba31bcb5a251a94
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 04:40:21 2012 +0200

    main.cpp: add trigger for Others

 main.cpp |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 87933f68a4ac6e868ef20da47b6fd217097ccb81
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 04:39:41 2012 +0200

    common: implement load/write cfg Others

 common.cpp |   68 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 common.hpp |    4 ++++
 2 files changed, 72 insertions(+)

commit 84f4ab85385a8c23f22240eca01efd595987a32c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 15 04:39:06 2012 +0200

    configHelper: implement getList()

 configHelper.cpp |    9 +++++++++
 configHelper.hpp |    1 +
 2 files changed, 10 insertions(+)

commit 7a9ef14822597225d98c96ddd140c2794998ed00
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 23:39:39 2012 +0200

    remove todo flags from textures

 main.cpp |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e15ad24529f6f816dbb2972ce16e2ea757a1bd5b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 23:14:34 2012 +0200

    liero.cfg: add Textures

 liero.cfg |   66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit b9e3b8e4e72a539f590f154fde8d8aefe313ea5a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 23:13:26 2012 +0200

    main.cpp: add triggerCFG for textures

 main.cpp |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5a97eb23b29996a1b41dde0f9c34a40dbdc54c2d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 23:11:54 2012 +0200

    common.cpp: corrections to texture r/w

 common.cpp |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 521df2d02407c74dd028346ee79a5fadeee3462c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 23:07:03 2012 +0200

    texture cfg load/write

 common.cpp |   44 ++++++++++++++++++++++++++++++++++++++++++++
 common.hpp |   11 +++++++++++
 2 files changed, 55 insertions(+)

commit d0ed424fb2478290e14f8605f6b91e20197ce7a7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 02:38:21 2012 +0200

    common.cpp: unify usage of type casting

 common.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7a4c86b7f2da7fcf5f06d02db2e29918c17fbba1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 02:17:54 2012 +0200

    liero.cfg: add Weapons

 liero.cfg | 3256 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 3089 insertions(+), 167 deletions(-)

commit b98468ec17093cdce29e234dbbb552ce91721077
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 02:16:31 2012 +0200

    main.cpp: add Weapons to cfg trigger

 main.cpp |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 5b74a56f390e5634e2408b8d0fc45276ada4cd55
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 02:14:40 2012 +0200

    common.cpp: cfgReadMembers() removed since obsolete

 common.cpp |   10 ----------
 1 file changed, 10 deletions(-)

commit 4cf0e8e7657645ddac188c80feb048b309c82515
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 02:13:17 2012 +0200

    common.cpp: cleaner loading of cfg values

 common.cpp |  193 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 95 insertions(+), 98 deletions(-)

commit fccf2611d73f6ebd8552e35011af2ef817411e9a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 14 02:12:22 2012 +0200

    common: read/write Weaons to cfg

 common.cpp |  137 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 common.hpp |    2 +
 2 files changed, 137 insertions(+), 2 deletions(-)

commit c4f2936a8372201298e58c7c6728e703e2209741
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 23:45:43 2012 +0200

    common.cpp: Weapon cfg loading presumably complete

 common.cpp |  211 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 98 insertions(+), 113 deletions(-)

commit 19ccd559ea9518a1bdc10912beb16548ed144d1b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 22:48:31 2012 +0200

    de-inline

 common.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce410643d2f9a4b9bc3168e571dd1f60e02927ab
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 22:14:58 2012 +0200

    Fist test of detectDistance setting load, looks good

 common.cpp |   24 ++++++++-
 common.hpp |    1 +
 liero.cfg  |  167 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 main.cpp   |    5 +-
 4 files changed, 194 insertions(+), 3 deletions(-)

commit feab5655f2811e065da28e14553ff46b1b22a853
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 21:03:22 2012 +0200

    cp-pasta

 common.cpp |  136 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 common.hpp |    1 +
 2 files changed, 137 insertions(+)

commit 79c6e9b4fa7c44ce504df8e2e8cdc86fe307e233
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 20:59:23 2012 +0200

    Switch Uint8 getValues to new version

 gfx.cpp         |   25 ++++++++-----------------
 gfx/font.cpp    |    4 +---
 gfx/palette.cpp |    6 +++---
 3 files changed, 12 insertions(+), 23 deletions(-)

commit 04f2bbd232c7eda920016b85f446b22322b655cd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 20:57:36 2012 +0200

    configHelper: make getValue an "=" operation

 configHelper.cpp |   46 +++++++++++++++-------------------------------
 configHelper.hpp |    9 ++-------
 2 files changed, 17 insertions(+), 38 deletions(-)

commit 4c7a63c6845266504ee27e4dc9c3936865293604
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 00:58:50 2012 +0200

    Switch all lookupValue() to "=" assignment
    
    Use operator "=" assignment and type cast instead of lookupValue()
    for reading variables from config, this enables automatic error
    handling via exceptions.

 common.cpp    |   76 ++++++++++++++++++++++++++++-----------------------------
 constants.cpp |    6 ++---
 2 files changed, 41 insertions(+), 41 deletions(-)

commit dbcb163e47c9789dcf5ada6e5a3b9f834d9b70a7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 00:26:14 2012 +0200

    liero.cfg: add Materials

 liero.cfg |  259 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 259 insertions(+)

commit dcef87f4f313b67a3057fcb58b5294b8f6b59f1d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 00:25:17 2012 +0200

    main.cpp: include toggling matials from cfg

 main.cpp |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 40cd2b7d2c2746e7583b7ab237a00c01ed52ccff
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 13 00:24:53 2012 +0200

    common: implement load/write Materials

 common.cpp |   38 ++++++++++++++++++++++++++++++++++++++
 common.hpp |    4 ++++
 2 files changed, 42 insertions(+)

commit 21b923a6906a5c1a91735a9d4ed63dc2da808876
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 23:59:00 2012 +0200

    configHelper: templates for get and put, put template disabled
    
    * get template is pretty useful
    * put template exposes too many arguments, questionable value

 configHelper.cpp |   62 ++++++++++++++++++++++++++++--------------------------
 configHelper.hpp |   17 +++++++++------
 2 files changed, 42 insertions(+), 37 deletions(-)

commit 8f9e3268def15395b508bf7c35bf2c501d6fae64
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 23:17:06 2012 +0200

    reorder liero.cfg based on loading order in main.cpp

 liero.cfg | 1726 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 863 insertions(+), 863 deletions(-)

commit 91dc064db5cd3030b9b8b71e036f49377d220c07
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 23:16:09 2012 +0200

    main.cpp: Add some ugly logic for triggering CFG

 main.cpp |   37 ++++++++++++++++++++++++++-----------
 1 file changed, 26 insertions(+), 11 deletions(-)

commit 46c77081e2b803ca54a35235b98ae23ecc3a7651
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 23:09:46 2012 +0200

    common.cpp, liero.cfg: get rid of garbage in copyright1 string

 common.cpp |    3 +++
 liero.cfg  |    2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 63d45b0844fb4723988aac0201e5a8adef6105fc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 19:16:09 2012 +0200

    Update gvl submodule: zlib linking for test

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16c163a18c697282ea7e395646bd2c705d65157c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 15:12:26 2012 +0200

    Update gvl submodule: zlib de-embed

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ac1f84810495269e34b0953b0a3275247211d43
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 11:35:53 2012 +0200

    main: switch to loading Gfx from cfg, keep triggerCFG template

 main.cpp |   10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 38cba1d24da3ae8c8b7d09269c4b2b85f4d6c0f6
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 11:34:25 2012 +0200

    liero.cfg: add Gfx

 liero.cfg |    4 ++++
 1 file changed, 4 insertions(+)

commit 66e686a7d31e6d5f671baa745a878f0a673062b1
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 11:33:14 2012 +0200

    common: implement load/write cfg Gfx

 common.cpp |   38 ++++++++++++++++++++++++++++++++++++++
 common.hpp |    4 ++++
 2 files changed, 42 insertions(+)

commit 93ae508098782b83cb8352384001403358be8474
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 10:43:17 2012 +0200

    gfx.cpp: comments regarding non-exe values saved to cfg

 gfx.cpp |    4 ++++
 1 file changed, 4 insertions(+)

commit 17838d12944fb5972a408e51ba1315cbd4c9a177
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 10:35:12 2012 +0200

    common: make loadGfxExtras() a separate function as well

 common.cpp |   12 ++++++++----
 common.hpp |    1 +
 2 files changed, 9 insertions(+), 4 deletions(-)

commit bde50d9b002010307e1c334191fd1188effb25d3
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 10:23:55 2012 +0200

    common: loadGfx(): factor out EXE and CHR functions
    
    loadGfx() previously did the reading of EXE, CHR, and further
    initialization all in one step, now it calls loadGfxFrom{EXE, CHR}.

 common.cpp |   11 ++++++++++-
 common.hpp |    2 ++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 40e23c34532f48f4a625c8eb2cdca360f444a4a0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 01:50:49 2012 +0200

    Jamfile: build with debug symbols per default

 Jamfile |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f129f2eda7657b0f3be17e06a939bfe3e989ca03
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 01:53:54 2012 +0200

    main: add triggerCFG for convenient debug switching

 main.cpp |    5 +++++
 1 file changed, 5 insertions(+)

commit c31d724b4623eafcb2e755a7c10b8cfa1ad3bd11
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 01:53:44 2012 +0200

    main: switch to loading Menus from cfg

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c81e89ecb6de1b07a86e41488bab3d0b0dd8e9e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 01:46:25 2012 +0200

    liero.cfg: add Menus

 liero.cfg |  222 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 222 insertions(+)

commit 3747d1e4a07c70e009f07b232d216268e1db3fe5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Thu Apr 12 01:40:31 2012 +0200

    gfx: implement cfg read/write Menus

 gfx.cpp |  143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gfx.hpp |    4 ++
 2 files changed, 147 insertions(+)

commit b8f34cee5cec8ff756fadf344bb924880b587dba
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 15:00:28 2012 +0200

    menu/menu.cpp: purge crlf and whitespace

 menu/menu.cpp |  582 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 291 insertions(+), 291 deletions(-)

commit 65e19ce62380126940766593c9c069a43e2b90c7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 14:54:55 2012 +0200

    menu/menu.hpp: add copyright header

 menu/menu.hpp |  337 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 182 insertions(+), 155 deletions(-)

commit d30e828f7086e46f6e7f8b402e1e282162194d86
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 14:41:54 2012 +0200

    gfx.cpp: purge crlf and whitespace

 gfx.cpp | 4054 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 2027 insertions(+), 2027 deletions(-)

commit b270362b4b1f8215ddf9b5549610fc6f7aeb3d7d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 14:39:51 2012 +0200

    gfx.hpp: purge crlf and whitespace

 gfx.hpp |  534 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 267 insertions(+), 267 deletions(-)

commit bfa28dc7fe4259397fcb2b139c9c8f20aeca88b5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 14:39:29 2012 +0200

    gfx.hpp: add copyright header

 gfx.hpp |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit af916ce84627b057e8ff1d6590cf0327090cf183
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 05:39:35 2012 +0200

    main: load font data from CFG

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c2e173cd4b67e46a80c1a252a04ac4fbeb5934a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 05:39:02 2012 +0200

    liero.cfg: add Font data

 liero.cfg | 1253 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1253 insertions(+)

commit 2481168e5ecc6f1caf57bad5249d3ea2f43834fc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 05:34:43 2012 +0200

    configHelper: add capability to use indexes in getVariable()
    
    Make it possible to pass an int instead of a string as the second
    parameter, thus making it possible to get settings by index,
    particularly useful for arrays.

 configHelper.cpp |   22 ++++++++++++++++++++++
 configHelper.hpp |    2 ++
 2 files changed, 24 insertions(+)

commit deb34739cbe6aa8083e326b602f791c934d598d2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 05:33:10 2012 +0200

    gfx/font: implement load/write cfg

 gfx/font.cpp |   62 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gfx/font.hpp |    4 ++++
 2 files changed, 66 insertions(+)

commit 23c9eb40d9034d71468d0aaad03060ecc5ad96ec
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 03:34:20 2012 +0200

    configHelper: rename lookupValue()->getValue() and use exceptions
    
    * Rework ConfigHelper method to use exception-throwing libconfig
      methods
    * Rename lookupValue()->getValue() since the similarity to libconfig's
      lookupValue() is misleading, we return nothing and throw exceptions

 configHelper.cpp |   10 ++++------
 configHelper.hpp |    4 ++--
 gfx/palette.cpp  |    6 +++---
 3 files changed, 9 insertions(+), 11 deletions(-)

commit c03271265f858978d96c7bc4fae82d1a28dda3fa
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 02:52:58 2012 +0200

    math.cpp, configHelper: rename getArray()->mkArray()
    
    Since the method always deletes the old array and creates a new one
    "get" is somewhat of a misnomer, mkArray is better.

 configHelper.cpp |    2 +-
 configHelper.hpp |    2 +-
 math.cpp         |    4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 8e537e40915c65f5ed0258284d8d5264dc22cdd4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 01:58:59 2012 +0200

    gfx/font.cpp: purge crlf and whitespace

 gfx/font.cpp |  240 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 120 insertions(+), 120 deletions(-)

commit 0180b5ea55b62c56a625f9d1a674bb7cc9e0e90e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 01:57:46 2012 +0200

    reader.hpp: add copyright header

 reader.hpp |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 01da17fdcb9612efb3f97eeb602cbf67aeea9067
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 01:53:05 2012 +0200

    gfx/font.hpp: purge crlf and whitespace

 gfx/font.hpp |   78 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 39 insertions(+), 39 deletions(-)

commit bd606f34e7907bd8b469c587bc7796960c196159
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 11 01:51:44 2012 +0200

    gfx/font.hpp: add copyright header

 gfx/font.hpp |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 69da58fd17c3f0893c977d009e872da6de83e4b8
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 23:29:28 2012 +0200

    Update gvl submodule

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01465e281825f8b9e92f8935aa6898f36a24af49
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 21:38:02 2012 +0200

    constants.hpp: Add me (Martin) to copyright header

 constants.hpp |    1 +
 1 file changed, 1 insertion(+)

commit 070714a8940923355362ef046b593d5dce888046
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 21:28:50 2012 +0200

    main.cpp: switch to loading tables from CFG

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68abe689ef10da4a89aa7ec81e923ba8eaa81858
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 21:28:25 2012 +0200

    liero.cfg: Add tables

 liero.cfg |    5 +++++
 1 file changed, 5 insertions(+)

commit 56e85f5d5478cde5e62cb3c1becd89357eec4ce0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 21:12:35 2012 +0200

    math.cpp: cleanups for CFGfile

 math.cpp |   14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 336744519307373f4a84aa5058c74a6a24de6a6c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 20:56:34 2012 +0200

    math.cpp: purge crlf

 math.cpp |  144 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 72 insertions(+), 72 deletions(-)

commit 22d4e767ee0eb434b7155133d1e4feadd0842ecc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 20:55:45 2012 +0200

    math.cpp: read/write tables definitions

 math.cpp |   43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 7b467ee1eb389e3598b5c6242390300019d8f59e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 20:49:52 2012 +0200

    configHelper: implement getArray

 configHelper.cpp |    9 +++++++++
 configHelper.hpp |    1 +
 2 files changed, 10 insertions(+)

commit 78af08a01c951d940f85a06df1bd063d17990886
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 19:21:59 2012 +0200

    constants.hpp: add copright header

 constants.hpp |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 2e4f2bea53565c5a812a6ce54fe47761ae1f463e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 19:18:41 2012 +0200

    constants.hpp: purge crlf and whitespace

 constants.hpp |  314 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 157 insertions(+), 157 deletions(-)

commit 48dcd7f72d86187c863331e90a684763f8ccb989
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 18:53:53 2012 +0200

    math.hpp: add file-argument load tables func

 math.hpp |    1 +
 1 file changed, 1 insertion(+)

commit 3c2af09dc2df3c7e095f51538c674974be48a95a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 18:51:40 2012 +0200

    math.hpp: purge crlf

 math.hpp |   66 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 33 insertions(+), 33 deletions(-)

commit 73cf09fafc55374515a1b366ae0bdb549eda8e05
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 18:50:30 2012 +0200

    math.hpp: add load/write cfg declarations

 math.hpp |    5 +++++
 1 file changed, 5 insertions(+)

commit 167ab392e8a434704510a077319e03ad6e802a36
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 16:08:13 2012 +0200

    main.cpp: mark TODOs

 main.cpp |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit bba6333800bb434179784242c0b9ffa99f99e76e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 16:07:32 2012 +0200

    reader.cpp: Purge crlf and whitespace

 reader.cpp |  216 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 108 insertions(+), 108 deletions(-)

commit edae1e6bd4f5e91f66910a52e44c12df818cae4b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 15:30:28 2012 +0200

    main: Switch to loading constants from CFG by default

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa9bcfee82901028deb1650de1ebb6714dbfc631
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 15:28:51 2012 +0200

    liero.cfg: Add all constants to CFG

 liero.cfg |  115 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 115 insertions(+)

commit 94efc862f4d850f35f48d2bcc052169b09214688
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 15:27:29 2012 +0200

    common.hpp: declare load/write cfg constants funcs

 common.hpp |    4 ++++
 1 file changed, 4 insertions(+)

commit 9da625abd08300edf47a3ce6ea329adf4ebceda0
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 15:23:55 2012 +0200

    constants.cpp: implement load/write cfg constants
    
    Implement loading and writing integer constants, string constants,
    and hack constants from/to CFG file. Added string arrays to access
    variable names.

 constants.cpp |  210 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 210 insertions(+)

commit 3853fd2737121f064695335eee13b435e115ffca
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 15:22:21 2012 +0200

    configHelper: implement put() for boolean

 configHelper.cpp |   11 +++++++++++
 configHelper.hpp |    1 +
 2 files changed, 12 insertions(+)

commit 1da93d9230c262b649f742f29e83bb43ee2058a7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 10 12:55:59 2012 +0200

    constants.cpp: crlf and whitespace purge

 constants.cpp |  700 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 350 insertions(+), 350 deletions(-)

commit 9f7a181d0b0c33ba6d8da630e8ac8e9497cc9f35
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 9 17:16:40 2012 +0200

    Update gvl submodule, again...

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6e5250d2a7e4120aca54ca02c53b3792a5ecde7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 9 17:10:03 2012 +0200

    main: Only display "Press Any Key..." on Windows
    
    Liero outputs "Press Any Key..." on exit, which is quite unnecessary
    on GNU/Linux (since no key press is required), plus it breaks the
    terminal prompt.

 main.cpp |    2 ++
 1 file changed, 2 insertions(+)

commit 4a7b64bc0017227acbd89fef6f3f8d0d4be05cbd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Nov 21 23:50:40 2011 +0100

    main.cpp: fix custom settings load/write handling
    
    * Make Liero write settings to the currently active settings file
      on exit, rather that always writing to LIERO.DAT
      (Closes: http://code.google.com/p/liero/issues/detail?id=3)
    * Re-enable using LIERO.OPT to get the name of the settings file
      that should be loaded on start

 main.cpp |   15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

commit 537e12e19d69189eb07f3c412e3cabb1960e333c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 9 15:31:50 2012 +0200

    Update gvl submodule

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 250be59200e5d8d22b21aa0c6a9db806f42f99a5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 9 01:49:47 2012 +0200

    Update data submodule

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7fc38a44123f22a3eaa83d32ff035944e7a0c08
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 8 22:05:20 2012 +0200

    Update data submodule

 data |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15ecb1555a2c5ee3e7388ed5277094aa2e0c70da
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 8 16:45:28 2012 +0200

    Use gvl HEAD now that it is fixed

 gvl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 410256248dc4c06b7083b29b597249e8da375174
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 8 04:25:04 2012 +0200

    main: Switch to loading from CFG

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 59b24760f1fe80daf06e42c6513c0f2a9129f787
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 8 04:23:40 2012 +0200

    common: Implement read/write palette from/to CFG

 common.cpp |   49 +++++++++++++++++++++++++++++++++++++++++++++++--
 common.hpp |    6 +++++-
 2 files changed, 52 insertions(+), 3 deletions(-)

commit 4f20fce41b8f01a62f30a0f62ce925747aff1dcd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 8 04:22:30 2012 +0200

    gfx/palette: Implement read/write CFG

 gfx/palette.cpp |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 gfx/palette.hpp |    4 ++++
 2 files changed, 50 insertions(+)

commit 350e63b9a5bda9c841e3235ce679d5c67c29ef16
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 8 04:09:29 2012 +0200

    configHelper: Add put and lookupValue for Uint8

 configHelper.cpp |   38 ++++++++++++++++++++++++++++++++++++++
 configHelper.hpp |    8 ++++++++
 2 files changed, 46 insertions(+)

commit eba9849f7a36f6f091fa44e8e1aa3ad2bfab86af
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 8 04:08:33 2012 +0200

    liero.cfg: Palette settings extracted

 liero.cfg |  787 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 786 insertions(+), 1 deletion(-)

commit 8c9ced49b3317cf999c3e95b1366e477860e91de
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 23:58:30 2012 +0200

    palette: Add copyright header, fix whitespace & crlf

 gfx/palette.cpp |  230 +++++++++++++++++++++++++++----------------------------
 gfx/palette.hpp |  136 +++++++++++++++++++-------------
 2 files changed, 197 insertions(+), 169 deletions(-)

commit f86acf5df2b92da55e694e92bb461c19b2ab2f8e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 22:19:05 2012 +0200

    New ConfigHelper module from code in common
    
    * Rename setVariable -> put

 Jamfile          |    1 +
 common.cpp       |  120 ++++++++++++++++++++----------------------------------
 common.hpp       |    4 --
 configHelper.cpp |   37 +++++++++++++++++
 configHelper.hpp |   41 +++++++++++++++++++
 5 files changed, 123 insertions(+), 80 deletions(-)

commit 3b00bb4bd54f63d8e05c7db9a3dc48c9b2ea83ca
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 21:48:20 2012 +0200

    common: Add copyright header

 common.hpp |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 139603fc90388ede5a226859e63e0ae9c8c277fb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 21:28:06 2012 +0200

    common: Make read-only Setting instances const

 common.cpp |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3e603e43ac8a6726c0d66abd390452589343cbd7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 17:45:04 2012 +0200

    jamfile: remove plainreader rules

 Jamfile |    7 -------
 1 file changed, 7 deletions(-)

commit 189028fc94bfa21350be8761a5667e41e15d90da
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 17:43:02 2012 +0200

    main: switch to loading Texts from config file

 main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b16f8f9229c9d61e8645905eca15cfe50d32fab
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 17:42:10 2012 +0200

    config file with all members of Texts struct

 liero.cfg |  236 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 236 insertions(+)

commit 9564c5bbc39815e4f0efa9d2b1d398b42dfb2402
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 17:34:29 2012 +0200

    common: Implement Texts::loadFromCFG() and writeToCFG()
    
    * Add functions for loading and writing all members of the Texts struct
      to and from a libconfig-style file
    * Also add some helper functions for libconfig++
      - setVariable(string/int): sets a child variable to given setting node
      - getSubgroup: creates if need be, and returns a subgroup setting node

 common.cpp |  197 ++++++++++++++++++++++++++++++++++++++++++++++++------------
 common.hpp |   11 +++-
 2 files changed, 168 insertions(+), 40 deletions(-)

commit 74c9876e1f5b5a02678519128fcdb021ce78bb7a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 17:32:41 2012 +0200

    Add .gitignore file, matching existing .hgignore

 .gitignore |    4 ++++
 1 file changed, 4 insertions(+)

commit 61f5a6c4a816dbc4b0467085eec619d92c7b0970
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Apr 7 17:27:20 2012 +0200

    jamfile: config module no longer used

 Jamfile |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 1ff6fe517bc3ab0b7cd76802721248ca5e6dc561
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 6 03:51:02 2012 +0200

    main: clean crlf and whitespace

 main.cpp |  414 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 207 insertions(+), 207 deletions(-)

commit 042351fdb9539cbeaa6edf7d85049de763ec8a56
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 6 03:47:52 2012 +0200

    config: write(void) using write(string)

 config.cpp |   16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit c9834232ee621d2b5b0321bb0772a6c2c8034bc7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 6 03:33:52 2012 +0200

    config: Explicit read(), file creation, exceptions

 config.cpp      |   41 +++++++++++++++++++++++------------------
 config.hpp      |    6 ++++--
 plainreader.cpp |    3 ++-
 3 files changed, 29 insertions(+), 21 deletions(-)

commit 729fe9260f7a5ebaabd667008a45ad4f3251a3b4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Apr 6 00:21:08 2012 +0200

    common: Implement loadFromINI for Texts

 Jamfile    |    2 ++
 common.cpp |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 common.hpp |    1 +
 3 files changed, 68 insertions(+)

commit e442273269783741872d0d93958250ae78ee9c7b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 19:31:40 2012 +0200

    config: make fstreams localised
    
    Make fstreams local and only carry configfile path global, since
    [read,write]_ini closes the streams, egoistical turds.

 config.cpp |   27 ++++++++++++++++++---------
 config.hpp |    6 +++---
 2 files changed, 21 insertions(+), 12 deletions(-)

commit 28231d17b0f78750c98b5adac216a30eb2d2e033
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 16:01:50 2012 +0200

    plainreader: Test using config module for configfile abstraction

 plainreader.cpp |   42 ++++++++++++++----------------------------
 1 file changed, 14 insertions(+), 28 deletions(-)

commit 302b0f87e8413142c2b4df5c113b14cf98ccee9e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 15:58:14 2012 +0200

    config: Use camelCase and implement writeOut

 config.cpp |   43 +++++++++++++++++++++++++++++--------------
 config.hpp |   17 +++++++++++------
 2 files changed, 40 insertions(+), 20 deletions(-)

commit e886a946cf4ce9df5e3534f2ec76c5f92c0fac57
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 15:39:05 2012 +0200

    Update jamfile

 Jamfile |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ed477e92e315dd3018fabe2342c092fc5d202e54
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 15:13:13 2012 +0200

    Missed rename include binreader->binReader

 binReader.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0947e52efd22fde44bd3c1f570878b28b6cf2f42
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 15:09:34 2012 +0200

    Accept default values for config.put

 config.cpp |   10 ++++++++++
 config.hpp |    4 ++++
 2 files changed, 14 insertions(+)

commit 52f51c3b0b55505fef60619616b2a885aa35ddc9
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 04:03:55 2012 +0200

    config: configfile & ptree abstraction

 config.cpp |   53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 config.hpp |   50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

commit 54f6028e4f51e832568d5dccd9da198410640b88
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 03:39:06 2012 +0200

    Rename binreader -> binReader, use .o for libs

 Jamfile         |    4 +--
 binReader.cpp   |  107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 binReader.hpp   |   25 +++++++++++++
 binreader.cpp   |  107 -------------------------------------------------------
 binreader.hpp   |   25 -------------
 dataPath.cpp    |    1 +
 plainreader.cpp |    4 +--
 reader.hpp      |    2 +-
 to_string.cpp   |    2 +-
 9 files changed, 139 insertions(+), 138 deletions(-)

commit 442dbb3976c71ed05bb8bc58a8ff0b49c707349f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Wed Apr 4 03:35:20 2012 +0200

    Update copyright dates for dataPath

 boostTesting.cpp |    2 +-
 dataPath.hpp     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a3259c30d5722b8c3fd42efbaecb107037adbd4b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 3 16:04:59 2012 +0200

    add plainreader as a Jamfile target

 Jamfile |    5 +++++
 1 file changed, 5 insertions(+)

commit 56f9b507e375d6f2587bb1b9aff4f3ddfe2f3403
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 3 15:51:37 2012 +0200

    Implement to_string module

 plainreader.cpp |   22 ++++++----------------
 to_string.cpp   |    2 ++
 2 files changed, 8 insertions(+), 16 deletions(-)

commit fe69e6b72ff246605e2bd3a57845b5af5073f665
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 3 15:43:56 2012 +0200

    to_string module

 to_string.cpp |   10 ++++++++++
 to_string.hpp |    8 ++++++++
 2 files changed, 18 insertions(+)

commit 00f92156efe1c0abeac3beed60c182eb5b2f3b3b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 3 15:02:46 2012 +0200

    common.?pp: whitespace and crlf purging

 common.cpp |  916 ++++++++++++++++++++++++++++++------------------------------
 common.hpp |  324 ++++++++++-----------
 2 files changed, 620 insertions(+), 620 deletions(-)

commit 2aad999ace3b753929ecba9f40110a3333a4e3c3
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Apr 3 14:28:12 2012 +0200

    Rename varreader to binreader

 Jamfile         |   15 ++++----
 binreader.cpp   |  107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 binreader.hpp   |   25 +++++++++++++
 plainreader.cpp |    4 +--
 reader.hpp      |   48 ++++++++++++-------------
 varreader.cpp   |  107 -------------------------------------------------------
 varreader.hpp   |   25 -------------
 7 files changed, 167 insertions(+), 164 deletions(-)

commit 48e17d089a16d71abb194717e20a83bc65b1ee34
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 2 21:46:28 2012 +0200

    Read and print materials from ini

 plainreader.cpp |   27 +++++++++++++++++++--------
 1 file changed, 19 insertions(+), 8 deletions(-)

commit 518a22cbde895acc4235f2302332264fea69de70
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 2 21:21:21 2012 +0200

    Fixup stringstream conversion

 plainreader.cpp |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 54ad028090efd4afdd14e309e5d16e23e59570a8
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 2 19:55:56 2012 +0200

    Try get-write-read-print from cfg

 plainreader.cpp |   39 ++++++++++++++++++++++++++++-----------
 1 file changed, 28 insertions(+), 11 deletions(-)

commit 7c26cdb4e9931b004912d6a40480f49ed5efb6e7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 2 16:27:52 2012 +0200

    Use boost ptree, move relevant stuff to header
    
    * Move Material definitions to header
    * Remove some superfluous includes
    * Use namespaces explicitly
    * Use Boost for config file handling, INI style

 plainreader.cpp |   79 +++++++++++++++++++++++++++++++------------------------
 plainreader.hpp |   24 +++++++++++++++++
 2 files changed, 69 insertions(+), 34 deletions(-)

commit 790a501645f6f63dff17a2dec760fff2f5e8f265
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Mon Apr 2 16:12:51 2012 +0200

    Fixup lining & compilation for boostTesting

 boostTesting.cpp |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit a97c14d34b58d470096c796598afa05ecccfaf6b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 1 22:10:04 2012 +0200

    Set liero dir as top of project in Jamfile

 Jamfile |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1d1835db58cc2bfccacab53acfe3551d3739c7dc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 1 21:46:02 2012 +0200

    Add gvl as a submodule

 .gitmodules |    3 +++
 gvl         |    1 +
 2 files changed, 4 insertions(+)

commit 744890aab61d4f50c8bfd30a1adee70fc95f5f49 (bridge/master)
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 1 21:12:09 2012 +0200

    Add liero-data as a submodule

 .gitmodules |    3 +++
 data        |    1 +
 2 files changed, 4 insertions(+)

commit 3c53101448d5e55986a03566ac00de36a5a99022
Merge: 669f68b 204de18
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sun Apr 1 21:09:18 2012 +0200

    Merge branch 'plainreader' of ../liero-debian
    
    Merge of dataPath and varreader factorisation, lots of conflicts
    due to no common ancestors.
    
    Conflicts:
    	Jamfile
    	controller/localController.cpp
    	gfx.cpp
    	level.cpp
    	main.cpp
    	reader.cpp
    	reader.hpp
    	settings.cpp
    	worm.cpp

commit 204de18d276c761bc954d49243cee1c50bf2a8a4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Mar 31 18:22:54 2012 +0200

    No global std namespace in varreader

 varreader.hpp |   10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit d8603cdaab7bed800c63d1b997be92449169494f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Mar 31 18:16:38 2012 +0200

    Split varreader out into module

 Jamfile         |    2 +-
 plainreader.cpp |   99 ++------------------------------------------------
 reader.hpp      |   96 -------------------------------------------------
 varreader.cpp   |  107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 varreader.hpp   |   27 ++++++++++++++
 5 files changed, 137 insertions(+), 194 deletions(-)

commit dc856b0a1b78efb0ad29e33474c2f22b14bc0a81
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Mar 31 17:34:47 2012 +0200

    crlf->lf in reader.hpp

 reader.hpp |  227 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 115 insertions(+), 112 deletions(-)

commit 9dec1eaf65dd6a2ba5dc288265d304a982b78f32
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Mar 31 17:32:44 2012 +0200

    comment why include SDL

 plainreader.cpp |    5 +++++
 1 file changed, 5 insertions(+)

commit 65d8c59983fb7f72af5f8e8306efe0203e930e92
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Mar 30 22:42:46 2012 +0200

    use equals sign instead of colon

 plainreader.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 114176e68aa9116c712e8c463bb3204da6c06d91
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Mar 27 00:15:48 2012 +0200

    add section header for materials

 plainreader.cpp |    1 +
 1 file changed, 1 insertion(+)

commit b628c7d0a38f10d5c5c41ada2c733bfaa1eb2f3b
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Sat Jan 28 01:32:38 2012 +0100

    Bloat plainreader

 plainreader.cpp |  149 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 144 insertions(+), 5 deletions(-)

commit b22b882875ddb0f7e8a355812dfd3ab5cbb8c71e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Fri Jan 27 00:15:09 2012 +0100

    sticks & ducttape plainreader

 plainreader.cpp |   38 ++++++++++++++++++++++++++++++++++++++
 plainreader.hpp |    6 ++++++
 2 files changed, 44 insertions(+)

commit 2a116a10427fe1feef426b06ab594e4a2a1dcbeb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Dec 20 19:24:42 2011 +0100

    Imported Upstream version 1.35~b2+20100124.1

 Jamfile                         |   40 +
 _build/liero.sln                |   47 +
 _build/liero.vcproj             |  841 ++++++++++++++++
 bobject.cpp                     |   64 ++
 bobject.hpp                     |   22 +
 bonus.cpp                       |   37 +
 bonus.hpp                       |   27 +
 common.cpp                      |  458 +++++++++
 common.hpp                      |  162 +++
 console.cpp                     |  223 +++++
 console.hpp                     |   38 +
 constants.cpp                   |  350 +++++++
 constants.hpp                   |  157 +++
 controller/commonController.cpp |   46 +
 controller/commonController.hpp |   16 +
 controller/controller.hpp       |   38 +
 controller/localController.cpp  |  282 ++++++
 controller/localController.hpp  |   55 ++
 controller/replayController.cpp |  170 ++++
 controller/replayController.hpp |   53 +
 exactObjectList.hpp             |  180 ++++
 fastObjectList.hpp              |  126 +++
 filesystem.cpp                  |  358 +++++++
 filesystem.hpp                  |   78 ++
 game.cpp                        |  533 ++++++++++
 game.hpp                        |   88 ++
 gfx.cpp                         | 2053 +++++++++++++++++++++++++++++++++++++++
 gfx.hpp                         |  240 +++++
 gfx/blit.cpp                    |  489 ++++++++++
 gfx/blit.hpp                    |   38 +
 gfx/color.hpp                   |    6 +
 gfx/font.cpp                    |  125 +++
 gfx/font.hpp                    |   40 +
 gfx/macros.hpp                  |  175 ++++
 gfx/palette.cpp                 |  115 +++
 gfx/palette.hpp                 |   54 +
 gfx/sprite.cpp                  |   52 +
 gfx/sprite.hpp                  |   26 +
 keys.cpp                        |  126 +++
 keys.hpp                        |   32 +
 level.cpp                       |  284 ++++++
 level.hpp                       |   77 ++
 lfs.hpp                         |   78 ++
 main.cpp                        |  214 ++++
 math.cpp                        |   29 +
 math.hpp                        |   28 +
 menu/arrayEnumBehavior.hpp      |   30 +
 menu/booleanSwitchBehavior.cpp  |   34 +
 menu/booleanSwitchBehavior.hpp  |   24 +
 menu/enumBehavior.cpp           |   49 +
 menu/enumBehavior.hpp           |   32 +
 menu/hiddenMenu.cpp             |   86 ++
 menu/hiddenMenu.hpp             |   31 +
 menu/integerBehavior.cpp        |   57 ++
 menu/integerBehavior.hpp        |   32 +
 menu/itemBehavior.cpp           |    3 +
 menu/itemBehavior.hpp           |   23 +
 menu/menu.cpp                   |  291 ++++++
 menu/menu.hpp                   |  155 +++
 menu/menuItem.cpp               |   39 +
 menu/menuItem.hpp               |   35 +
 menu/timeBehavior.cpp           |   14 +
 menu/timeBehavior.hpp           |   20 +
 ninjarope.cpp                   |  123 +++
 nobject.cpp                     |  373 +++++++
 nobject.hpp                     |   60 ++
 objectList.hpp                  |  167 ++++
 rand.hpp                        |   10 +
 reader.cpp                      |  104 ++
 reader.hpp                      |  121 +++
 rect.hpp                        |  208 ++++
 replay.cpp                      |  666 +++++++++++++
 replay.hpp                      |  111 +++
 sdlmain.cpp                     |   27 +
 settings.cpp                    |  165 ++++
 settings.hpp                    |  313 ++++++
 sfx.cpp                         |  195 ++++
 sfx.hpp                         |   96 ++
 sobject.cpp                     |  273 ++++++
 sobject.hpp                     |   41 +
 sys.cpp                         |   19 +
 sys.hpp                         |   15 +
 text.cpp                        |   90 ++
 text.hpp                        |   37 +
 version.hpp                     |    6 +
 viewport.cpp                    |  651 +++++++++++++
 viewport.hpp                    |   82 ++
 weapon.cpp                      |  442 +++++++++
 weapon.hpp                      |   96 ++
 weapsel.cpp                     |  548 +++++++++++
 weapsel.hpp                     |   31 +
 worm.cpp                        | 1566 +++++++++++++++++++++++++++++
 worm.hpp                        |  425 ++++++++
 93 files changed, 16786 insertions(+)

commit 669f68b3db53ba3232565b881c7b223802f126e3
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:02 2011 +0100

    gfx.cpp: handle different .DAT files

 gfx.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ab0bec4cb0826c78d710fa6df18a67e86741cc54
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:02 2011 +0100

    dataPath: return writable path for any .DAT

 dataPath.cpp |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit eed86ba524887de1d03061586b56f6ef42c50272
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:02 2011 +0100

    boostTesting: Add testcase for arbitrary .DAT

 boostTesting.cpp |   13 +++++++++++++
 1 file changed, 13 insertions(+)

commit b54f8d05b130c27276cd50ae10093ef09a531ce5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:02 2011 +0100

    boostTesting: missed copy one line

 boostTesting.cpp |    1 +
 1 file changed, 1 insertion(+)

commit 8c55e9a5200b5e1ae3fca3cfed5fd606af59406e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:02 2011 +0100

    dataPath: add NAMES.DAT as a possible file

 dataPath.cpp |    1 +
 1 file changed, 1 insertion(+)

commit 791f7d4b8600b54258f40875210a1afd3f0507cd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    boostTesting: add NAMES.DAT as a possible file

 boostTesting.cpp |    1 +
 1 file changed, 1 insertion(+)

commit 5f3cba992c3d063ecdbda828a6f4b1e0a78fe17c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    remove 01_datapath_object_outline

 01_datapath_object_outline |   28 ----------------------------
 1 file changed, 28 deletions(-)

commit 601cb1f6a691183750121bfc918c1119ee554573
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    dataPath.hpp: describe exception throwing

 dataPath.hpp |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e5b667ef25e18c1c1999d8736f52f327bdc1e008
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    dataPath: throw exeptions, rm unneeded includes

 dataPath.cpp |   29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)

commit d6b5abc76f2a2152ce6d2f734d1636a33051dcb4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    boostTesting: tests for exception messages

 boostTesting.cpp |   30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit 94e376596c1757af2eeff9cfeb446183ef5762fb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    openliero: make data_path extern, and define in cpp

 reader.cpp |    1 +
 reader.hpp |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit c2914211d4f896389c58f55cd10816aae6a2b2b5
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    dataPath.hpp: remove usage of namespace std
    * Add namespace usage to dataPath.cpp and boostTesting instead

 boostTesting.cpp |    1 +
 dataPath.cpp     |    1 +
 dataPath.hpp     |   14 ++++++--------
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 9e948a270d9da3fbe140d75210eca55dfe028d09
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:01 2011 +0100

    Use data_path as a pointer
    * Since we need to expose data_path, but initialise it in a function
      we define it as a pointer which is updated in the function

 controller/localController.cpp |    2 +-
 gfx.cpp                        |   14 +++++++-------
 level.cpp                      |    2 +-
 main.cpp                       |    2 +-
 reader.cpp                     |   10 +++++-----
 reader.hpp                     |    2 ++
 settings.cpp                   |    2 +-
 worm.cpp                       |    4 ++--
 8 files changed, 20 insertions(+), 18 deletions(-)

commit 61af6f2616d7f07c24331a3afa62a563325896c4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    Include dataPath in reader.hpp instead

 reader.cpp |    1 -
 reader.hpp |    1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit cd4f6c7010fd23d62ab145bb66ea9d9b3e7411e7
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    dadd dataPath.cpp to Jamfile

 Jamfile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69ebcaa4c4e1ac904cddc5648fb0b0d2235a66a2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    openliero: integrate DataPath

 controller/localController.cpp |    2 +-
 gfx.cpp                        |   16 ++++++++--------
 level.cpp                      |    2 +-
 main.cpp                       |    4 ++--
 reader.cpp                     |   22 +++++++++++++---------
 settings.cpp                   |    2 +-
 worm.cpp                       |    4 ++--
 7 files changed, 28 insertions(+), 24 deletions(-)

commit 64e55c2d52b240fdc64edb9c0cc6feaac9872e2f
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    Add /*FIXME*/ tags to openliero for rewriting with
     dataPath

 controller/localController.cpp |    2 +-
 gfx.cpp                        |   16 ++++++++--------
 level.cpp                      |    2 +-
 main.cpp                       |    4 ++--
 reader.cpp                     |    2 +-
 settings.cpp                   |    2 +-
 worm.cpp                       |    4 ++--
 7 files changed, 16 insertions(+), 16 deletions(-)

commit 401dfa1639928830bdb3cfb0ec598cf7bc4e879d
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    dataPath: yet more 80-char layout fixes

 dataPath.cpp |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 4808b90ef6d9640c7c6e22787392aa3e3e21a2b2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    boostTesting: 80-char layout fixes

 boostTesting.cpp |   35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)

commit 48ad183231946c8b4603094aef2f18b666fe5c05
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    dataPath & boostTesting: add copyright and description

 boostTesting.cpp |   27 +++++++++++++++++++++++++++
 dataPath.hpp     |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

commit 2c82e8aff693fc188c5dc8ecb1fa974579bf190e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:46:00 2011 +0100

    dataPath: 80-char layout fixes

 dataPath.cpp |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 19ae2239506342803fef1b0828c072adc135b998
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    boostTesting: test for incomplete filename in file()

 boostTesting.cpp |    5 +++++
 1 file changed, 5 insertions(+)

commit a4a230332cd5bf71eaef9c4f921a61b882ab00de
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    dataPath: rm DataPath::; change comments
    * Don't define create_configdir() in .hpp and thus disable usage of
      "DataPath::" in calls to it
    * Remove the unused mkdir error handling
    * Add some comments with create_configdir() in file()

 dataPath.cpp |   19 +++++--------------
 dataPath.hpp |    2 --
 2 files changed, 5 insertions(+), 16 deletions(-)

commit 40be47f14065b86c18721c28c5dcb3280a242e4a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    dataPath: factor out create_configdir() function

 dataPath.cpp |   22 ++++++++++++++++++++--
 dataPath.hpp |    2 ++
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 4ddb725ac1dcfef8e5e99b1fcbf2b7a464b4ad63
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    boostTesting: test when configdir doesn't exist

 boostTesting.cpp |   15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 08c3d1abc12813e6b6a09d3de3b04a4da93ba503
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    dataPath: error handling that doesn't crash

 dataPath.cpp |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 85fe7cf6bd646ff56850f89cd6177a066e4f4dac
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    boostTesting: intermediate ConfigdirSetup fixture

 boostTesting.cpp |   25 ++++++++++++++++---------
 1 file changed, 16 insertions(+), 9 deletions(-)

commit 41997eae4cbe3b4f5b31cacc9008b2134daf591c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    dataPath: error handling for configdir()w

 dataPath.cpp |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 51d14368218f0fe5b02680fbdf440ee5fd10b140
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:59 2011 +0100

    dataPath: open files as ios::binary

 dataPath.cpp |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 43af5a78baffb7681436a4d162fadb5d9c39db43
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    boostTesting: more indentation for broken strings

 boostTesting.cpp |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit aa1f519fbf5920e0fb0d7b9c490cebdc0bc36297
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    space after keywords, for, if...

 boostTesting.cpp |   25 ++++++++++++-------------
 dataPath.cpp     |   10 +++++-----
 2 files changed, 17 insertions(+), 18 deletions(-)

commit b6a3b69cfa31d3e264ca9c7100402f32a3662e68
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    boostTesting: comment; rename cases; content check
    * Add some logic comments
    * rename testcases -> condition__Test1_Test2
    * Add content checking for files, for overwrites, copying, etc.

 boostTesting.cpp |  125 ++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 112 insertions(+), 13 deletions(-)

commit 89b0ecacad25189512065d73e414dc3a147060a2
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    dataPath: ENOFILE->ENOTOPEN; rewording of comments

 dataPath.cpp |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 9e02a3ce14e80d35156853f9e3809b2c95f34052
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    rm temp fixture testing code

 boostTestingFixtures.cpp |  139 ----------------------------------------------
 macrosboost.cpp          |   67 ----------------------
 2 files changed, 206 deletions(-)

commit d9982cb09dafb65dd272bb55cf831fbdbbabc294
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    dataPath.hpp: no need for iostream unless we cout

 dataPath.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62951ec1ad8bc83849d5bf5a383eda85e8dd2ba4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    boostTesting: code layout
    * make variables from r/w setup global, avoid duplicate declaration
    * save $HOME for recovery
    * Remove unused, outcommented map loop

 boostTesting.cpp |   41 +++++++----------------------------------
 1 file changed, 7 insertions(+), 34 deletions(-)

commit e7151522af9e507a4510a77149ffc293896ad61c
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:58 2011 +0100

    All cases with fixtures
    * All test cases now use fixtures
    * Saved away looping map code
    * Separate tests for no/ro/rw files setup

 boostTesting.cpp |   99 ++++++++++++++++++++++++++----------------------------
 1 file changed, 48 insertions(+), 51 deletions(-)

commit 89a8617ae80c3df92e1ec1c857d0eed8aff2662e
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    temporarily return ENOFILE

 dataPath.cpp |    3 +++
 1 file changed, 3 insertions(+)

commit 0f6aff92f9b0146282b37571ccef1e4689f45e84
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    lieroexe_path with fixtures; use close()

 boostTesting.cpp |   28 +++++++++-------------------
 1 file changed, 9 insertions(+), 19 deletions(-)

commit b2b7c756a8a8464a5ff8d25b0113cd4bbb2207dd
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    dataPath: drop delimitor, add some erroring shell
    * Use '/' instead of delimitor var
    * Some more error handling outlining shell

 dataPath.cpp |   17 +++++++++++------
 dataPath.hpp |    1 -
 2 files changed, 11 insertions(+), 7 deletions(-)

commit af3ba59491c8c37cd880fb551375660f1f6efe59
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    boostTesting: dirs;r;w;all fixtures
    Create fixtures which initiates
    * directories + HOME env
    * ro files
    * rw files
    * all files
    Rework configdir testcases to use fixtures
    mute most enter/exit output

 boostTesting.cpp |  179 ++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 140 insertions(+), 39 deletions(-)

commit a59d106f09f17f05cda9a5994c772b8c5e3ae285
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    rm superflous a_ in .hpp, temporary working testcode

 boostTesting.cpp |   11 ++++++-----
 dataPath.hpp     |    1 -
 2 files changed, 6 insertions(+), 6 deletions(-)

commit d076a193a2ce21c9026ed9908f51c16bc0153fac
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    Init map as fn

 boostTesting.cpp |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit f4ae2a80eea1f725491da0ecb10d0407f6e0218a
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    acrosboost.cpp testing fixture marcos

 macrosboost.cpp |   67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

commit 0045887e6bfde42591613f2566f6605d7780aedb
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:57 2011 +0100

    Start rewrite boosttesting with fixtures

 boostTestingFixtures.cpp |  139 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 139 insertions(+)

commit e584caa13bc9b061a2e38a9b03e02cc1b3de1ea4
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    start writing map access testcase

 boostTesting.cpp |   44 ++++++++++++++++++++++++++++++++++++++++++++
 dataPath.cpp     |    3 ---
 dataPath.hpp     |    2 +-
 3 files changed, 45 insertions(+), 4 deletions(-)

commit db853846ca2b2b341cff9bbcdfba06b52b0bb745
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    Bulk of file() completed
    * Some reduction of provate members
    * Don't use cstdio
    * Needs testcases!!

 dataPath.cpp |   81 ++++++++++++++++++++++++++++++++++++++--------------------
 dataPath.hpp |    3 ++-
 2 files changed, 55 insertions(+), 29 deletions(-)

commit 7774313cf2e267eb7add83f433f529ca0fc799bc
Author: Martin Erik Werner <martinerikwerner@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    Add a filename->r/w map

 dataPath.cpp |   17 ++++++++++++++---
 dataPath.hpp |    3 +++
 2 files changed, 17 insertions(+), 3 deletions(-)

commit 5d4c04ea11c951943ab0da390c608bed18e4fcc2
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    Use FILENAME_MAX for char pointers

 boostTesting.cpp |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 4e79aaf36cbb554e39386a72a55faa2734b73f70
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    file(*) for readonly files
    * Simple implementation of file(*), returning filename path.
    * Make use of delimitor char in building full path.
    * input to DataPath is directory of lieroexe, rather than file.

 dataPath.cpp |   25 +++++++++++++++++++------
 dataPath.hpp |    8 +++++---
 2 files changed, 24 insertions(+), 9 deletions(-)

commit 99d3d69f59aa02b6a24c99d006740d02d5c51b89
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    Implement testing for lieroexe

 boostTesting.cpp |   38 +++++++++++++++++++++++++++++++++-----
 1 file changed, 33 insertions(+), 5 deletions(-)

commit 27f1b676d0e721c6a27e2e125f16912de13b50ed
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    Implement configdir with a simple mkdir

 dataPath.cpp |   14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 186669c32ef3a2132adf0f831b97af5bf843d5df
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    use *home, correct strcmp check, make tmpdir local

 boostTesting.cpp |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 56df0bf138560eb285d044f07eea064c584869dd
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:56 2011 +0100

    boostTest: fix allocation, strcpy, type mismatch

 boostTesting.cpp |   27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

commit 2d571e1b090ca224a9288b6a9cc7eff9ff86bcf7
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    Update datapath object with constructors

 dataPath.cpp |   13 +++++++------
 dataPath.hpp |    9 +++++++--
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 4db49f8ca38d887c19bea6db26a24337f8c8a2a6
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    configdir tests should be complete (const char mess)

 boostTesting.cpp |   23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit e033c62d90991a9d09d424b66d0c8edcc21554e5
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    return /tmp to test the test dawg

 dataPath.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7f5a0f95224cabece8263245df2a37ab0bc5a366
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    Two configdir test cases

 boostTesting.cpp |   48 ++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 46 insertions(+), 2 deletions(-)

commit 60ece521ea56023c74d1d48d3f2818473bdbfa0b
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    Add boost unit testing template

 boostTesting.cpp |   12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 416f216181daa78914a7328382fe697af4d00ad3
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    fixup string and namespace usage

 dataPath.cpp |    6 +++---
 dataPath.hpp |    6 ++++--
 2 files changed, 7 insertions(+), 5 deletions(-)

commit f9f6d3c280f2b5c9681e11ef8bbf3171603003d4
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    add <string> muck syntax

 dataPath.cpp |    8 ++++----
 dataPath.hpp |   10 ++++++----
 2 files changed, 10 insertions(+), 8 deletions(-)

commit 3ff7142b0e17b480abb703108bd9d40b7fb1fa43
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:55 2011 +0100

    basic skeleton hpp and cpp files for datapath

 dataPath.cpp |   12 ++++++++++++
 dataPath.hpp |   12 ++++++++++++
 2 files changed, 24 insertions(+)

commit 701f499084646a41528ab298a6b365dc91c99ad1
Author: Arand Nash <ienorand@gmail.com>
Date:   Tue Nov 22 03:45:54 2011 +0100

    file outlining datapath object

 01_datapath_object_outline |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit ca69f8cab5e764c4738e4fee026761a4d086ceef
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Sun Jan 24 01:52:05 2010 +0100

    Fixed Jamfile

 Jamfile |   27 +++++++++++++++++++++++----
 1 file changed, 23 insertions(+), 4 deletions(-)

commit 338d9a6644f6a4e97c3b8ae5742aeb84bdfacfa3
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Sun Jan 24 01:09:03 2010 +0100

    Fixes for mingw, style fixes, fix for control issues from dig button hack

 _build/liero.sln                |   10 +-
 _build/liero.vcproj             |  440 +++++++++++++++++++++++++++++++++++----
 console.cpp                     |   10 +-
 controller/controller.hpp       |   11 +-
 controller/localController.cpp  |   23 +-
 controller/localController.hpp  |    9 +
 controller/replayController.cpp |    2 +
 controller/replayController.hpp |   11 +
 filesystem.cpp                  |    8 +-
 game.cpp                        |    7 +-
 gfx.cpp                         |  157 +++++++-------
 gfx.hpp                         |    2 +-
 gfx/blit.hpp                    |    6 +-
 gfx/color.hpp                   |    6 +-
 gfx/font.hpp                    |    6 +-
 keys.cpp                        |  229 +++-----------------
 keys.hpp                        |    6 +-
 main.cpp                        |   16 +-
 menu/arrayEnumBehavior.hpp      |    6 +-
 menu/booleanSwitchBehavior.hpp  |    6 +-
 menu/enumBehavior.hpp           |    8 +-
 menu/hiddenMenu.hpp             |    6 +-
 menu/integerBehavior.hpp        |    6 +-
 menu/itemBehavior.hpp           |    6 +-
 menu/menu.hpp                   |    6 +-
 menu/menuItem.hpp               |    6 +-
 menu/timeBehavior.hpp           |    6 +-
 platform.hpp                    |   10 -
 rand.hpp                        |   50 +----
 replay.cpp                      |    4 +-
 replay.hpp                      |    5 +-
 sdlmain.cpp                     |    4 +-
 settings.cpp                    |  152 +-------------
 sfx.cpp                         |   49 ++++-
 sfx.hpp                         |    5 +-
 sys.cpp                         |    2 +-
 sys.hpp                         |   10 +-
 worm.cpp                        |    4 +-
 worm.hpp                        |   44 ++--
 39 files changed, 702 insertions(+), 652 deletions(-)

commit d4c386b5153d4a236442a4f944f89f4d80df1b44
Author: basro <>
Date:   Sat Jan 23 14:06:29 2010 -0300

    Added a dig key, since its impossible to dig if you control the worm using a joystick hat or axis.

 controller/localController.cpp |    8 +++-
 game.cpp                       |    6 ++-
 gfx.cpp                        |   89 +++++++++-------------------------------
 settings.hpp                   |    2 +-
 worm.hpp                       |   20 +++++----
 5 files changed, 42 insertions(+), 83 deletions(-)

commit 10a84a041894e1ba40f3a882ecef0543fa6778e7
Author: basro <>
Date:   Tue Jan 19 19:03:33 2010 -0300

    Preliminar gamepad support.
    
    --HG--
    rename : gfx/colour.hpp => gfx/color.hpp
    rename : menu/booleanSwitchBehaviour.cpp => menu/booleanSwitchBehavior.cpp
    rename : menu/booleanSwitchBehaviour.hpp => menu/booleanSwitchBehavior.hpp
    rename : menu/enumBehaviour.cpp => menu/enumBehavior.cpp
    rename : menu/enumBehaviour.hpp => menu/enumBehavior.hpp
    rename : menu/integerBehaviour.cpp => menu/integerBehavior.cpp
    rename : menu/integerBehaviour.hpp => menu/integerBehavior.hpp
    rename : menu/itemBehaviour.cpp => menu/itemBehavior.cpp
    rename : menu/itemBehaviour.hpp => menu/itemBehavior.hpp
    rename : menu/timeBehaviour.cpp => menu/timeBehavior.cpp
    rename : menu/timeBehaviour.hpp => menu/timeBehavior.hpp

 bobject.cpp                     |    4 +-
 bobject.hpp                     |    2 +-
 common.cpp                      |   10 +-
 common.hpp                      |    2 +-
 game.cpp                        |    5 +-
 gfx.cpp                         |  224 +++++++++++++++++++++++++--------------
 gfx.hpp                         |   17 ++-
 gfx/blit.cpp                    |   36 ++++---
 gfx/blit.hpp                    |   10 +-
 gfx/color.hpp                   |    6 ++
 gfx/colour.hpp                  |    6 --
 gfx/font.cpp                    |   10 +-
 gfx/font.hpp                    |    8 +-
 gfx/palette.cpp                 |    2 +-
 gfx/sprite.cpp                  |   52 +++++++++
 gfx/sprite.hpp                  |    2 +-
 keys.hpp                        |   15 +++
 level.cpp                       |    4 +-
 main.cpp                        |    2 +-
 menu/arrayEnumBehavior.hpp      |   30 ++++++
 menu/booleanSwitchBehavior.cpp  |   34 ++++++
 menu/booleanSwitchBehavior.hpp  |   24 +++++
 menu/booleanSwitchBehaviour.cpp |   34 ------
 menu/booleanSwitchBehaviour.hpp |   24 -----
 menu/enumBehavior.cpp           |   49 +++++++++
 menu/enumBehavior.hpp           |   32 ++++++
 menu/enumBehaviour.cpp          |   49 ---------
 menu/enumBehaviour.hpp          |   32 ------
 menu/hiddenMenu.cpp             |   86 +++++++++++++++
 menu/hiddenMenu.hpp             |   31 ++++++
 menu/integerBehavior.cpp        |   57 ++++++++++
 menu/integerBehavior.hpp        |   32 ++++++
 menu/integerBehaviour.cpp       |   57 ----------
 menu/integerBehaviour.hpp       |   32 ------
 menu/itemBehavior.cpp           |    3 +
 menu/itemBehavior.hpp           |   23 ++++
 menu/itemBehaviour.cpp          |    3 -
 menu/itemBehaviour.hpp          |   23 ----
 menu/menu.cpp                   |   12 +--
 menu/menu.hpp                   |   16 +--
 menu/menuItem.cpp               |    2 +-
 menu/menuItem.hpp               |    8 +-
 menu/timeBehavior.cpp           |   14 +++
 menu/timeBehavior.hpp           |   20 ++++
 menu/timeBehaviour.cpp          |   14 ---
 menu/timeBehaviour.hpp          |   20 ----
 ninjarope.cpp                   |    2 +-
 nobject.cpp                     |   16 +--
 nobject.hpp                     |    6 +-
 replay.cpp                      |    4 +-
 settings.cpp                    |    4 +-
 settings.hpp                    |   16 ++-
 version.hpp                     |    2 +-
 viewport.cpp                    |   12 +--
 weapon.cpp                      |    2 +-
 weapon.hpp                      |    2 +-
 weapsel.cpp                     |    2 +-
 worm.cpp                        |    4 +-
 worm.hpp                        |   41 ++++---
 59 files changed, 799 insertions(+), 492 deletions(-)

commit af6e209e601fa1733c09dfcff27da0de865311a9
Author: basro <>
Date:   Sun Jan 17 14:54:29 2010 -0300

    Added blit.hpp header. Moved blitting functions into it.

 gfx.hpp      |   39 ++++++++-------------------------------
 gfx/blit.hpp |   38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+), 31 deletions(-)

commit e273e752102e84066a636168ac1cc3c12b46de62
Author: basro <>
Date:   Sun Jan 17 14:44:58 2010 -0300

    GFX and Controller code refactor.
    Moved gfx related stuff into gfx/
    Split controller.hpp into multiple files and placed them in controller/.
    
    --HG--
    rename : controller.hpp => controller/controller.hpp
    rename : blit.cpp => gfx/blit.cpp
    rename : colour.hpp => gfx/colour.hpp
    rename : font.cpp => gfx/font.cpp
    rename : font.hpp => gfx/font.hpp
    rename : palette.cpp => gfx/palette.cpp
    rename : palette.hpp => gfx/palette.hpp
    rename : sprite.hpp => gfx/sprite.hpp

 blit.cpp                        |  481 ----------------------------------
 bobject.cpp                     |    2 +-
 colour.hpp                      |    6 -
 common.hpp                      |    6 +-
 controller.hpp                  |  550 ---------------------------------------
 controller/commonController.cpp |   46 ++++
 controller/commonController.hpp |   16 ++
 controller/controller.hpp       |   47 ++++
 controller/localController.cpp  |  261 +++++++++++++++++++
 controller/localController.hpp  |   46 ++++
 controller/replayController.cpp |  168 ++++++++++++
 controller/replayController.hpp |   42 +++
 font.cpp                        |  125 ---------
 font.hpp                        |   40 ---
 gfx.cpp                         |  109 +-------
 gfx.hpp                         |   29 +--
 gfx/blit.cpp                    |  479 ++++++++++++++++++++++++++++++++++
 gfx/colour.hpp                  |    6 +
 gfx/font.cpp                    |  125 +++++++++
 gfx/font.hpp                    |   40 +++
 gfx/palette.cpp                 |  115 ++++++++
 gfx/palette.hpp                 |   54 ++++
 gfx/sprite.hpp                  |   26 ++
 level.cpp                       |    2 +-
 level.hpp                       |    2 +-
 menu/menu.hpp                   |    2 +-
 menu/menuItem.hpp               |    2 +-
 ninjarope.cpp                   |    2 +-
 palette.cpp                     |  115 --------
 palette.hpp                     |   54 ----
 sprite.hpp                      |   26 --
 31 files changed, 1489 insertions(+), 1535 deletions(-)

commit 55f222f86b28c8bfb08f36c4fb40c2a076b4eafb
Author: basro <>
Date:   Sun Jan 17 14:41:58 2010 -0300

    Changed exception to runtime_error.

 filesystem.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 438474df2d3a1b4f24dbede39cfade5ee4a5ef14
Author: basro <>
Date:   Sat Jan 16 22:31:56 2010 -0300

    Great start, forgot to add the files in the previous commit :)

 menu/booleanSwitchBehaviour.cpp |   34 +++++++++++++++++++++++
 menu/booleanSwitchBehaviour.hpp |   24 +++++++++++++++++
 menu/enumBehaviour.cpp          |   49 +++++++++++++++++++++++++++++++++
 menu/enumBehaviour.hpp          |   32 ++++++++++++++++++++++
 menu/integerBehaviour.cpp       |   57 +++++++++++++++++++++++++++++++++++++++
 menu/integerBehaviour.hpp       |   32 ++++++++++++++++++++++
 menu/itemBehaviour.cpp          |    3 +++
 menu/itemBehaviour.hpp          |   23 ++++++++++++++++
 menu/menuItem.cpp               |   39 +++++++++++++++++++++++++++
 menu/menuItem.hpp               |   35 ++++++++++++++++++++++++
 menu/timeBehaviour.cpp          |   14 ++++++++++
 menu/timeBehaviour.hpp          |   20 ++++++++++++++
 12 files changed, 362 insertions(+)

commit 0c7a9ba3833b82de21a54cdcae710b09c9672428
Author: basro <>
Date:   Sat Jan 16 22:18:35 2010 -0300

    Code refactor and changes to make the code compile with MinGW.
    Changed game.settings->selectableWeapons into Settings::selectableWeapons in several files.
    Split menu.hpp/.cpp into multiple files and placed them in a new subfolder named menu.
    
    --HG--
    rename : menu.cpp => menu/menu.cpp
    rename : menu.hpp => menu/menu.hpp

 gfx.hpp       |    2 +-
 menu.cpp      |  448 ---------------------------------------------------------
 menu.hpp      |  265 ----------------------------------
 menu/menu.cpp |  291 +++++++++++++++++++++++++++++++++++++
 menu/menu.hpp |  155 ++++++++++++++++++++
 weapsel.cpp   |   12 +-
 weapsel.hpp   |    2 +-
 worm.cpp      |    8 +-
 8 files changed, 458 insertions(+), 725 deletions(-)

commit bee3493f70ce70c922fd7da34828b9a4c27f0f06
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Thu Aug 20 19:14:41 2009 +0200

    Enlarged replay and profile menus, added added case-insensitive sorting to the replay, profile and level menus

 font.cpp |    6 +++++
 font.hpp |    4 +++-
 gfx.cpp  |   76 ++++++++++++++++++++++++++++++++++++++++----------------------
 text.cpp |   17 ++++++++++++++
 text.hpp |    3 ++-
 5 files changed, 77 insertions(+), 29 deletions(-)

commit 34b63963bf85ef434cfaa9ce71d1f26ddebfc7a8
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Thu Aug 20 18:39:09 2009 +0200

    Fixed exception with slightly too large levels with powerlevel loading enabled

 level.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b4f824546465d6ae172a0c42dc5df7d4b190abde
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Thu Aug 20 18:14:23 2009 +0200

    Forgot to remove test code

 sfx.cpp |    2 --
 1 file changed, 2 deletions(-)

commit 04aae51280ef07acd08cf5534c2eb011a2f91ddc
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Thu Aug 20 18:11:24 2009 +0200

    Fixed unavailable sound, added NDEBUG to Jamfile

 Jamfile |    4 ++--
 sfx.cpp |   36 ++++++++++++++++++++++++++----------
 2 files changed, 28 insertions(+), 12 deletions(-)

commit 59a161796a2b817b00ab67462131cb1b65af837e
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Thu Aug 20 17:37:11 2009 +0200

    Updated Jamfile

 Jamfile |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit d2856ba2d44e8e156b03f78f325f1ff199b01d5d
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Tue Aug 18 21:59:20 2009 +0200

    Fixed viewport status messages

 blit.cpp       |   20 ++------------
 font.cpp       |   80 +++++++++++++++++++++++++++-----------------------------
 gfx/macros.hpp |   19 ++++++++++++++
 3 files changed, 59 insertions(+), 60 deletions(-)

commit f5a433a05897ad59aefe285303f0c27f2bfd8208
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Tue Aug 18 21:36:58 2009 +0200

    Fixed gcc warnings, fixed some graphics bugs when changing mode

 .hgignore    |    4 +++-
 Jamfile      |    9 ++++++---
 common.cpp   |    4 ++--
 font.cpp     |    2 +-
 game.cpp     |    2 +-
 game.hpp     |   19 ++++++++-----------
 gfx.cpp      |   29 ++++++++---------------------
 gfx.hpp      |    5 +++--
 level.cpp    |    6 +++---
 main.cpp     |   22 ++++++++++++----------
 menu.cpp     |    2 +-
 palette.cpp  |    2 +-
 reader.hpp   |   31 +++++++++++++++++++------------
 replay.cpp   |    8 ++++----
 settings.cpp |    2 +-
 settings.hpp |    2 +-
 sfx.cpp      |   28 +++++++++++++++++++++++-----
 sfx.hpp      |   12 +++++++++---
 weapsel.cpp  |    2 --
 worm.cpp     |    1 -
 20 files changed, 106 insertions(+), 86 deletions(-)

commit 6c0dcb3cca43d9c8d8a84c7c0df6a4a84ac0c1fb
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Tue Aug 18 18:33:21 2009 +0200

    Added .hgignore

 .hgignore |    5 +++++
 1 file changed, 5 insertions(+)

commit 819cff0554f02e4fc2611e2b930ccf8dc4343358
Author: glip@glip-vm <glip@glip-vm>
Date:   Tue Aug 18 07:54:46 2009 +0200

    Fixes for gcc/linux

 Jamfile      |   17 ++++++++++-------
 console.cpp  |    4 ++--
 gfx.cpp      |   19 ++++++++++---------
 menu.hpp     |    2 +-
 reader.hpp   |    4 ++--
 settings.cpp |    4 ++--
 settings.hpp |    3 ++-
 sfx.hpp      |    3 ++-
 text.hpp     |    3 ++-
 worm.hpp     |    7 +++++--
 10 files changed, 38 insertions(+), 28 deletions(-)

commit 4299c0ded83f6a47d5e0ae732144116feeca3236
Author: Erik Lindroos <gliptic@gmail.com>
Date:   Mon Aug 17 20:02:44 2009 +0200

    Minor fix of replay ending

 controller.hpp |    8 ++++----
 gfx.cpp        |    2 +-
 weapsel.cpp    |   28 +++++++++++-----------------
 3 files changed, 16 insertions(+), 22 deletions(-)

commit 14abe747e930c38204543878bc3eb8307162f1ac
Merge: c7694ee d2ffc26
Author: glip@eee <glip@eee>
Date:   Sat Aug 15 22:10:39 2009 +0200

    Merged in cleanup branch

commit d2ffc26ed8f838f240d3cf60ab554d4988bb9582
Author: glip@eee <glip@eee>
Date:   Sat Aug 15 22:00:00 2009 +0200

    Tweaks with replays mostly
    
    --HG--
    branch : cleanup

 _build/liero.vcproj |    4 +
 controller.hpp      |  104 +++++++++----
 fastObjectList.hpp  |   31 ++--
 font.cpp            |    4 +-
 game.cpp            |   23 ++-
 game.hpp            |    6 +-
 gfx.cpp             |  424 ++++++++++++++++++++++++++++++++++-----------------
 gfx.hpp             |    5 +-
 gfx/macros.hpp      |    6 +-
 main.cpp            |    2 +
 palette.cpp         |    1 +
 replay.cpp          |   19 ++-
 replay.hpp          |   10 +-
 settings.cpp        |    2 +
 settings.hpp        |   41 ++++-
 text.cpp            |   17 +++
 text.hpp            |    1 +
 version.hpp         |    6 +
 viewport.cpp        |    8 +-
 viewport.hpp        |    2 +-
 weapsel.cpp         |   13 ++
 weapsel.hpp         |    4 +
 worm.cpp            |   52 ++++---
 worm.hpp            |   34 ++++-
 24 files changed, 597 insertions(+), 222 deletions(-)

commit 37c2a9ed0362b0ab930061b3aacbdea22aa21937
Author: glip@desktop <glip@desktop>
Date:   Wed Aug 12 02:26:43 2009 +0200

    Generalized FILTER_X macro
    
    --HG--
    branch : cleanup

 gfx.cpp        |    4 +-
 gfx/macros.hpp |  139 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 72 insertions(+), 71 deletions(-)

commit 76b12f24e5fdd8d03d925f168409c9471b747812
Author: glip@desktop <glip@desktop>
Date:   Tue Aug 11 23:03:17 2009 +0200

    Minor fixes
    
    --HG--
    branch : cleanup

 controller.hpp |    2 +-
 gfx.cpp        |  113 +++++++++++++++++++++++++++++++++++++++++++-------------
 main.cpp       |   32 ++--------------
 menu.hpp       |    5 +++
 4 files changed, 98 insertions(+), 54 deletions(-)

commit 9140d1e91fb31af1e191f6bbbe4225c3e2acce95
Author: glip@desktop <glip@desktop>
Date:   Tue Aug 11 20:06:26 2009 +0200

    Forgot to add fastObjectList.hpp
    
    --HG--
    branch : cleanup

 fastObjectList.hpp |  113 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit 9992608823d819c602fe80563519d63379465d5e
Author: glip@desktop <glip@desktop>
Date:   Tue Aug 11 20:01:48 2009 +0200

    Lots of changes, fixes..
    
    --HG--
    branch : cleanup

 _build/liero.vcproj |   12 +
 bobject.cpp         |   12 +-
 bobject.hpp         |    7 +-
 common.hpp          |    2 -
 constants.cpp       |   35 +
 constants.hpp       |    9 +
 controller.hpp      |  319 +++++++--
 filesystem.cpp      |   88 ++-
 filesystem.hpp      |    6 +
 font.cpp            |   16 +-
 font.hpp            |    6 +-
 game.cpp            |   90 +--
 game.hpp            |   10 +-
 gfx.cpp             | 1876 ++++++++++++++++++++++++++++++---------------------
 gfx.hpp             |   85 ++-
 gfx/macros.hpp      |  155 +++++
 level.cpp           |    2 +-
 main.cpp            |   41 +-
 menu.cpp            |  406 ++++++++++-
 menu.hpp            |  220 +++++-
 nobject.cpp         |   11 +-
 palette.cpp         |   35 +-
 palette.hpp         |    4 +-
 rand.hpp            |    8 +-
 replay.cpp          |  788 ++++++++++------------
 replay.hpp          |   68 +-
 settings.cpp        |   64 +-
 settings.hpp        |  233 ++++++-
 sfx.cpp             |    8 +-
 sfx.hpp             |   34 +-
 sobject.cpp         |    9 +-
 viewport.cpp        |   40 +-
 weapon.cpp          |    9 +-
 weapsel.cpp         |   85 ++-
 weapsel.hpp         |    5 +-
 worm.cpp            |  310 ++++++---
 worm.hpp            |  127 +++-
 37 files changed, 3534 insertions(+), 1701 deletions(-)

commit 2b4db15ad94ef1eb13fc864ef189617ac0753f03
Author: glip@eee.lan <glip@eee.lan>
Date:   Mon Aug 3 17:39:01 2009 +0200

    Working replays, adaptive graphics size, exact liero object list behavior
    
    --HG--
    branch : cleanup

 _build/liero.sln    |   20 +-
 _build/liero.vcproj |   14 +-
 bobject.hpp         |    3 +-
 bonus.hpp           |    3 +-
 controller.hpp      |   11 +-
 exactObjectList.hpp |  180 +++++++++++++++++
 game.cpp            |   57 ++----
 game.hpp            |   10 +-
 gfx.cpp             |  234 ++++++++++++++--------
 gfx.hpp             |    3 +-
 math.cpp            |    6 +-
 menu.cpp            |    2 +-
 menu.hpp            |    6 +-
 nobject.cpp         |   28 ++-
 nobject.hpp         |    3 +-
 objectList.hpp      |   36 ++--
 replay.cpp          |  545 ++++++++++++++++++++++++++++++++++++++++-----------
 replay.hpp          |   35 ++--
 sobject.cpp         |   15 +-
 sobject.hpp         |    4 +-
 viewport.cpp        |   10 +-
 viewport.hpp        |   12 +-
 weapon.cpp          |   37 +++-
 weapon.hpp          |    9 +-
 weapsel.cpp         |    6 +-
 worm.cpp            |   96 ++++-----
 worm.hpp            |   13 +-
 27 files changed, 1026 insertions(+), 372 deletions(-)

commit 6655738dfb4ffae065e196b34ba922acc53ef865
Author: glip@eee <glip@eee>
Date:   Sun Feb 15 18:11:35 2009 +0200

    Some broken changes.
    
    --HG--
    branch : cleanup

 replay.cpp |  163 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 worm.hpp   |   18 +++----
 2 files changed, 169 insertions(+), 12 deletions(-)

commit 42424c5dc278fbebd50a2764a98ce05c674cd351
Author: glip@desktop <glip@desktop>
Date:   Thu Feb 12 23:20:24 2009 +0100

    Initial hardcoded replay support. Does not work reliably.
    
    --HG--
    branch : cleanup

 _build/liero.vcproj |   13 ++-
 controller.hpp      |  164 +++++++++++++++++++++++++++++++-
 game.cpp            |   50 +++++-----
 game.hpp            |    1 +
 gfx.cpp             |    6 ++
 level.cpp           |   11 ++-
 level.hpp           |    2 +
 replay.cpp          |  261 +++++++++++++++++++++++++++++++++++++++++++++++++++
 replay.hpp          |   59 ++++++++++++
 weapsel.cpp         |   17 +---
 worm.cpp            |   16 ++++
 worm.hpp            |   54 ++++++++++-
 12 files changed, 602 insertions(+), 52 deletions(-)

commit 863ec948dd08ab62dd2953d8483d3d8adad6f5b8
Author: glip@desktop <glip@desktop>
Date:   Mon Feb 9 21:48:43 2009 +0100

    Moved project files into _build.
    
    --HG--
    branch : cleanup
    rename : liero.sln => _build/liero.sln
    rename : liero.vcproj => _build/liero.vcproj

 _build/liero.sln    |   47 ++++++
 _build/liero.vcproj |  440 ++++++++++++++++++++++++++++++++++++++++++++++++++
 liero.sln           |   47 ------
 liero.vcproj        |  444 ---------------------------------------------------
 4 files changed, 487 insertions(+), 491 deletions(-)

commit bf94169db2aa07a9cee9bba7342c1b69c71ac9ea
Author: glip@desktop <glip@desktop>
Date:   Mon Feb 9 20:17:01 2009 +0100

    Made Game a truly isolated class. Added Controller class that controls a game.
    
    --HG--
    branch : cleanup

 blit.cpp       |   92 +++----
 bobject.cpp    |   14 +-
 bobject.hpp    |    6 +-
 bonus.cpp      |   14 +-
 bonus.hpp      |    4 +-
 common.cpp     |  458 ++++++++++++++++++++++++++++++++
 common.hpp     |  164 ++++++++++++
 constants.cpp  |    7 +-
 constants.hpp  |    8 +-
 controller.hpp |  174 +++++++++++++
 game.cpp       |  792 +++++++++++++++++---------------------------------------
 game.hpp       |  143 ++--------
 gfx.cpp        |  652 +++++++++++++++++++++-------------------------
 gfx.hpp        |  123 +++------
 keys.hpp       |    2 +
 level.cpp      |  148 ++++++-----
 level.hpp      |   35 ++-
 liero.sln      |   28 ++
 liero.vcproj   |   30 ++-
 main.cpp       |   88 ++++---
 math.cpp       |    1 +
 menu.cpp       |   16 +-
 menu.hpp       |    6 +-
 ninjarope.cpp  |   22 +-
 nobject.cpp    |   42 +--
 nobject.hpp    |    7 +-
 palette.cpp    |  109 ++++++++
 palette.hpp    |   52 ++++
 settings.cpp   |   71 +++--
 settings.hpp   |    5 +-
 sfx.hpp        |   51 ++++
 sobject.cpp    |   40 +--
 sobject.hpp    |    5 +-
 sprite.hpp     |   26 ++
 viewport.cpp   |  156 +++++------
 viewport.hpp   |    8 +-
 weapon.cpp     |   56 ++--
 weapon.hpp     |    7 +-
 weapsel.cpp    |  453 +++++++++++++-------------------
 weapsel.hpp    |   24 +-
 worm.cpp       |  271 ++++++++++---------
 worm.hpp       |   49 +---
 42 files changed, 2523 insertions(+), 1936 deletions(-)

commit e4b21bb7e803c624144962726fdd46246457e366
Author: glip@desktop <glip@desktop>
Date:   Fri Jan 30 20:23:39 2009 +0100

    Decoupled worm controls from input source.
    
    --HG--
    branch : cleanup

 game.cpp     |  238 +++++++++++++++++++++++++++++++++-------------------------
 game.hpp     |    9 ++-
 gfx.cpp      |    6 ++
 liero.vcproj |    2 +-
 main.cpp     |    1 +
 viewport.cpp |    4 +-
 weapon.cpp   |    6 +-
 weapsel.cpp  |   14 ++--
 worm.cpp     |  110 +++++++++++++--------------
 worm.hpp     |   62 +++++++++++++--
 10 files changed, 276 insertions(+), 176 deletions(-)

commit c7694eecacf1ada41f6a21109e80dc8031d9f4cc
Author: glip@desktop <glip@desktop>
Date:   Fri Jan 30 18:52:35 2009 +0100

    Liero 1.34

 Jamfile        |   16 +
 blit.cpp       |  497 ++++++++++++++++++
 bobject.cpp    |   60 +++
 bobject.hpp    |   18 +
 bonus.cpp      |   35 ++
 bonus.hpp      |   24 +
 colour.hpp     |    6 +
 console.cpp    |  227 +++++++++
 console.hpp    |   38 ++
 constants.cpp  |  318 ++++++++++++
 constants.hpp  |  148 ++++++
 filesystem.cpp |  312 ++++++++++++
 filesystem.hpp |   72 +++
 font.cpp       |  111 ++++
 font.hpp       |   38 ++
 game.cpp       |  845 +++++++++++++++++++++++++++++++
 game.hpp       |  182 +++++++
 gfx.cpp        | 1539 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gfx.hpp        |  268 ++++++++++
 keys.cpp       |  305 +++++++++++
 keys.hpp       |   15 +
 level.cpp      |  251 +++++++++
 level.hpp      |   50 ++
 lfs.hpp        |   78 +++
 liero.sln      |   19 +
 liero.vcproj   |  418 +++++++++++++++
 main.cpp       |  192 +++++++
 math.cpp       |   24 +
 math.hpp       |   28 ++
 menu.cpp       |   88 ++++
 menu.hpp       |   48 ++
 ninjarope.cpp  |  119 +++++
 nobject.cpp    |  356 +++++++++++++
 nobject.hpp    |   58 +++
 objectList.hpp |  163 ++++++
 platform.hpp   |   10 +
 rand.hpp       |   48 ++
 reader.cpp     |  104 ++++
 reader.hpp     |  114 +++++
 rect.hpp       |  208 ++++++++
 sdlmain.cpp    |   27 +
 settings.cpp   |  284 +++++++++++
 settings.hpp   |   49 ++
 sfx.cpp        |  120 +++++
 sfx.hpp        |   35 ++
 sobject.cpp    |  263 ++++++++++
 sobject.hpp    |   40 ++
 sys.cpp        |   19 +
 sys.hpp        |   15 +
 text.cpp       |   56 +++
 text.hpp       |   34 ++
 viewport.cpp   |  651 ++++++++++++++++++++++++
 viewport.hpp   |   70 +++
 weapon.cpp     |  418 +++++++++++++++
 weapon.hpp     |   90 ++++
 weapsel.cpp    |  612 ++++++++++++++++++++++
 weapsel.hpp    |    6 +
 worm.cpp       | 1396 ++++++++++++++++++++++++++++++++++++++++++++++++++
 worm.hpp       |  260 ++++++++++
 59 files changed, 11895 insertions(+)
